<?php
include('includes/config.php');
if(!isset($_SESSION['kp5user_id']) or $_SESSION['kp5user_id']=="")
{
    header("location:index.php?error=Please Login to Continue..");
    exit;
}
$action="Insert";
$btn_name="Search";
?>
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="description" content="">
    <meta name="author" content="">
    <title>KRIOS Kitchens</title>
    <!-- Bootstrap Core CSS -->
    <link href="bower_components/bootstrap/dist/css/bootstrap.min.css" rel="stylesheet">
    <!-- MetisMenu CSS -->
    <link href="bower_components/metisMenu/dist/metisMenu.min.css" rel="stylesheet">
    <!-- Custom CSS -->
    <link href="dist/css/sb-admin-2.css" rel="stylesheet">
    <!-- Custom Fonts -->
    <link href="bower_components/font-awesome/css/font-awesome.min.css" rel="stylesheet" type="text/css">
    <!-- DataTables CSS -->
    <link href="bower_components/datatables-plugins/integration/bootstrap/3/dataTables.bootstrap.css" rel="stylesheet">
    <!-- DataTables Responsive CSS -->
    <link href="bower_components/datatables-responsive/css/dataTables.responsive.css" rel="stylesheet">
    <!-- HTML5 Shim and Respond.js IE8 support of HTML5 elements and media queries -->
    <!-- WARNING: Respond.js doesn't work if you view the page via file:// -->
    <!--[if lt IE 9]>
        <script src="https://oss.maxcdn.com/libs/html5shiv/3.7.0/html5shiv.js"></script>
        <script src="https://oss.maxcdn.com/libs/respond.js/1.4.2/respond.min.js"></script>
        <![endif]-->
        
    </head>
    <body>
        <div id="wrapper">
            <!-- Navigation -->
            <nav class="navbar navbar-default navbar-static-top" role="navigation" style="margin-bottom: 0">
                <?php
                include('includes/header.php');
                ?>
                <div class="navbar-default sidebar" role="navigation">
                    <?php
                    include('includes/navigation.php');
                    ?>
                </div>
                <!-- /.navbar-static-side -->
            </nav>
            <!-- Page Content -->
            <div id="page-wrapper">
                <div class="container-fluid">
                    <div class="row">
                        <div class="col-lg-12">
                            <!--<h1 class="page-header">Blank</h1>-->
                            &nbsp;
                            <?php
                            if(isset($_GET['success']))
                            {
                                ?>
                                <p class="alert-success"><?php echo $_GET['success'];?></p>
                                <?php
                            }
                            ?>
                        </div>
                        <!-- /.col-lg-12 -->
                    </div>
                    <!-- /.row -->
                    <div class="row">
                        <div class="col-lg-12">
                            <div class="panel panel-default">
                                <div class="panel-heading">
                                    <h2>Search GRN</h2>
                                </div>
                                <!-- /.panel-heading -->
                                <div class="panel-body">
                                    <!--Content Area-->
                                    <div class="form-panel">
                                        <form role="form" name="lam_form" id="lam_form" method="post" action="" onSubmit="return validForm();">
                                            <div class="col-lg-6">
                                                <div class="form-group">
                                                    <label>Select Vendor</label>
                                                    <select class='form-control' name="vendor" id="vendor" required="">
                                                        <?php
                                                        $v_query = mysql_query("select vend_id, vend_name from tbl_vendor_master") or die(mysql_error());
                                                        while($vendor = mysql_fetch_array($v_query))
                                                        {
                                                            echo '<option value="'.$vendor['vend_id'].'">'.$vendor['vend_name'].'</option>';
                                                        }
                                                        ?>
                                                    </select>
                                                </div>
                                            </div>
                                            <div class="col-lg-6">
                                                <br>
                                                <input type="hidden" name="action" value="<?php echo $action;?>">
                                                <input type="submit" class="btn btn-primary" name="submit" id="submit" value="<?php echo $btn_name;?>">
                                            </div>
                                        </form>
                                    </div>
                                </div>
                            </div>
                            <div class="panel panel-default">
                                <div class="panel-heading">
                                    <h2>List GRN</h2>
                                </div>
                                <!-- /.panel-heading -->
                                <div class="panel-body">
                                    <table id="dataTable" class="table table-striped table-bordered table-hover">
                                        <thead>
                                            <tr>
                                                <th>#</th>
                                                <th>GRN Date</th>
                                                <th>GRN Number</th>
                                                <th>PO Bill Number</th>
												<th>PO Number</th>
                                                <th>Action</th>
                                            </tr>
                                        </thead>
                                        <tbody>
                                            <?php
                                            if(isset($_POST['submit']) && $_POST['submit'] == 'Search' && !empty($_POST['vendor']))
                                            {
                                                $grn_query = mysql_query("select * from tbl_grn_main where vend_id='".$_POST['vendor']."'") or die(mysql_error());
                                                $cnt = 1;
                                                while($grn = mysql_fetch_array($grn_query))
                                                {
                                                    echo "<tr>";
                                                    echo "<td>$cnt</td>";
                                                    echo '<td>'.date('d-m-Y',strtotime($grn['grn_date'])).'</td>';
                                                    echo '<td>'.$grn['grn_number'].'</td>';
                                                    echo '<td>'.$grn['po_bill_number'].'</td>';
													 echo '<td>'.$grn['po_number'].'</td>';
                                                    //echo '<td align="center"><a href="grn_print.php?q='.$grn['grn_number'].'" class="btn btn-primary btn-xs Edit-btn" target="_blank">Print</a><a href="grn_print2.php?q='.$grn['grn_number'].'" class="btn btn-primary btn-xs Edit-btn" target="_blank">Print2</a></td>';
													echo '<td align="center"><a href="grn_print.php?q='.$grn['grn_number'].'" class="btn btn-primary btn-xs Edit-btn" target="_blank">Print</a></td>';
                                                    echo "</tr>";
                                                    $cnt++;
                                                }
                                            }
                                            ?>
                                        </tbody>
                                    </table>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <!-- /.container-fluid -->
            </div>
            <!-- /#page-wrapper -->
        </div>
        <!-- /#wrapper -->
        <!-- jQuery -->
        <script src="bower_components/jquery/dist/jquery.min.js"></script>
        <!-- Bootstrap Core JavaScript -->
        <script src="bower_components/bootstrap/dist/js/bootstrap.min.js"></script>
        <!-- Metis Menu Plugin JavaScript -->
        <script src="bower_components/metisMenu/dist/metisMenu.min.js"></script>
        <!-- Custom Theme JavaScript -->
        <script src="dist/js/sb-admin-2.js"></script>
        <!-- DataTables JavaScript -->
        <script src="bower_components/datatables/media/js/jquery.dataTables.min.js"></script>
        <script src="bower_components/datatables-plugins/integration/bootstrap/3/dataTables.bootstrap.min.js"></script>
        <script type="text/javascript">
            $(document).ready(function(){
                $('#dataTable').DataTable({
                    responsive: true
                });
            });
        </script>
    </body>
    </html>
