<?php
include('includes/config.php');
//print_r($_SESSION);
if(!isset($_SESSION['kp5user_id']) or $_SESSION['kp5user_id']=="")
{
	header("location:index.php?error=Please Login to Continue..");
	exit;
}
?>
<!DOCTYPE html>
<html lang="en">

<head>

    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="description" content="">
    <meta name="author" content="">

    <title>KRIOS Kitchens</title>

    <!-- Bootstrap Core CSS -->
    <link href="bower_components/bootstrap/dist/css/bootstrap.min.css" rel="stylesheet">

    <!-- MetisMenu CSS -->
    <link href="bower_components/metisMenu/dist/metisMenu.min.css" rel="stylesheet">

    <!-- Custom CSS -->
    <link href="dist/css/sb-admin-2.css" rel="stylesheet">

    <!-- Custom Fonts -->
    <link href="bower_components/font-awesome/css/font-awesome.min.css" rel="stylesheet" type="text/css">

    <!-- HTML5 Shim and Respond.js IE8 support of HTML5 elements and media queries -->
    <!-- WARNING: Respond.js doesn't work if you view the page via file:// -->
    <!--[if lt IE 9]>
        <script src="https://oss.maxcdn.com/libs/html5shiv/3.7.0/html5shiv.js"></script>
        <script src="https://oss.maxcdn.com/libs/respond.js/1.4.2/respond.min.js"></script>
    <![endif]-->
<script type="text/javascript">
function calCarCase(counter)
{
	var material=$("#material").val();
	var laminate=$("#laminate").val();
	
	var margin=$("#margin").val();
	var smm=$("#smm").val();
	var pressing=$("#pressing").val();
	var edge=$("#edge").val();
	var hardware=$("#hardware").val();
	var board_or_ply=$("#board_or_ply").val();
	var rmt=$("#rmt").val();
	
	var case_width=$("#case_width"+counter).val();
	var case_depth=$("#case_depth"+counter).val();
	var case_height=$("#case_height"+counter).val();
	var case_qty=$("#case_qty"+counter).val();
	
	if(case_width=="")
	{
		case_width=0;
	}
	if(case_depth=="")
	{
		case_depth=0;
	}
	if(case_height=="")
	{
		case_height=0;
	}
	if(case_qty=="")
	{
		case_qty=0;
	}
	
	material=parseFloat(material);
	laminate=parseFloat(laminate);
	margin=parseFloat(margin);
	smm=parseFloat(smm);
	pressing=parseFloat(pressing);
	edge=parseFloat(edge);
	hardware=parseFloat(hardware);
	board_or_ply=parseFloat(board_or_ply);
	rmt=parseFloat(rmt);
	case_width=parseFloat(case_width);
	case_depth=parseFloat(case_depth);
	case_height=parseFloat(case_height);
	case_qty=parseFloat(case_qty);
	
	
	var material_total=eval(material+laminate+pressing+edge+hardware);
	
	var side_sft=eval((case_depth*case_height*(case_qty*2))/smm);
	var side_rate_sqft=eval(side_sft*material_total);
	var side_profit=eval((side_rate_sqft*margin)/100);
	var side_final=eval(side_profit+side_rate_sqft).toFixed(2);
	
	var tnb_sft=eval((case_width*case_depth*(case_qty*2))/smm);
	var tnb_rate_sqft=eval((tnb_sft*material_total)+100);
	var tnb_profit=eval((tnb_rate_sqft*margin)/100);
	var tnb_final=eval(tnb_profit+tnb_rate_sqft).toFixed(2);
	
	var edg1_sft=eval((case_width*(case_qty*4))/rmt);
	var edg1_rate_sqft=eval(edg1_sft*edge);
	var edg1_profit=eval((edg1_rate_sqft*margin)/100);
	var edg1_final=eval(edg1_profit+edg1_rate_sqft).toFixed(2);
	
	var edg2_sft=eval((case_depth*(case_qty*4))/rmt);
	var edg2_rate_sqft=eval(edg2_sft*edge);
	var edg2_profit=eval((edg2_rate_sqft*margin)/100);
	var edg2_final=eval(edg2_profit+edg2_rate_sqft).toFixed(2);
	
	var edg3_sft=eval((case_height*(case_qty*4))/rmt);
	var edg3_rate_sqft=eval(edg3_sft*edge);
	var edg3_profit=eval((edg3_rate_sqft*margin)/100);
	var edg3_final=eval(edg3_profit+edg3_rate_sqft).toFixed(2);
	
	var board_sft=eval((case_height*case_width*case_qty)/smm);
	var board_rate_sqft=eval(board_sft*board_or_ply);
	var board_profit=eval((board_rate_sqft*margin)/100);
	var board_final=eval(board_profit+board_rate_sqft).toFixed(2);
	
	var finalTotal=eval(parseFloat(side_final)+parseFloat(tnb_final)+parseFloat(edg1_final)+parseFloat(edg2_final)+parseFloat(edg3_final)+parseFloat(board_final));
	
	document.getElementById('case_subamount'+counter).value=finalTotal.toFixed(2);
}
function addCarcase()
{
	var htmlToAppend;
	var counter=document.getElementById('case_counter').value;
	htmlToAppend+='<tr>';
		htmlToAppend+='<td><input onChange="calCarCase('+counter+');" placeholder="Width" id="case_width'+counter+'" type="text" class="form-control"></td>';
		htmlToAppend+='<td><input onChange="calCarCase('+counter+');" placeholder="Depth" id="case_depth'+counter+'" type="text" class="form-control"></td>';
		htmlToAppend+='<td><input onChange="calCarCase('+counter+');" placeholder="Height" id="case_height'+counter+'" type="text" class="form-control"></td>';
		htmlToAppend+='<td><input onChange="calCarCase('+counter+');" placeholder="Qty" id="case_qty'+counter+'" type="text" class="form-control"></td>';
		htmlToAppend+='<td><input readonly id="case_subamount'+counter+'" type="text" class="form-control"></td>';
	htmlToAppend+='</tr>';
	
	document.getElementById('case_counter').value=eval(parseInt(counter)+1);
	$("#my_table").append(htmlToAppend);
}

function calShelves(counter)
{
	var material=$("#material").val();
	var laminate=$("#laminate").val();
	
	var margin=$("#margin").val();
	var smm=$("#smm").val();
	var pressing=$("#pressing").val();
	var edge=$("#edge").val();
	var hardware=$("#hardware").val();
	var board_or_ply=$("#board_or_ply").val();
	var rmt=$("#rmt").val();
	
	var shelf_width=$("#shelf_width"+counter).val();
	var shelf_depth=$("#shelf_depth"+counter).val();
	var shelf_qty=$("#shelf_qty"+counter).val();
	
	if(shelf_width=="")
	{
		shelf_width=0;
	}
	if(shelf_depth=="")
	{
		shelf_depth=0;
	}
	if(shelf_qty=="")
	{
		shelf_qty=0;
	}
	
	material=parseFloat(material);
	laminate=parseFloat(laminate);
	margin=parseFloat(margin);
	smm=parseFloat(smm);
	pressing=parseFloat(pressing);
	edge=parseFloat(edge);
	hardware=parseFloat(hardware);
	board_or_ply=parseFloat(board_or_ply);
	rmt=parseFloat(rmt);
	shelf_width=parseFloat(shelf_width);
	shelf_depth=parseFloat(shelf_depth);
	
	shelf_qty=parseFloat(shelf_qty);
	
	
	var material_total=eval(material+laminate+pressing+edge+hardware);
	
	var side_sft=eval((shelf_width*shelf_depth*shelf_qty)/smm);
	var side_rate_sqft=eval(side_sft*material_total);
	var side_profit=eval((side_rate_sqft*margin)/100);
	var side_final=eval(parseFloat(side_profit)+parseFloat(side_rate_sqft)).toFixed(2);
	
	var edg_sft=eval((shelf_width*(shelf_qty*4))/rmt);
	var edg_rate_sqft=eval(edg_sft*edge);
	var edg_profit=eval((edg_rate_sqft*margin)/100);
	var edg_final=eval(parseFloat(edg_profit)+parseFloat(edg_rate_sqft)).toFixed(2);
	
	
	var shelveFinal=eval(parseFloat(side_final)+parseFloat(edg_final));
	
	document.getElementById('shelf_subamount'+counter).value=shelveFinal;
}

function addShelves()
{
	var htmlToAppend;
	var counter=document.getElementById('shelf_counter').value;
	htmlToAppend+='<tr>';
		htmlToAppend+='<td><input onChange="calShelves('+counter+');" placeholder="Width" id="shelf_width'+counter+'" type="text" class="form-control"></td>';
		htmlToAppend+='<td><input onChange="calShelves('+counter+');" placeholder="Depth" id="shelf_depth'+counter+'" type="text" class="form-control"></td>';
		htmlToAppend+='<td>&nbsp;</td>';
		htmlToAppend+='<td><input onChange="calShelves('+counter+');" placeholder="Qty" id="shelf_qty'+counter+'" type="text" class="form-control"></td>';
		htmlToAppend+='<td><input readonly id="shelf_subamount'+counter+'" type="text" class="form-control"></td>';
	htmlToAppend+='</tr>';
	
	document.getElementById('shelf_counter').value=eval(parseInt(counter)+1);
	$("#my_table").append(htmlToAppend);
}
</script>
</head>

<body>

    <div id="wrapper">

       <!-- Navigation -->
        <nav class="navbar navbar-default navbar-static-top" role="navigation" style="margin-bottom: 0">
            <?php
			include('includes/header.php');
			?>

            <div class="navbar-default sidebar" role="navigation">
                <?php
				include('includes/navigation.php');
				?>
            </div>
            <!-- /.navbar-static-side -->
        </nav>

        <!-- Page Content -->
        <div id="page-wrapper">
            <div class="container-fluid">
                
				
				<div class="row">
					<div class="col-lg-12">
						<div class="panel panel-default">
							<div class="panel-heading">
								<h3>Carcase & Shelves</h3>
							</div>
							<!-- /.panel-heading -->
							<div class="panel-body">
								<div class="dataTable_wrapper">
									<!--Content Area-->
                                    <div class="col-md-4">
                                    	<div class="form-group">
                                        	<label>Select Material</label>
                                            <select name="material" id="material" class="form-control">
                                            	<?php
													$mat_query=mysql_query("select * from tbl_material order by mat_name") or die(mysql_error());
													while($mat_data=mysql_fetch_array($mat_query))
													{
												?>
                                                	<option value="<?php echo $mat_data['mat_value'];?>"><?php echo $mat_data['mat_name'];?></option>
                                                <?php
													}
												?>
                                            </select>
                                        </div>
                                    </div>
                                    <div class="col-md-4">
                                    	<div class="form-group">
                                        	<label>Select Laminate</label>
                                            <select name="laminate" id="laminate" class="form-control">
                                                <?php
													$lam_query=mysql_query("select * from tbl_laminate order by lam_name") or die(mysql_error());
													while($lam_data=mysql_fetch_array($lam_query))
													{
												?>
                                                	<option value="<?php echo $lam_data['lam_value'];?>"><?php echo $lam_data['lam_name'];?></option>
                                                <?php
													}
												?>
                                            </select>
                                        </div>
                                    </div>
                                    
                                    <div class="col-md-4">
                                    &nbsp;
                                    	<?php
											$cons_query=mysql_query("select * from tbl_constants") or die(mysql_error());
											while($cons_data=mysql_fetch_array($cons_query))
											{
										?>
                                        	<input type="hidden" id="<?php echo strtolower(str_replace(" ", "_",$cons_data['con_name']));?>" name="<?php echo $cons_data['con_name'];?>" value="<?php echo $cons_data['con_value'];?>">
                                        <?php
											}
										?>
                                        
                                        <input type="hidden" id="case_counter" value="0">
                                        <input type="hidden" id="shelf_counter" value="0">
                                        
                                        
                                    </div>
                                    
                                    <div class="col-md-12" align="center">
                                    <a href="javascript:addCarcase();" class="btn btn-primary">Add Carcase</a>
                                    <a href="javascript:addShelves();" class="btn btn-primary">Add Shelves</a>
                                    </div>
                                    <div class="col-md-12" align="center">
                                    <table id="my_table" class="table">
                                    </table>
                                    </div>
                                    
								</div>
							</div>
						</div>
					</div>
				</div>
                
                <!-- Shutter Calculation Start-->
                <div class="row">
					<div class="col-lg-12">
						<div class="panel panel-default">
							<div class="panel-heading">
								<h3>Shutter</h3>
							</div>
							<!-- /.panel-heading -->
							<div class="panel-body">
								<div class="dataTable_wrapper">
									<!--Content Area-->
                                    
                                    
								</div>
							</div>
						</div>
					</div>
				</div>
                <!-- Shutter Calculation Ends -->
                
                <!-- Countertop Calculation Start-->
                <div class="row">
					<div class="col-lg-12">
						<div class="panel panel-default">
							<div class="panel-heading">
								<h3>Countertop</h3>
							</div>
							<!-- /.panel-heading -->
							<div class="panel-body">
								<div class="dataTable_wrapper">
									<!--Content Area-->
                                    
                                    
								</div>
							</div>
						</div>
					</div>
				</div>
                <!-- Countertop Calculation Ends -->
                
                <!-- Hardware Calculation Start-->
                <div class="row">
					<div class="col-lg-12">
						<div class="panel panel-default">
							<div class="panel-heading">
								<h3>Hardware</h3>
							</div>
							<!-- /.panel-heading -->
							<div class="panel-body">
								<div class="dataTable_wrapper">
									<!--Content Area-->
                                    
                                    
								</div>
							</div>
						</div>
					</div>
				</div>
                <!-- Hardware Calculation Ends -->
                
                <!-- Accessories Calculation Start-->
                <div class="row">
					<div class="col-lg-12">
						<div class="panel panel-default">
							<div class="panel-heading">
								<h3>Accessories</h3>
							</div>
							<!-- /.panel-heading -->
							<div class="panel-body">
								<div class="dataTable_wrapper">
									<!--Content Area-->
                                    
                                    
								</div>
							</div>
						</div>
					</div>
				</div>
                <!-- Accessories Calculation Ends -->
                
                <!-- Appliances Calculation Start-->
                <div class="row">
					<div class="col-lg-12">
						<div class="panel panel-default">
							<div class="panel-heading">
								<h3>Appliances</h3>
							</div>
							<!-- /.panel-heading -->
							<div class="panel-body">
								<div class="dataTable_wrapper">
									<!--Content Area-->
                                    
                                    
								</div>
							</div>
						</div>
					</div>
				</div>
                <!-- Appliances Calculation Ends -->
                
				
            </div>
            <!-- /.container-fluid -->
        </div>
        <!-- /#page-wrapper -->

    </div>
    <!-- /#wrapper -->

    <!-- jQuery -->
    <script src="bower_components/jquery/dist/jquery.min.js"></script>

    <!-- Bootstrap Core JavaScript -->
    <script src="bower_components/bootstrap/dist/js/bootstrap.min.js"></script>

    <!-- Metis Menu Plugin JavaScript -->
    <script src="bower_components/metisMenu/dist/metisMenu.min.js"></script>

    <!-- Custom Theme JavaScript -->
    <script src="dist/js/sb-admin-2.js"></script>

</body>

</html>
