<?php
include('includes/config.php');
include('class/Mics.php');
//print_r($_SESSION);
if(!isset($_SESSION['kp5user_id']) or $_SESSION['kp5user_id']=="")
{
	header("location:index.php?error=Please Login to Continue..");
	exit;
}
?>
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="description" content="">
    <meta name="author" content="">
    <title>KRIOS Kitchens</title>
    <!-- Bootstrap Core CSS -->
    <link href="bower_components/bootstrap/dist/css/bootstrap.min.css" rel="stylesheet">
    <!-- MetisMenu CSS -->
    <link href="bower_components/metisMenu/dist/metisMenu.min.css" rel="stylesheet">
    <!-- Custom CSS -->
    <link href="dist/css/sb-admin-2.css" rel="stylesheet">
    <!-- Custom Fonts -->
    <link href="bower_components/font-awesome/css/font-awesome.min.css" rel="stylesheet" type="text/css">
    
    <!-- DataTables CSS -->
    <link href="bower_components/datatables-plugins/integration/bootstrap/3/dataTables.bootstrap.css" rel="stylesheet">
    <!-- DataTables Responsive CSS -->
    <link href="bower_components/datatables-responsive/css/dataTables.responsive.css" rel="stylesheet">
    <link href="https://cdn.datatables.net/fixedcolumns/3.2.2/css/fixedColumns.dataTables.min.css" rel="stylesheet">
    <!-- HTML5 Shim and Respond.js IE8 support of HTML5 elements and media queries -->
    <!-- WARNING: Respond.js doesn't work if you view the page via file:// -->
    <!--[if lt IE 9]>
        <script src="https://oss.maxcdn.com/libs/html5shiv/3.7.0/html5shiv.js"></script>
        <script src="https://oss.maxcdn.com/libs/respond.js/1.4.2/respond.min.js"></script>
    <![endif]-->
    <style type="text/css">
        .thumbnail img{
        border: 1px solid white;
        margin: 0 5px 5px 0;
        }
        
        .thumbnail:hover{
        background-color: transparent;
        }
        
        .thumbnail:hover img{
        border: 1px solid blue;
        }
        
        .thumbnail span{ /*CSS for enlarged image*/
        position: absolute;
        background-color: lightyellow;
        padding: 5px;
        left: -1000px;
        border: 1px dashed gray;
        visibility: hidden;
        color: black;
        text-decoration: none;
        margin-left: -120px;
        }
        
        .thumbnail span img{ /*CSS for enlarged image*/
        border-width: 0;
        padding: 2px;
        }
        
        .thumbnail:hover span{ /*CSS for enlarged image*/
        visibility: visible;
        top: 0;
        left: 00px; /*position where enlarged image should offset horizontally */
        z-index: 50;
        }
    </style>
</head>
<body>
    <div id="wrapper">
        <!-- Navigation -->
        <nav class="navbar navbar-default navbar-static-top" role="navigation" style="margin-bottom: 0">
            <?php
			include('includes/header.php');
			?>
            <div class="navbar-default sidebar" role="navigation">
                <?php
				include('includes/navigation.php');
				?>
            </div>
            <!-- /.navbar-static-side -->
        </nav>
        <!-- Page Content -->
        <div id="page-wrapper">
            <div class="container-fluid">
                <div class="row">
                    <div class="col-lg-12">
                        <!--<h1 class="page-header">Blank</h1>-->
						&nbsp;
						<?php
						if(isset($_GET['success']))
						{
						?>
						<p class="alert-success"><?php echo $_GET['success'];?></p>
						<?php
						}
						?>
                    </div>
                    <!-- /.col-lg-12 -->
                </div>
                <!-- /.row -->
				
				<div class="row">
					<div class="col-lg-12">
						<div class="panel panel-default">
							<div class="panel-heading">
								<h2>Marketing Dashboard</h2>
							</div>
							<!-- /.panel-heading -->
							<div class="panel-body">
								<div class="dataTable_wrapper">
									<!--Content Area-->
                                    <table class="table table-striped table-bordered table-hover sticky-header" id="dataTables-example">
                                    <thead>
                                        <tr>
                                        	<th>Client Name</th>
                                            <th>Agent Name</th>
                                            <th>Designer Name</th>
                                            <th>Delivery Date</th>
                                            <th>Total Amount</th>
                                            <th>50% Adv Payment Rcvd</th>
                                            <th>Final Measurement</th>
                                            <th>Final Drawing</th>
                                            <th>Contract Signed</th>
                                            <th>Invoice Generated</th>
                                            <th>Drawing Given to Production</th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                    	<?php
										$constant_qry=mysql_query("select * from tbl_dashboard_constants") or die(mysql_error());
										$constant_data=mysql_fetch_array($constant_qry);
										
										$lead_qry=mysql_query("select * from tbl_kitchen_progress a, tbl_kitchen_progress_dtl b where a.kp_id=b.kp_id and a.payment_pending='' order by a.kp_id") or die(mysql_error());
										while($lead_data=mysql_fetch_array($lead_qry))
										{
                                            $Mics = new Mics();
                                            $remarks = $Mics->getremarks($lead_data['kp_id']);
											$payment_received_50=date('Y-m-d', strtotime($lead_data['core_payment_received_50']));
                                            $final_measurement=date('Y-m-d', strtotime($lead_data['core_final_measurement_date']));
                                            $final_drawing=date('Y-m-d', strtotime($lead_data['core_final_measurement_date']. ' + '.$constant_data['final_drawing'].' days'));
                                            $contract_signed=date('Y-m-d', strtotime($lead_data['core_final_measurement_date']. ' + '.$constant_data['contract_signed'].' days'));
                                            $invoice_generated=date('Y-m-d', strtotime($lead_data['core_final_measurement_date']. ' + '.$constant_data['invoice_generated'].' days'));
                                            $drawing_to_production=date('Y-m-d', strtotime($lead_data['core_final_measurement_date']. ' + '.$constant_data['drawing_to_production'].' days'));
										?>
                                        <tr>
                                        	<td><a href="kitchen_overview.php?view=<?php echo $lead_data['kp_id'];?>"><?php echo $lead_data['client_name'];?></a></td>
                                            <td><?php echo $lead_data['agent_name'];?></td>
                                            <td><?php echo $lead_data['designer_name'];?></td>
                                            <td><?php echo date('d-m-Y',strtotime($lead_data['kitchen_delivery_date']));?></td>
                                            <?php
                                            // $invoice_q = mysql_query("select * from `tbl_invoice_master` as im join `tbl_customer_master` as cm on im.cust_code = cm.cust_id where cm.`cust_name` = '".$lead_data['client_name']."' && im.bill_type2 = '1'") or die(mysql_error());
                                            $invoice_q = mysql_query("select * from `tbl_invoice_master` where `cust_code` = '".$lead_data['client_id']."' && bill_type2 = '1'") or die(mysql_error());
                                            $invoice = mysql_fetch_array($invoice_q);
                                            ?>
                                            <!-- <td><?php //echo $lead_data['kitchen_amount'];?></td> -->
                                            <td><?php if(!empty($invoice['bill_amt'])){ echo round($invoice['bill_amt'],2); }?></td>
                                            <td>
                                            <?php 
                                                if(isset($remarks['payment_received_50']))
                                                {
                                                    echo '<a class="thumbnail" style="position:relative;" href="#">';
                                                    echo date('d-m-Y',strtotime($payment_received_50));
                                                    echo "<span>".$remarks['payment_received_50']."</span>";
                                                    echo "</a>";
                                                }
                                                else
                                                {
                                                    echo date('d-m-Y',strtotime($payment_received_50));
                                                }
                                            ?>
                                            </td>
                                            <td>
                                                <?php 
                                                    if(isset($remarks['final_measurement']))
                                                    {
                                                        echo '<a class="thumbnail" style="position:relative;" href="#">';
                                                        echo date('d-m-Y',strtotime($final_measurement));
                                                        echo "<span>".$remarks['final_measurement']."</span>";
                                                        echo "</a>";
                                                    }
                                                    else
                                                    {
                                                        echo date('d-m-Y',strtotime($final_measurement));
                                                    }
                                                ?>
                                            </td>
                                            <td>
                                                <?php 
                                                    if(isset($remarks['final_drawing']))
                                                    {
                                                        echo '<a class="thumbnail" style="position:relative;" href="#">';
                                                        echo date('d-m-Y',strtotime($final_drawing));
                                                        echo "<span>".$remarks['final_drawing']."</span>";
                                                        echo "</a>";
                                                    }
                                                    else
                                                    {
                                                        echo date('d-m-Y',strtotime($final_drawing));
                                                    }
                                                ?>
                                            </td>
                                            <td>
                                                <?php 
                                                    if(isset($remarks['contract_signed']))
                                                    {
                                                        echo '<a class="thumbnail" style="position:relative;" href="#">';
                                                        echo date('d-m-Y',strtotime($contract_signed));
                                                        echo "<span>".$remarks['contract_signed']."</span>";
                                                        echo "</a>";
                                                    }
                                                    else
                                                    {
                                                        echo date('d-m-Y',strtotime($contract_signed));
                                                    }
                                                ?>
                                            </td>
                                            <td>
                                                <?php 
                                                    if(isset($remarks['invoice_generated']))
                                                    {
                                                        echo '<a class="thumbnail" style="position:relative;" href="#">';
                                                        echo date('d-m-Y',strtotime($invoice_generated));
                                                        echo "<span>".$remarks['invoice_generated']."</span>";
                                                        echo "</a>";
                                                    }
                                                    else
                                                    {
                                                        echo date('d-m-Y',strtotime($invoice_generated));
                                                    }
                                                ?>
                                            </td>
                                            <td>
                                                <?php 
                                                    if(isset($remarks['drawing_given_to_production']))
                                                    {
                                                        echo '<a class="thumbnail" style="position:relative;" href="#">';
                                                        echo date('d-m-Y',strtotime($drawing_to_production));
                                                        echo "<span>".$remarks['drawing_given_to_production']."</span>";
                                                        echo "</a>";
                                                    }
                                                    else
                                                    {
                                                        echo date('d-m-Y',strtotime($drawing_to_production));
                                                    }
                                                ?>
                                            </td>
                                        </tr>
                                        <tr>
                                        	<td>&nbsp;</td>
                                        	<td>&nbsp;</td>
                                            <td>&nbsp;</td>
                                            <td>&nbsp;</td>
                                            <td>&nbsp;</td>
                                            <?php
                                            $date1 = new DateTime(date('Y-m-d',strtotime($payment_received_50)));
                                            if($lead_data['payment_received_50_date'] != '0000-00-00')
                                            {
                                                $date2 = new DateTime(date('Y-m-d',strtotime($lead_data['payment_received_50_date'])));
                                            }
                                            else
                                            {
                                                $date2 = new DateTime(date('Y-m-d'));
                                            }
                                            // $getdata = mysql_query("SELECT * FROM `tbl_voucher_main` as vm join `tbl_customer_master` as cm on vm.`pbov_code` = cm.`cust_id` WHERE vm.`pbov_type` = 'P' && cm.`cust_name` = '".$lead_data['client_name']."'  && ( vm.`trans_type` = 'Bank Receipt' || vm.`trans_type` = 'Cash Receipt' )") or die(mysql_error());
                                            $cust=mysql_query("SELECT * FROM `tbl_customer_master` WHERE cust_id='".$lead_data['client_id']."'") or die(mysql_error());
                                            $customer = mysql_fetch_array($cust);
                                            $getdata = mysql_query("SELECT vm.`voucher_no`,vm.`net_amt`,vm.`entry_dt` FROM `tbl_voucher_main` AS vm LEFT JOIN `tbl_voucher_detail` AS vd ON vm.`voucher_no` = vd.`voucher_no` WHERE IF( vm.`trans_type` = 'MJV' ,vd.`credit`!='0' && vd.`pbov_code_1`='".$customer['cust_id']."' && vd.`pbov_name_1`='".$customer['cust_name']."' ,( vm.`trans_type` = 'Bank Receipt' || vm.`trans_type` = 'Cash Receipt') && (vm.`pbov_type` = 'P' && vm.`pbov_code` = '".$customer['cust_id']."' && vm.`pbov_name` = '".$customer['cust_name']."')) GROUP BY vm.`voucher_no`") or die(mysql_error());
                                            // $getdata = mysql_query("select * from tbl_payments where kp_id='".$lead_data['kp_id']."' && amount_percentage='50'")
                                            ?>
                                            <td>
                                            <?php
                                            $first = 1;
                                                while($data=mysql_fetch_array($getdata))
                                                {
                                                    if ($first == 1)
                                                    {
                                                        echo '['.$data['net_amt'].'-'.date('d-m-Y',strtotime($data['trans_date'])).']';
                                                        $first = 0;
                                                    }
                                                    else
                                                    {
                                                        echo ',<br>['.$data['net_amt'].'-'.date('d-m-Y',strtotime($data['trans_date'])).']';
                                                    }
                                                }
                                            ?>
                                            </td>
                                            <?php
                                            $date1 = new DateTime(date('Y-m-d',strtotime($final_measurement)));
                                            if($lead_data['final_measurement_date'] != '0000-00-00')
                                            {
                                                $date2 = new DateTime(date('Y-m-d',strtotime($lead_data['final_measurement_date'])));
                                            }
                                            else
                                            {
                                                $date2 = new DateTime(date('Y-m-d'));
                                            }
                                            ?>
                                            <td <?php if($date1 < $date2 && empty($lead_data['final_measurement'])){ echo 'style="background: #f18686;"'; } ?> >
                                            <?php echo $lead_data['final_measurement'];?> - <?php if(isset($lead_data['final_measurement_date']) and $lead_data['final_measurement_date']!='0000-00-00') { echo date('d-m-Y',strtotime($lead_data['final_measurement_date'])); }?>
                                            </td>
                                            <?php
                                            $date1 = new DateTime(date('Y-m-d',strtotime($final_drawing)));
                                            if($lead_data['final_drawing_date'] != '0000-00-00')
                                            {
                                                $date2 = new DateTime(date('Y-m-d',strtotime($lead_data['final_drawing_date'])));
                                            }
                                            else
                                            {
                                                $date2 = new DateTime(date('Y-m-d'));
                                            }
                                            ?>
                                            <td <?php if($date1 < $date2 && empty($lead_data['final_drawing'])){ echo 'style="background: #f18686;"'; } ?> >
                                            <?php echo $lead_data['final_drawing'];?> - <?php if(isset($lead_data['final_drawing_date']) and $lead_data['final_drawing_date']!='0000-00-00') { echo date('d-m-Y',strtotime($lead_data['final_drawing_date'])); }?>
                                            </td>
                                            <?php
                                            $date1 = new DateTime(date('Y-m-d',strtotime($contract_signed)));
                                            if($lead_data['contract_signed_date'] != '0000-00-00')
                                            {
                                                $date2 = new DateTime(date('Y-m-d',strtotime($lead_data['contract_signed_date'])));
                                            }
                                            else
                                            {
                                                $date2 = new DateTime(date('Y-m-d'));
                                            }
                                            ?>
                                            <td <?php if($date1 < $date2 && empty($lead_data['contract_signed'])){ echo 'style="background: #f18686;"'; } ?> >
                                            <?php echo $lead_data['contract_signed'];?> - <?php if(isset($lead_data['contract_signed_date']) and $lead_data['contract_signed_date']!='0000-00-00') { echo date('d-m-Y',strtotime($lead_data['contract_signed_date'])); }?>
                                            </td>
                                            <?php
                                            $date1 = new DateTime(date('Y-m-d',strtotime($invoice_generated)));
                                            if($lead_data['invoice_generated_date'] != '0000-00-00')
                                            {
                                                $date2 = new DateTime(date('Y-m-d',strtotime($lead_data['invoice_generated_date'])));
                                            }
                                            else
                                            {
                                                $date2 = new DateTime(date('Y-m-d'));
                                            }
                                            ?>
                                            <td <?php if($date1 < $date2 && !isset($invoice['enter_date']) && empty($invoice['enter_date'])){ echo 'style="background: #f18686;"'; } ?> >
                                            <?php
                                            if(isset($invoice['enter_date']) && !empty($invoice['enter_date']))
                                            {
                                                echo "Yes - ".date('d-m-Y',strtotime($invoice['enter_date']));
                                            }
                                            ?>
                                            <!-- <?php //echo $lead_data['invoice_generated'];?> - <?php //if(isset($lead_data['invoice_generated_date']) and $lead_data['invoice_generated_date']!='0000-00-00') { echo date('d-m-Y',strtotime($lead_data['invoice_generated_date'])); }?> -->
                                            </td>
                                            <?php
                                            $date1 = new DateTime(date('Y-m-d',strtotime($drawing_to_production)));
                                            if($lead_data['drawing_given_to_production_date'] != '0000-00-00')
                                            {
                                                $date2 = new DateTime(date('Y-m-d',strtotime($lead_data['drawing_given_to_production_date'])));
                                            }
                                            else
                                            {
                                                $date2 = new DateTime(date('Y-m-d'));
                                            }
                                            ?>
                                            <td <?php if($date1 < $date2 && empty($lead_data['drawing_given_to_production'])){ echo 'style="background: #f18686;"'; } ?> >
                                            <?php echo $lead_data['drawing_given_to_production'];?> - <?php if(isset($lead_data['drawing_given_to_production_date']) and $lead_data['drawing_given_to_production_date']!='0000-00-00') { echo date('d-m-Y',strtotime($lead_data['drawing_given_to_production_date'])); }?>
                                            </td>
                                        </tr>
                                        <?php
										}
										?>
                                     </tbody>
                                     </table>
                                    
								</div>
							</div>
						</div>
					</div>
				</div>
				
            </div>
            <!-- /.container-fluid -->
        </div>
        <!-- /#page-wrapper -->
    </div>
    <!-- /#wrapper -->
    <!-- jQuery -->
    <script src="bower_components/jquery/dist/jquery.min.js"></script>
    <!-- Bootstrap Core JavaScript -->
    <script src="bower_components/bootstrap/dist/js/bootstrap.min.js"></script>
    <!-- Metis Menu Plugin JavaScript -->
    <script src="bower_components/metisMenu/dist/metisMenu.min.js"></script>
    <!-- Custom Theme JavaScript -->
    <script src="dist/js/sb-admin-2.js"></script>
    
    <!-- DataTables JavaScript -->
    <script src="bower_components/datatables/media/js/jquery.dataTables.min.js"></script>
    <script src="bower_components/datatables-plugins/integration/bootstrap/3/dataTables.bootstrap.min.js"></script>
    <script src="https://cdn.datatables.net/fixedcolumns/3.2.2/js/dataTables.fixedColumns.min.js"></script>
    
    <script type="text/javascript">
        $(document).ready(function(){
            var table = $('#dataTables-example').DataTable( {
                scrollY:        "500px",
                scrollX:        true,
                scrollCollapse: true,
                paging:         false,
                fixedColumns:   {
                    leftColumns: 1
                },
                "ordering": false
            } );
        });
    </script>
    
</body>
</html>
