<?php
include('includes/config.php');
include('class/Material.php');
if(!isset($_SESSION['kp5user_id']) or $_SESSION['kp5user_id']=="")
{
    header("location:index.php?error=Please Login to Continue..");
    exit;
}
$saved_id = $_GET['saved_id'];
?>
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="description" content="">
    <meta name="author" content="">
    <title>KRIOS Kitchens</title>
    <!-- Bootstrap Core CSS -->
    <link href="bower_components/bootstrap/dist/css/bootstrap.min.css" rel="stylesheet">
    <!-- MetisMenu CSS -->
    <link href="bower_components/metisMenu/dist/metisMenu.min.css" rel="stylesheet">
    <!-- Custom CSS -->
    <link href="dist/css/sb-admin-2.css" rel="stylesheet">
    <!-- Custom Fonts -->
    <link href="bower_components/font-awesome/css/font-awesome.min.css" rel="stylesheet" type="text/css">
    <!-- HTML5 Shim and Respond.js IE8 support of HTML5 elements and media queries -->
    <!-- WARNING: Respond.js doesn't work if you view the page via file:// -->
    <!--[if lt IE 9]>
    <script src="https://oss.maxcdn.com/libs/html5shiv/3.7.0/html5shiv.js"></script>
    <script src="https://oss.maxcdn.com/libs/respond.js/1.4.2/respond.min.js"></script>
    <![endif]-->
    <style type="text/css">
        .modal-dialog {
            width: 80% !important;
        }
        .stickyhead{
            position: fixed;
            background: rgba(255,255,255,1);
            top:0;
        }
    </style>
</head>
<body>
    <div id="wrapper">
        <!-- Navigation -->
        <nav class="navbar navbar-default navbar-static-top" role="navigation" style="margin-bottom: 0">
            <?php
            include('includes/header.php');
            ?>
            <div class="navbar-default sidebar" role="navigation">
                <?php
                include('includes/navigation.php');
                ?>
            </div>
            <!-- /.navbar-static-side -->
        </nav>
        <!-- Page Content -->
        <div id="page-wrapper">
            <div class="container-fluid">
                <?php
                if(isset($_GET['success']))
                {
                    ?>
                    <p class="alert-success"><?php echo $_GET['success'];?></p>
                    <?php
                }
                if(isset($_SESSION['cust_error']))
                {
                    ?>
                    <p class="alert-danger"><?php echo $_SESSION['cust_error']; unset($_SESSION['cust_error']);?></p>
                    <?php
                }
                ?>
                <div class="row">
                    <div class="col-lg-12">
                        <div class="panel panel-default">
                            <div class="panel-heading">
                                <h3>Order Transfer</h3>
                            </div>
                            <!-- /.panel-heading -->
                            <div class="panel-body">
                                <div class="dataTable_wrapper">
                                    <!--Content Area-->
                                    <div class="col-md-12" align="center">
                                        <form name="kitchen_form" id="kitchen_form" method="post" action="" onSubmit="return validPriceForm();">
                                            <?php
                                            $saved_prices_qry=mysql_query("select * from tbl_saved_prices where saved_id='".$saved_id."'") or die(mysql_error());
                                            $saved_prices_data=mysql_fetch_array($saved_prices_qry);
                                            ?>
                                            <h3><?php echo $saved_prices_data['saved_name'];?></h3>
                                            <table id="order_table" class="table">
                                                <thead>
                                                    <tr>
                                                        <th>SR. NO</th>
                                                        <th width="15%">Section</th>
                                                        <th width="15%">SKU</th>
                                                        <th>Product Name</th>
                                                        <th width="10%">Qty</th>
                                                    </tr>
                                                </thead>
                                                <tbody style="max-height: 500px;overflow: scroll;">
                                                    <?php
                                                    $cnt=1;
                                                    $bom_q = mysql_query("SELECT ob . * , im.`item_stock_loc_06` AS stock
                                                        FROM  `tbl_order_book` AS ob
                                                        JOIN  `tbl_item_manager` AS im ON ob.`sku` = im.`item_sku` 
                                                        WHERE ob.`saved_id` =  '".$saved_id."'
                                                        ORDER BY ob.`item_section`
                                                        ") or die(mysql_error());
                                                    while($bom = mysql_fetch_array($bom_q))
                                                    {
                                                        ?>
                                                        <tr>
                                                            <td><?php echo $cnt;?></td>
                                                            <td width="15%"><?php echo $bom['item_section'];?></td>
                                                            <td width="15%"><?php echo $bom['sku'];?></td>
                                                            <td><?php echo $bom['product_name'];?></td>
                                                            <td width="10%"><?php echo $bom['qty'];?>
                                                            </td>
                                                        </tr>
                                                        <?php
                                                        $cnt++;
                                                    }
                                                    ?>
                                                </tbody>
                                            </table>
                                        </form>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <!-- /.container-fluid -->
        </div>
        <!-- /#page-wrapper -->
    </div>
    <!-- /#wrapper -->
    <!-- jQuery -->
    <script src="bower_components/jquery/dist/jquery.min.js"></script>
    <!-- Bootstrap Core JavaScript -->
    <script src="bower_components/bootstrap/dist/js/bootstrap.min.js"></script>
    <!-- Metis Menu Plugin JavaScript -->
    <script src="bower_components/metisMenu/dist/metisMenu.min.js"></script>
    <!-- Custom Theme JavaScript -->
    <script src="dist/js/sb-admin-2.js"></script>
</body>
</html>