<?php
include('includes/config.php');
//print_r($_SESSION);
if(!isset($_SESSION['kp5user_id']) or $_SESSION['kp5user_id']=="")
{
    header("location:index.php?error=Please Login to Continue..");
    exit;
}

?>
<!DOCTYPE html>
<html lang="en">

<head>

    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="description" content="">
    <meta name="author" content="">

    <title>KRIOS Kitchens</title>

    <!-- Bootstrap Core CSS -->
    <link href="bower_components/bootstrap/dist/css/bootstrap.min.css" rel="stylesheet">

    <!-- MetisMenu CSS -->
    <link href="bower_components/metisMenu/dist/metisMenu.min.css" rel="stylesheet">

    <!-- Custom CSS -->
    <link href="dist/css/sb-admin-2.css" rel="stylesheet">

    <!-- Custom Fonts -->
    <link href="bower_components/font-awesome/css/font-awesome.min.css" rel="stylesheet" type="text/css">
    
    <!-- DataTables CSS -->
    <link href="bower_components/datatables-plugins/integration/bootstrap/3/dataTables.bootstrap.css" rel="stylesheet">

    <!-- DataTables Responsive CSS -->
    <link href="bower_components/datatables-responsive/css/dataTables.responsive.css" rel="stylesheet">
    <link href="assets/css/loader.css" rel="stylesheet" type="text/css">
    <!-- HTML5 Shim and Respond.js IE8 support of HTML5 elements and media queries -->
    <!-- WARNING: Respond.js doesn't work if you view the page via file:// -->
    <!--[if lt IE 9]>
        <script src="https://oss.maxcdn.com/libs/html5shiv/3.7.0/html5shiv.js"></script>
        <script src="https://oss.maxcdn.com/libs/respond.js/1.4.2/respond.min.js"></script>
    <![endif]-->

</head>

<body>

    <div id="wrapper">

        <!-- Navigation -->
        <nav class="navbar navbar-default navbar-static-top" role="navigation" style="margin-bottom: 0">
            <?php
            include('includes/header.php');
            ?>

            <div class="navbar-default sidebar" role="navigation">
                <?php
                include('includes/navigation.php');
                ?>
            </div>
            <!-- /.navbar-static-side -->
        </nav>

        <!-- Page Content -->
        <div id="page-wrapper">
            <div class="container-fluid">
                <div class="row">
                    <div class="col-lg-12">
                        <!--<h1 class="page-header">Blank</h1>-->
                        &nbsp;
                        <?php
                        if(isset($_GET['success']))
                        {
                        ?>
                        <p class="alert-success"><?php echo $_GET['success'];?></p>
                        <?php
                        }
                        ?>
                    </div>
                    <!-- /.col-lg-12 -->
                </div>
                <!-- /.row -->
                
                <div class="row">
                    <div class="col-lg-12">
                        <div class="panel panel-default">
                            <div class="panel-heading">
                                <h2>Approval Pending POs</h2>
                            </div>
                            <!-- /.panel-heading -->
                            <div class="panel-body">
                                <div class="dataTable_wrapper">
                                    <!--Content Area-->
                                    <table class="table table-striped table-bordered table-hover" id="dataTables-example">
                                    <thead>
                                        <tr>
                                            <th>PO Number</th>
                                            <th>Customer</th>
                                            <th>Vendor</th>
                                            <th>Items</th>
                                            <th>Action</th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                    <?php
                                    $con_query=mysql_query("select * from tbl_po_main where created_at >= '2017-05-04' && is_approved = '0' order by po_number desc") or die(mysql_error());
                                    $cnt = 1;
                                    while($con_data=mysql_fetch_array($con_query))
                                    {
                                        $cust_query=mysql_query("select * from tbl_customer_master where cust_id='".$con_data['cust_id']."'") or die(mysql_error());
                                        $cust_data=mysql_fetch_array($cust_query);
                                        
                                        $vend_query=mysql_query("select * from tbl_vendor_master where vend_id='".$con_data['vend_id']."'") or die(mysql_error());
                                        $vend_data=mysql_fetch_array($vend_query);
                                        
                                        $po_dtl_qry=mysql_query("select * from tbl_po_detail where po_number='".$con_data['po_number']."'") or die(mysql_error());
                                    ?>
                                        <tr class="odd gradeX tr_<?php echo $cnt; ?>">
                                            <td><?php echo $con_data['po_number'];?></td>
                                            <td><?php echo $cust_data['cust_name'];?></td>
                                            <td><?php echo $vend_data['vend_name'];?></td>
                                            <td><?php
                                            while($po_dtl_data=mysql_fetch_array($po_dtl_qry))
                                            { 
                                                echo $po_dtl_data['item_sku']."=>".$po_dtl_data['item_qty']."<br/>";
                                            }
                                            ?></td>
                                            <td class="center">
                                                <a href="po_search.php?po_number=<?php echo $con_data['po_number']; ?>" class="btn btn-primary btn-xs" target='_blank'>View</a>
                                                <?php
                                                if($_SESSION['kp5user_id'] == '12' || $_SESSION['kp5user_id']=='1')
                                                {
                                                ?>
                                                <a href="JavaScript:approvePo('<?php echo $con_data['po_number']; ?>','<?php echo $cnt; ?>')" class="btn btn-primary btn-xs">Approve</a>
                                                <?php } ?>
                                            </td>
                                        </tr>
                                     <?php
                                     $cnt++;
                                     }
                                     ?>
                                     </tbody>
                                     </table>
                                    
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                
            </div>
            <!-- /.container-fluid -->
        </div>
        <!-- /#page-wrapper -->

    </div>
    <!-- /#wrapper -->
    <div class="cssload-container">
        <div class="cssload-whirlpool"></div>
    </div>
    <!-- jQuery -->
    <script src="bower_components/jquery/dist/jquery.min.js"></script>

    <!-- Bootstrap Core JavaScript -->
    <script src="bower_components/bootstrap/dist/js/bootstrap.min.js"></script>

    <!-- Metis Menu Plugin JavaScript -->
    <script src="bower_components/metisMenu/dist/metisMenu.min.js"></script>

    <!-- Custom Theme JavaScript -->
    <script src="dist/js/sb-admin-2.js"></script>
    
    <!-- DataTables JavaScript -->
    <script src="bower_components/datatables/media/js/jquery.dataTables.min.js"></script>
    <script src="bower_components/datatables-plugins/integration/bootstrap/3/dataTables.bootstrap.min.js"></script>
    
    <script>
    $(document).ready(function() {
        $('#dataTables-example').DataTable({
                responsive: true
        });
    });
    function approvePo(po_number,tr)
    {
        var comment = prompt("Please enter your Comment", "");
        console.log(comment);
        if (comment != null && comment != '')
        {
            console.log(comment);
            $.ajax({
                url:"ajax_process.php",
                method:'GET',
                data:{action:'approve',po_number:po_number,comment:comment},
                beforeSend:function()
                {
                    $('.cssload-container').show();
                },
                complete:function()
                {
                    $('.cssload-container').hide();
                },
                success:function(data){
                    // var data = $.parse(data);
                    if(data.success == true)
                    {
                        $('.tr_'+tr).remove();
                        alert(data.msg);
                    }
                    else
                    {
                        alert(data.msg);
                    }
                }
            });
        }
    }
    </script>

</body>

</html>
