<?php
include('includes/config.php');
//print_r($_SESSION);
if(!isset($_SESSION['kp5user_id']) or $_SESSION['kp5user_id']=="")
{
	header("location:index.php?error=Please Login to Continue..");
	exit;
}
?>
<!DOCTYPE html>
<html lang="en">

<head>

    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="description" content="">
    <meta name="author" content="">

    <title>KRIOS Kitchens</title>

    <!-- Bootstrap Core CSS -->
    <link href="bower_components/bootstrap/dist/css/bootstrap.min.css" rel="stylesheet">

    <!-- MetisMenu CSS -->
    <link href="bower_components/metisMenu/dist/metisMenu.min.css" rel="stylesheet">

    <!-- Custom CSS -->
    <link href="dist/css/sb-admin-2.css" rel="stylesheet">

    <!-- Custom Fonts -->
    <link href="bower_components/font-awesome/css/font-awesome.min.css" rel="stylesheet" type="text/css">
    
    <!-- DataTables CSS -->
    <link href="bower_components/datatables-plugins/integration/bootstrap/3/dataTables.bootstrap.css" rel="stylesheet">

    <!-- DataTables Responsive CSS -->
    <link href="bower_components/datatables-responsive/css/dataTables.responsive.css" rel="stylesheet">

    <!-- HTML5 Shim and Respond.js IE8 support of HTML5 elements and media queries -->
    <!-- WARNING: Respond.js doesn't work if you view the page via file:// -->
    <!--[if lt IE 9]>
        <script src="https://oss.maxcdn.com/libs/html5shiv/3.7.0/html5shiv.js"></script>
        <script src="https://oss.maxcdn.com/libs/respond.js/1.4.2/respond.min.js"></script>
    <![endif]-->
	<style type="text/css">
	#float {
        position: fixed;
        top: 3em;
        right: 2em;
        z-index: 100;
    }

	.gallerycontainer{
	position: relative;
	/*Add a height attribute and set to largest image's height to prevent overlaying*/
	}
	
	.thumbnail img{
	border: 1px solid white;
	margin: 0 5px 5px 0;
	}
	
	.thumbnail:hover{
	background-color: transparent;
	}
	
	.thumbnail:hover img{
	border: 1px solid blue;
	}
	
	.thumbnail span{ /*CSS for enlarged image*/
	position: absolute;
	background-color: lightyellow;
	padding: 5px;
	left: -1000px;
	border: 1px dashed gray;
	visibility: hidden;
	color: black;
	text-decoration: none;
	}
	
	.thumbnail span img{ /*CSS for enlarged image*/
	border-width: 0;
	padding: 2px;
	}
	
	.thumbnail:hover span{ /*CSS for enlarged image*/
	visibility: visible;
	top: 0;
	left: 200px; /*position where enlarged image should offset horizontally */
	z-index: 50;
	}
	
	</style>
</head>

<body>

    <div id="wrapper">

        <!-- Navigation -->
        <nav class="navbar navbar-default navbar-static-top" role="navigation" style="margin-bottom: 0">
            <?php
			include('includes/header.php');
			?>

            <div class="navbar-default sidebar" role="navigation">
                <?php
				include('includes/navigation.php');
				?>
            </div>
            <!-- /.navbar-static-side -->
        </nav>

        <!-- Page Content -->
        <div id="page-wrapper">
            <div class="container-fluid">
                <div class="row">
                    <div class="col-lg-12">
                        <!--<h1 class="page-header">Blank</h1>-->
						&nbsp;
						<?php
						if(isset($_GET['success']))
						{
						?>
						<p class="alert-success"><?php echo $_GET['success'];?></p>
						<?php
						}
						?>
                    </div>
                    <!-- /.col-lg-12 -->
                </div>
                <!-- /.row -->
				
				<div class="row">
					<div class="col-lg-12">
						<div class="panel panel-default">
							<div class="panel-heading">
								<h2>Furniture Production Dashboard</h2>
							</div>
							<!-- /.panel-heading -->
							<div class="panel-body">
								<div class="dataTable_wrapper">
									<!--Content Area-->
                                    <table class="table table-striped table-bordered table-hover" id="dataTables-example">
                                    <thead>
                                        <tr>
                                            <th>SKU</th>
                                        	<th>Name</th>
                                            <th>CT</th>
                                            <th>SOR</th>
                                            <th>Pepperfry</th>
                                            <th>Amazon</th>
											<th>MSS</th>
											<th>Total Qty</th>
											<th>SQFT</th>
											<th>Total SQFT</th>
                                        </tr>
                                    </thead>
									<tfoot>
										<tr>
											<th>&nbsp;</th>
											<th>&nbsp;</th>
											<th>&nbsp;</th>
											<th>&nbsp;</th>
											
											<th>&nbsp;</th>
											<th>&nbsp;</th>
											<th>&nbsp;</th>
											<th>&nbsp;</th>
											
											<th>&nbsp;</th>
											<th>&nbsp;</th>
										</tr>
									</tfoot>
                                    <tbody>
									<?php
									/*$today=date('Y-m-d');
									$req_qry=mysql_query("select * from tbl_mfg_requirements where mfg_date='".$today."' and req_purpose='Order' order by del_date") or die(mysql_error());
									while()
									{
									}*/
									
									
									
									////////////////////// OLD CODE START//////////////////
									$black=0;
									$walnut=0;
									$cherry=0;
									$wenge=0;
									$brown=0;
									$today=date('Y-m-d');
									$req_qry=mysql_query("select req_sku from tbl_mfg_requirements where mfg_date='".$today."' group by req_sku") or die(mysql_error());
									while($req_data=mysql_fetch_array($req_qry))
									{
										$item_qry=mysql_query("select * from tbl_item_manager where item_sku='".$req_data['req_sku']."'") or die(mysql_error());
										$item_data=mysql_fetch_array($item_qry);
										
										$pepperfry_count=0;
										$pepperfry_str='';
										$pepperfry_arr=array();
										
										$amazon_count=0;
										$amazon_str='';
										$amazon_arr=array();
										$sqft=0;
										
										$cloudtail=0;
										$sor=0;
										$mss=0;
										
										$req_qry_2=mysql_query("select * from tbl_mfg_requirements where req_sku='".$req_data['req_sku']."' and mfg_date='".$today."'") or die(mysql_error());
										while($req_data_2=mysql_fetch_array($req_qry_2))
										{
											if($req_data_2['req_purpose']=="Order" and preg_replace('/\s+/', ' ', $req_data_2['website_name'])=="amazon")
											{
												$amazon_count+=$req_data_2['req_qty'];
												$amazon_str.=date('d-m-Y',strtotime($req_data_2['del_date'])).'='.$req_data_2['req_qty'].'</br>';
												if(isset($amazon_arr[$req_data_2['del_date']]))
												{
													$old_qty=$amazon_arr[$req_data_2['del_date']];
													$amazon_arr[$req_data_2['del_date']]=$old_qty+$req_data_2['req_qty'];
												}
												else
												{
													$amazon_arr[$req_data_2['del_date']]=$req_data_2['req_qty'];
												}
											}
											if($req_data_2['req_purpose']=="Order" and preg_replace('/\s+/', ' ', $req_data_2['website_name'])=="pepperfry")
											{
												$pepperfry_count+=$req_data_2['req_qty'];
												$pepperfry_str.=date('d-m-Y',strtotime($req_data_2['del_date'])).'='.$req_data_2['req_qty'].'</br>';
												if(isset($pepperfry_arr[$req_data_2['del_date']]))
												{
													$old_qty=$pepperfry_arr[$req_data_2['del_date']];
													$pepperfry_arr[$req_data_2['del_date']]=$old_qty+$req_data_2['req_qty'];
												}
												else
												{
													$pepperfry_arr[$req_data_2['del_date']]=$req_data_2['req_qty'];
												}
											}
											if($req_data_2['req_purpose']=="cloudtail" and $req_data_2['website_name']=="cloudtail")
											{
												$cloudtail+=$req_data_2['req_qty'];
												
											}
											if($req_data_2['req_purpose']=="sor" and $req_data_2['website_name']=="sor")
											{
												$sor+=$req_data_2['req_qty'];
												
											}
											if($req_data_2['req_purpose']=="mss" and $req_data_2['website_name']=="mss")
											{
												$mss+=$req_data_2['req_qty'];
												
											}
											$sqft=$req_data_2['ind_sqft'];
											if($item_data['item_color']=="Black")
											{
												$black+=($req_data_2['req_qty']*$req_data_2['ind_sqft']);
											}
											if($item_data['item_color']=="Wenge")
											{
												$wenge+=($req_data_2['req_qty']*$req_data_2['ind_sqft']);
											}
											if($item_data['item_color']=="Walnut")
											{
												$walnut+=($req_data_2['req_qty']*$req_data_2['ind_sqft']);
											}
											if($item_data['item_color']=="Cherry")
											{
												$cherry+=($req_data_2['req_qty']*$req_data_2['ind_sqft']);
											}
											if($item_data['item_color']=="Brown")
											{
												$brown+=($req_data_2['req_qty']*$req_data_2['ind_sqft']);
											}
										}
										
										$total_count=$pepperfry_count+$amazon_count+$cloudtail+$sor+$mss;
										
										
									?>
									<tr>
										<td>
											<?php //echo $item_data['item_sku'];?>
											<a href="javascript:void()" class="thumbnail" style="position:relative;">
											<?php echo $item_data['item_sku'];?>
											<span><img height="250" src="http://www.kriosdirect.com/productphotos/<?php echo $item_data['item_sku'];?>.jpg" /><br /><?php echo $item_data['item_sku'];?></span>
											</a>
										</td>
										
										<td><?php echo $item_data['item_name'];?></td>
										
										<td><?php echo $cloudtail; ?></td>
										<td><?php echo $sor;?></td>
										<td>
											<a href="javascript:void()" class="thumbnail" style="position:relative;">
											<?php echo $pepperfry_count;?>
											<span><?php 
											//echo $pepperfry_str;
											foreach($pepperfry_arr as $key=>$val)
											{
												echo date('d-m-Y',strtotime($key))."=".$val."</br>";
											}
											?></span>
											</a>
										</td>
										<td>
											<a href="javascript:void()" class="thumbnail" style="position:relative;">
											<?php echo $amazon_count;?>
											<span><?php 
											//echo $amazon_str;
											foreach($amazon_arr as $key=>$val)
											{
												echo date('d-m-Y',strtotime($key))."=".$val."</br>";
											}
											?></span>
											</a>
										</td>
										<td><?php echo $mss;?></td>
										<td><?php echo $total_count;?></td>
										<td><?php echo $sqft;?></td>
										<td><?php echo $sqft*$total_count;?></td>
									</tr>
									<?php
									//exit;
									}
									?>
                                     </tbody>
                                     </table>
                                    <p>Black (G1014IT0010): <?php echo $black;?> SQFT (<?php echo round($black/32,2);?> Sheet)</p>
									<p>Wenge (G1014IT0006): <?php echo $wenge+$brown;?> SQFT (<?php echo round(($wenge+$brown)/32,2);?> Sheet)</p>
									<p>Walnut (G1014IT0014): <?php echo $walnut;?> SQFT (<?php echo round($walnut/32,2);?> Sheet)</p>
									<p>Cherry (G1014IT0015): <?php echo $cherry;?> SQFT (<?php echo round($cherry/32,2);?> Sheet)</p>
									<!--<p>Brown: <?php //echo $brown;?> SQFT</p>-->
								</div>
							</div>
						</div>
					</div>
				</div>
				
            </div>
            <!-- /.container-fluid -->
        </div>
        <!-- /#page-wrapper -->

    </div>
    <!-- /#wrapper -->

    <!-- jQuery -->
    <script src="bower_components/jquery/dist/jquery.min.js"></script>

    <!-- Bootstrap Core JavaScript -->
    <script src="bower_components/bootstrap/dist/js/bootstrap.min.js"></script>

    <!-- Metis Menu Plugin JavaScript -->
    <script src="bower_components/metisMenu/dist/metisMenu.min.js"></script>

    <!-- Custom Theme JavaScript -->
    <script src="dist/js/sb-admin-2.js"></script>
    
    <!-- DataTables JavaScript -->
    <script src="bower_components/datatables/media/js/jquery.dataTables.min.js"></script>
    <script src="bower_components/datatables-plugins/integration/bootstrap/3/dataTables.bootstrap.min.js"></script>
    
    <script>
    $(document).ready(function() {
       var table = $('#dataTables-example').DataTable( {
            	//scrollY:        "900px",
               // scrollX:        true,
               // scrollCollapse: true,
               // paging:         true,
              //  iDisplayLength: 100,
              //  fixedColumns:   {
              //      leftColumns: 2
              //  },
				"footerCallback": function ( row, data, start, end, display ) {
					var api = this.api(), data;
		 
					// Remove the formatting to get integer data for summation
					var intVal = function ( i ) {
						return typeof i === 'string' ?
							i.replace(/[\$,]/g, '')*1 :
							typeof i === 'number' ?
								i : 0;
					};
		 
		 			// Total over all pages
					total = api
						.column( 7 )
						.data()
						.reduce( function (a, b) {
							return intVal(a) + intVal(b);
						}, 0 );
		 
					// Total over this page
					pageTotal = api
						.column( 7, { page: 'current'} )
						.data()
						.reduce( function (a, b) {
							return intVal(a) + intVal(b);
						}, 0 );
		 
					// Update footer
					$( api.column( 7 ).footer() ).html(
						''+pageTotal.toFixed(0)+' ( '+total.toFixed(0)+' total)'
					);
					
					
					total = api
						.column( 9 )
						.data()
						.reduce( function (a, b) {
							return intVal(a) + intVal(b);
						}, 0 );
		 
					// Total over this page
					pageTotal = api
						.column( 9, { page: 'current'} )
						.data()
						.reduce( function (a, b) {
							return intVal(a) + intVal(b);
						}, 0 );
		 
					// Update footer
					$( api.column( 9 ).footer() ).html(
						''+pageTotal.toFixed(0)+' ( '+total.toFixed(0)+' total)'
					);
					
					
					
					
				}
                
            } );
    });
    </script>

</body>

</html>
