<?php
include('includes/config.php');
if(!isset($_SESSION['kp5user_id']) or $_SESSION['kp5user_id']=="")
{
    header("location:index.php?error=Please Login to Continue..");
    exit;
}
$from_date="";
$to_date="";
if(isset($_POST['from_date']) and $_POST['from_date']!='')
{
    $from_date=date('Y-m-d', strtotime($_POST['from_date']));
}
if(isset($_POST['to_date']) and $_POST['to_date']!='')
{
    $to_date=date('Y-m-d', strtotime($_POST['to_date']));
}
?>
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="description" content="">
    <meta name="author" content="">
    <title>KRIOS Kitchens</title>
    <!-- Bootstrap Core CSS -->
    <link href="bower_components/bootstrap/dist/css/bootstrap.min.css" rel="stylesheet">
    <!-- MetisMenu CSS -->
    <link href="bower_components/metisMenu/dist/metisMenu.min.css" rel="stylesheet">
    <!-- Custom CSS -->
    <link href="dist/css/sb-admin-2.css" rel="stylesheet">
    <!-- Custom Fonts -->
    <link href="bower_components/font-awesome/css/font-awesome.min.css" rel="stylesheet" type="text/css">
    <script src="js/datetimepicker_css.js"></script>
    <!-- HTML5 Shim and Respond.js IE8 support of HTML5 elements and media queries -->
    <!-- WARNING: Respond.js doesn't work if you view the page via file:// -->
    <!--[if lt IE 9]>
    <script src="https://oss.maxcdn.com/libs/html5shiv/3.7.0/html5shiv.js"></script>
    <script src="https://oss.maxcdn.com/libs/respond.js/1.4.2/respond.min.js"></script>
    <![endif]-->
</head>
<body>
    <div id="wrapper">
        <!-- Navigation -->
        <nav class="navbar navbar-default navbar-static-top" role="navigation" style="margin-bottom: 0">
            <?php
            include('includes/header.php');
            ?>
            <div class="navbar-default sidebar" role="navigation">
                <?php
                include('includes/navigation.php');
                ?>
            </div>
            <!-- /.navbar-static-side -->
        </nav>
        <!-- Page Content -->
        <div id="page-wrapper">
            <div class="container-fluid">
                <div class="row">
                    <div class="col-lg-12">
                        <!--<h1 class="page-header">Blank</h1>-->
                        &nbsp;
                        <?php
                        if(isset($_GET['success']))
                        {
                            ?>
                            <p class="alert-success"><?php echo $_GET['success'];?></p>
                            <?php
                        }
                        ?>
                    </div>
                    <!-- /.col-lg-12 -->
                </div>
                <!-- /.row -->
                <div class="row">
                    <div class="col-lg-12">
                        <div class="panel panel-default">
                            <div class="panel-heading">
                                <h2>Report: Branch Ledger</h2>
                            </div>
                            <!-- /.panel-heading -->
                            <div class="panel-body">
                                <!--Content Area-->
                                <?php
                                $html_to_print='';

                                $cust_query=mysql_query("select * from tbl_branch where id='".$_POST['branch_id']."'") or die(mysql_error());
                                $cust_data=mysql_fetch_array($cust_query);
                                $html_to_print.='<table>
                                <tr>
                                    <td style="border:solid 1px #000000;" colspan="6"><strong>'.$cust_data['name'].'</strong></td>
                                    <td style="border:solid 1px #000000;" colspan="2"></td>
                                    <td style="border:solid 1px #000000;"></td>
                                </tr>
                                <tr>
                                    <td style="border:solid 1px #000000;" colspan="4">From Date: '.date('d-m-Y',strtotime($from_date)).'</td>
                                    <td style="border:solid 1px #000000;" colspan="4">To Date: '.date('d-m-Y',strtotime($to_date)).'</td>
                                    <td style="border:solid 1px #000000;">&nbsp;</td>
                                </tr>
                                <tr>
                                    <td style="border:solid 1px #000000;" colspan="9">&nbsp;</td>
                                </tr>
                                <tr>
                                    <td style="border:solid 1px #000000;"><strong>Sr. No.</strong></td>
                                    <td style="border:solid 1px #000000;"><strong>Date</strong></td>
                                    <td style="border:solid 1px #000000;"><strong>Invoice No.</strong></td>
                                    <td style="border:solid 1px #000000;"><strong>Chq No.</strong></td>
                                    <td style="border:solid 1px #000000;"><strong>Narration</strong></td>
                                    <td style="border:solid 1px #000000;"><strong>Particulars</strong></td>
                                    <td style="border:solid 1px #000000;"><strong>Debit</strong></td>
                                    <td style="border:solid 1px #000000;"><strong>Credit</strong></td>
                                    <td style="border:solid 1px #000000;"><strong>Balance</strong></td>
                                </tr>';
                                ?>
                                <table class="table">
                                    <tr>
                                        <td colspan="6"><strong><?php echo $cust_data['name'];?></strong></td>
                                        <td colspan="2"></td>
                                        <td></td>
                                    </tr>
                                    <tr>
                                        <td colspan="4">From Date: <?php echo date('d-m-Y',strtotime($from_date));?></td>
                                        <td colspan="4">To Date: <?php echo date('d-m-Y',strtotime($to_date));?></td>
                                        <td>&nbsp;</td>
                                    </tr>
                                    <tr>
                                        <td colspan="9">&nbsp;</td>
                                    </tr>
                                    <tr>
                                        <td><strong>Sr. No.</strong></td>
                                        <td><strong>Date</strong></td>
                                        <td><strong>Invoice No.</strong></td>
                                        <td><strong>Chq. No</strong></td>
                                        <td><strong>Narration</strong></td>
                                        <td><strong>Particulars</strong></td>
                                        <td><strong>Debit</strong></td>
                                        <td><strong>Credit</strong></td>
                                        <td><strong>Balance</strong></td>
                                    </tr>
                                    <?php
                                    $setupMySql = mysql_query(" SET OPTION SQL_BIG_SELECTS = 1 " ) or die('Cannot complete SETUP BIG SELECTS because: ' . mysql_error());

                                    $year='';
                                    $tbl_name='';
                                    $opn_debit=0;
                                    $opn_credit=0;
                                    if($from_date>='2015-04-01' and $from_date<='2016-03-31')
                                    {
                                        $tbl_name='acc_opening_emp_15_16';
                                        $year='2015';
                                    }
                                    else if($from_date>='2016-04-01' and $from_date<='2017-03-31')
                                    {
                                        $tbl_name='tbl_acc_opening_emp_16_17';
                                        $year='2016';
                                    }
                                    else if($from_date>='2017-04-01' and $from_date<='2018-03-31')
                                    {
                                        $tbl_name='tbl_acc_opening_emp_17_18';
                                        $year='2017';
                                    }
                                    else
                                    {
                                        exit;
                                    }

                                    $open_bl_qry=mysql_query("select sum(open_debit) as open_debit, sum(open_credit) as open_credit from ".$tbl_name." where emp_code='".$cust_data['code']."' && acc_code like 'BD%'") or die(mysql_error());
                                    $open_bl_count=mysql_num_rows($open_bl_qry);
                                    if($open_bl_count==1)
                                    {
                                        $open_bl_data=mysql_fetch_array($open_bl_qry);
                                        $opn_debit=$open_bl_data['open_debit'];
                                        $opn_credit=$open_bl_data['open_credit'];
                                    }

                                    //*********FIND OPENING BALANCE TILL DATE START
                                    $open_sales=0;
                                    $open_sales_query=mysql_query("select sum(bill_amt) as net_amt from tbl_invoice_master where cust_code='".$cust_data['code']."' and cust_name='".$cust_data['name']."' and bill_type2='1' and date(bgndt)>='".$year."-04-01' and date(bgndt)<'".$from_date."' and bill_no not like 'DC%'") or die(mysql_error());
                                    
                                    $open_sales_data=mysql_fetch_array($open_sales_query);
                                    if($open_sales_data['net_amt']!='' and $open_sales_data['net_amt']!=NULL)
                                    {
                                        $open_sales=$open_sales_data['net_amt'];
                                    }

                                    $open_return=0;
                                    $open_return_query=mysql_query("select sum(bill_amt) as net_amt from tbl_invoice_master where cust_code='".$cust_data['code']."' and cust_name='".$cust_data['name']."' and bill_type2='6' and date(bgndt)>='".$year."-04-01' and date(bgndt)<'".$from_date."'") or die(mysql_error());
                                    
                                    $open_return_data=mysql_fetch_array($open_return_query);
                                    if($open_return_data['net_amt']!='' and $open_return_data['net_amt']!=NULL)
                                    {
                                        $open_return=$open_return_data['net_amt'];
                                    }

                                    $open_payment=0;
                                    $open_payment_query=mysql_query("select sum( a.net_amt ) AS net_amt  from tbl_mr_main a where a.cust_code='".$cust_data['code']."' and date(a.mrs_date)>='".$year."-04-01' and date(a.mrs_date)<'".$from_date."'") or die(mysql_error());
                                    $open_payment_data=mysql_fetch_array($open_payment_query);
                                    if($open_payment_data['net_amt']!='' and $open_payment_data['net_amt']!=NULL)
                                    {
                                        $open_payment+=$open_payment_data['net_amt'];
                                    }
                                    $open_voucher=0;
                                    $open_voucher_minus=0;
                                    $open_voucher_query=mysql_query("select a.trans_date, b.debit, b.credit, b.voucher_no, b.opp_account, a.net_amt from tbl_voucher_main a, tbl_voucher_detail b where a.voucher_no=b.voucher_no and b.pbov_code_1='".$cust_data['code']."' and b.pbov_name_1='".$cust_data['name']."' and a.pbov_type in ('C','P','O','J') and date(a.trans_date)>='".$year."-04-01' and date(a.trans_date)<'".$from_date."' and b.pbov_type_1 in ('C','P','B')") or die(mysql_error());
                                    while($open_voucher_data=mysql_fetch_array($open_voucher_query))
                                    {
                                        if($open_voucher_data['debit']>0)
                                        {
                                            if($open_voucher_data['net_amt']!='' and $open_voucher_data['net_amt']!=NULL)
                                            {
                                                $open_voucher+=$open_voucher_data['net_amt'];
                                            }
                                        }
                                        else if($open_voucher_data['credit']>0)
                                        {
                                            if($open_voucher_data['net_amt']!='' and $open_voucher_data['net_amt']!=NULL)
                                            {
                                                $open_voucher_minus+=$open_voucher_data['net_amt'];
                                            }
                                        }
                                    }
                                    $opn_debit+=$open_sales+$open_voucher_minus;
                                    $opn_credit+=$open_return+$open_voucher+$open_payment;
                                    //*********FIND OPENING BALANCE TILL DATE END

                                    $mainArr=array();

                                    $inv_sales_query=mysql_query("select a.bgndt, a.due_date, a.remarks, b.bill_no, a.bill_amt as net_amt from tbl_invoice_master a, tbl_inovice_details b where a.bill_no=b.bill_no and a.cust_code='".$cust_data['code']."' and a.cust_name='".$cust_data['name']."' and a.bill_type2='1' and date(a.bgndt)>='".$from_date."' and date(a.bgndt)<='".$to_date."' and a.bill_no not like 'DC%' group by b.bill_no") or die(mysql_error());
                                    while($inv_sales_data=mysql_fetch_array($inv_sales_query))
                                    {
                                        $abc=array('date'=>$inv_sales_data['bgndt'],'bill_no'=>$inv_sales_data['bill_no'],'particulars'=>'SALES', 'amount'=>$inv_sales_data['net_amt'], 'type'=>'sales','chq_no'=>'','narration'=>$inv_sales_data['remarks']);
                                        array_push($mainArr, $abc);
                                    }
                                    $inv_return_query=mysql_query("select a.bgndt, a.due_date, a.remarks, b.bill_no, a.bill_amt as net_amt from tbl_invoice_master a, tbl_inovice_details b where a.bill_no=b.bill_no and a.cust_code='".$cust_data['code']."' and a.cust_name='".$cust_data['name']."' and a.bill_type2='6' and date(a.bgndt)>='".$from_date."' and date(a.bgndt)<='".$to_date."' group by b.bill_no") or die(mysql_error());
                                    while($inv_return_data=mysql_fetch_array($inv_return_query))
                                    {
                                        $abc=array('date'=>$inv_return_data['bgndt'],'bill_no'=>$inv_return_data['bill_no'],'particulars'=>'RETURN', 'amount'=>$inv_return_data['net_amt'], 'type'=>'return', 'chq_no'=>'','narration'=>$inv_return_data['remarks']);
                                        array_push($mainArr, $abc);
                                    }
                                    
                                    $payment_query=mysql_query("select a.mrs_no, a.mrs_date, a.chq_no, a.net_amt from tbl_mr_main a, tbl_mr_detail b where a.mrs_no=b.mrs_no and a.cust_code='".$cust_data['code']."' and date(a.mrs_date)>='".$from_date."' and date(a.mrs_date)<='".$to_date."' GROUP BY a.mrs_no") or die(mysql_error());
                                    
                                    while($payment_data=mysql_fetch_array($payment_query))
                                    {
                                        $abc=array('date'=>$payment_data['mrs_date'],'bill_no'=>$payment_data['mrs_no'],'particulars'=>'RECEIPT', 'amount'=>$payment_data['net_amt'], 'type'=>'payment', 'chq_no'=>$payment_data['chq_no'],'narration'=>'');
                                        array_push($mainArr, $abc);
                                    }
                                    
                                    $voucher_query=mysql_query("select a.trans_date, a.trans_type, a.chq_no, a.narration, b.debit, b.credit, b.voucher_no, b.opp_account, a.net_amt, b.narration as narr from tbl_voucher_main a, tbl_voucher_detail b where a.voucher_no=b.voucher_no and b.pbov_code_1='".$cust_data['code']."' and b.pbov_name_1='".$cust_data['name']."' and a.pbov_type in ('C','P','O','J') and date(a.trans_date)>='".$from_date."' and date(a.trans_date)<='".$to_date."' and b.pbov_type_1 in ('C','P','V','B')") or die(mysql_error());
                                    
                                    while($voucher_data=mysql_fetch_array($voucher_query))
                                    {
                                        $narr='';
                                        if($voucher_data['trans_type']=='MJV')
                                        {
                                            $narr=$voucher_data['narr'];
                                        }
                                        else
                                        {
                                            $narr=$voucher_data['narration'];
                                        }
                                        if($voucher_data['debit']>0)
                                        {
                                            $abc=array('date'=>$voucher_data['trans_date'],'bill_no'=>$voucher_data['voucher_no'],'particulars'=>$voucher_data['opp_account'], 'amount'=>$voucher_data['net_amt'], 'type'=>'sales','chq_no'=>$voucher_data['chq_no'],'narration'=>$narr);
                                        }
                                        else if($voucher_data['credit']>0)
                                        {
                                            $abc=array('date'=>$voucher_data['trans_date'],'bill_no'=>$voucher_data['voucher_no'],'particulars'=>$voucher_data['opp_account'], 'amount'=>$voucher_data['net_amt'], 'type'=>'voucher','chq_no'=>$voucher_data['chq_no'],'narration'=>$narr);                             
                                        }
                                        array_push($mainArr, $abc);
                                    }
                                    
                                    function cmp_by_optionNumber($a, $b) {
                                        return strcmp($a['date'], $b['date']);
                                    }
                                    
                                    usort($mainArr, "cmp_by_optionNumber");
                                    $i=1;
                                    
                                    $a=0;
                                    $opening_balance=$opn_debit-$opn_credit;
                                    $a=$opening_balance;
                                    $opn_debit=0;
                                    $opn_credit=0;
                                    if($opening_balance>=0)
                                    {
                                        $opn_debit=$opening_balance;
                                    }
                                    else
                                    {
                                        $opn_credit=$opening_balance;
                                    }
                                    
                                    $html_to_print.='<tr>
                                    <td style="border:solid 1px #000000;">&nbsp;</td>
                                    <td style="border:solid 1px #000000;">&nbsp;</td>
                                    <td style="border:solid 1px #000000;">&nbsp;</td>
                                    <td style="border:solid 1px #000000;">&nbsp;</td>
                                    <td style="border:solid 1px #000000;">&nbsp;</td>
                                    <td style="border:solid 1px #000000;">Opening Balance</td>
                                    <td style="border:solid 1px #000000;">'.$opn_debit.'</td>
                                    <td style="border:solid 1px #000000;">'.$opn_credit.'</td>
                                    <td style="border:solid 1px #000000;">'.$a.'</td></tr>';
                                    ?>
                                    <tr>
                                        <td>&nbsp;</td>
                                        <td>&nbsp;</td>
                                        <td>&nbsp;</td>
                                        <td>&nbsp;</td>
                                        <td>&nbsp;</td>
                                        <td>Opening Balance</td>
                                        <td><?php echo $opn_debit;?></td>
                                        <td><?php echo $opn_credit;?></td>
                                        <td><?php echo $a;?></td>
                                    </tr>
                                    <?php
                                    $html_to_print.='<tr>';
                                    $debit_total+=$opn_debit;
                                    $credit_total+=$opn_credit;
                                    foreach($mainArr as $indArr)
                                    {
                                        if($indArr['amount']>0)
                                        {
                                            ?>
                                            <tr>
                                                <td><?php echo $i; $html_to_print.='<td style="border:solid 1px #000000;">'.$i.'</td>';?></td>
                                                <td><?php echo date('d-m-Y',strtotime($indArr['date'])); $html_to_print.='<td style="border:solid 1px #000000;">'.date('d-m-Y',strtotime($indArr['date'])).'</td>';?></td>
                                                <td><?php echo $indArr['bill_no']; $html_to_print.='<td style="border:solid 1px #000000;">'.$indArr['bill_no'].'</td>';?></td>

                                                <td><?php echo $indArr['chq_no']; $html_to_print.='<td style="border:solid 1px #000000;">'.$indArr['chq_no'].'</td>';?></td>
                                                <td><?php echo $indArr['narration']; $html_to_print.='<td style="border:solid 1px #000000;">'.$indArr['narration'].'</td>';?></td>
                                                <td><?php echo $indArr['particulars']; $html_to_print.='<td style="border:solid 1px #000000;">'.$indArr['particulars'].'</td>';?></td>
                                                <td>
                                                    <?php 
                                                    if($indArr['type']=="sales")
                                                    {
                                                        echo round($indArr['amount'],2);
                                                        $a+=round($indArr['amount'],2);
                                                        $debit_total+=round($indArr['amount'],2);
                                                        $html_to_print.='<td style="border:solid 1px #000000;">'.round($indArr['amount'],2).'</td>';
                                                    }
                                                    else
                                                    {
                                                        $html_to_print.='<td style="border:solid 1px #000000;">&nbsp;</td>';
                                                    }
                                                    ?>
                                                </td>
                                                <td>
                                                    <?php 
                                                    if($indArr['type']!="sales")
                                                    {
                                                        echo round($indArr['amount'],2);
                                                        $a-=round($indArr['amount'],2);
                                                        $credit_total+=round($indArr['amount'],2);
                                                        $html_to_print.='<td style="border:solid 1px #000000;">'.round($indArr['amount'],2).'</td>';
                                                    }
                                                    else
                                                    {
                                                        $html_to_print.='<td style="border:solid 1px #000000;">&nbsp;</td>';
                                                    }
                                                    ?>
                                                </td>
                                                <td><?php echo $a; $html_to_print.='<td style="border:solid 1px #000000;">'.$a.'</td>';?></td>
                                            </tr>
                                            <?php
                                            $html_to_print.='</tr>';
                                        }
                                        $i++;
                                    }
                                    $html_to_print.='<tr>
                                    <td style="border:solid 1px #000000;">&nbsp;</td>
                                    <td style="border:solid 1px #000000;">&nbsp;</td>
                                    <td style="border:solid 1px #000000;">&nbsp;</td>
                                    <td style="border:solid 1px #000000;">&nbsp;</td>
                                    <td style="border:solid 1px #000000;">Total</td>
                                    <td style="border:solid 1px #000000;">&nbsp;</td>
                                    <td style="border:solid 1px #000000;">'.$debit_total.'</td>
                                    <td style="border:solid 1px #000000;">'.$credit_total.'</td>
                                    <td style="border:solid 1px #000000;">'.$a.'</td></tr></table>';
                                    ?>
                                    <tr>
                                        <td>&nbsp;</td>
                                        <td>&nbsp;</td>
                                        <td>&nbsp;</td>
                                        <td>&nbsp;</td>
                                        <td>Total</td>
                                        <td>&nbsp;</td>
                                        <td><?php echo $debit_total;?></td>
                                        <td><?php echo $credit_total;?></td>
                                        <td><?php echo $a;?></td>
                                    </tr>
                                </table>
                                <?php
                                ?>
                                <form name="ex_frm" id="ex_frm" method="post" action="exceltest.php">
                                    <input type="hidden" name="data_to_post" value="<?php echo urlencode($html_to_print);?>">
                                    <input type="submit" value="export" class="btn btn-primary" name="submit">
                                </form>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <!-- /.container-fluid -->
        </div>
        <!-- /#page-wrapper -->
    </div>
    <!-- /#wrapper -->
    <!-- jQuery -->
    <script src="bower_components/jquery/dist/jquery.min.js"></script>
    <!-- Bootstrap Core JavaScript -->
    <script src="bower_components/bootstrap/dist/js/bootstrap.min.js"></script>
    <!-- Metis Menu Plugin JavaScript -->
    <script src="bower_components/metisMenu/dist/metisMenu.min.js"></script>
    <!-- Custom Theme JavaScript -->
    <script src="dist/js/sb-admin-2.js"></script>
</body>
</html>