<?php
include('includes/config.php');
//print_r($_SESSION);
if(!isset($_SESSION['kp5user_id']) or $_SESSION['kp5user_id']=="")
{
	header("location:index.php?error=Please Login to Continue..");
	exit;
}
?>
<!DOCTYPE html>
<html lang="en">

<head>

    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="description" content="">
    <meta name="author" content="">

    <title>KRIOS Kitchens</title>

    <!-- Bootstrap Core CSS -->
    <link href="bower_components/bootstrap/dist/css/bootstrap.min.css" rel="stylesheet">

    <!-- MetisMenu CSS -->
    <link href="bower_components/metisMenu/dist/metisMenu.min.css" rel="stylesheet">

    <!-- Custom CSS -->
    <link href="dist/css/sb-admin-2.css" rel="stylesheet">

    <!-- Custom Fonts -->
    <link href="bower_components/font-awesome/css/font-awesome.min.css" rel="stylesheet" type="text/css">

    <!-- HTML5 Shim and Respond.js IE8 support of HTML5 elements and media queries -->
    <!-- WARNING: Respond.js doesn't work if you view the page via file:// -->
    <!--[if lt IE 9]>
        <script src="https://oss.maxcdn.com/libs/html5shiv/3.7.0/html5shiv.js"></script>
        <script src="https://oss.maxcdn.com/libs/respond.js/1.4.2/respond.min.js"></script>
    <![endif]-->
	<script src="js/datetimepicker_css.js"></script>
    <style>
  @media only screen and (max-width: 600px) {
  .form-control {width:auto;}
  
}
  </style>
</head>

<body>

    <div id="wrapper">

        <!-- Navigation -->
        <nav class="navbar navbar-default navbar-static-top" role="navigation" style="margin-bottom: 0">
            <?php
			include('includes/header.php');
			?>

            <div class="navbar-default sidebar" role="navigation">
                <?php
				include('includes/navigation.php');
				?>
            </div>
            <!-- /.navbar-static-side -->
        </nav>

        <!-- Page Content -->
        <div id="page-wrapper">
            <div class="container-fluid">
                <div class="row">
                    <div class="col-lg-12">
                        <!--<h1 class="page-header">Blank</h1>-->
						&nbsp;
						<?php
						if(isset($_GET['success']))
						{
						?>
						<p class="alert-success"><?php echo $_GET['success'];?></p>
						<?php
						}
						?>
                        <?php
						if(isset($_GET['error']))
						{
						?>
						<p class="alert-danger"><?php echo $_GET['error'];?></p>
						<?php
						}
						?>
                    </div>
                    <!-- /.col-lg-12 -->
                </div>
                <!-- /.row -->
				
				<div class="row">
					<div class="col-lg-12">
						<div class="panel panel-default">
							<div class="panel-heading">
								<?php
								$nst_date=date('Y-m-d');
								if(isset($_GET['nesting_date']) and $_GET['nesting_date']!='')
								{
									$nst_date=date('Y-m-d',strtotime($_GET['nesting_date']));
								}
								?>
								<h2>Nesting <?php echo date('d-m-Y',strtotime($nst_date));?></h2>
							</div>
							<!-- /.panel-heading -->
							<div class="panel-body">
									<!--Content Area-->
                                    <div class="form-panel">
                                    <div class="table-responsive">
									<form name="consider_form" id="consider_form" method="get" enctype="multipart/form-data" action="">
									<table class="table table-bordered">
										<tr>
											<th>Select date</th>
											<td>
												<div class="input-group date">
                                                  <span class="input-group-btn">
                                                    <button class="btn btn-default" onClick="javascript:NewCssCal('nesting_date','ddmmyyyy')" type="button"><i class="glyphicon glyphicon-calendar"></i></button>
                                                   </span>
                                                   <input class="form-control" id="nesting_date" name="nesting_date" value="<?php if(isset($_GET['nesting_date']) and $_GET['nesting_date']!='') echo $_GET['nesting_date']; else echo date('d-m-Y');?>" type="text">
                                                 </div>
											</td>
											<td><input type="submit" name="submit_btn" id="submit_btn" class="btn btn-primary" value="GO"></td>
										</tr>
									</table>	
									</form>
									<table class="table table-bordered">
										<tr>
											<th>Type</th>
											<th>Nesting Number</th>
											<th>SKU</th>
											<th>Name</th>
											<th>Width</th>
											<th>Height</th>
											<th>Sqft</th>
											<th>Qty</th>
										</tr>
										<?php
										
										$nest_qry=mysql_query("select * from tbl_nesting_data where nst_date='".$nst_date."'") or die(mysql_error());
										while($nest_data=mysql_fetch_array($nest_qry))
										{
											$item_qry=mysql_query("select * from tbl_item_manager where item_sku='".$nest_data['nst_sku']."'") or die(mysql_error());
											$item_data=mysql_fetch_array($item_qry);
										?>
										<tr>
											<td><?php echo $nest_data['nest_type'];?></td>
											<td><?php echo $nest_data['nest_number'];?></td>
											<td><?php echo $nest_data['nst_sku'];?></td>
											<td><?php echo $item_data['item_name'];?></td>
											<td><?php echo $nest_data['nst_width'];?></td>
											<td><?php echo $nest_data['nst_height'];?></td>
											<td><?php echo $nest_data['nst_sqft'];?></td>
											<td><?php echo $nest_data['nst_qty'];?></td>
										</tr>
										<?php
										}
										?>
									</table>
                                    </div>
                                   
                                    </div>
							</div>
						</div>
					</div>
				</div>
				
            </div>
            <!-- /.container-fluid -->
        </div>
        <!-- /#page-wrapper -->

    </div>
    <!-- /#wrapper -->

    <!-- jQuery -->
    <script src="bower_components/jquery/dist/jquery.min.js"></script>

    <!-- Bootstrap Core JavaScript -->
    <script src="bower_components/bootstrap/dist/js/bootstrap.min.js"></script>

    <!-- Metis Menu Plugin JavaScript -->
    <script src="bower_components/metisMenu/dist/metisMenu.min.js"></script>

    <!-- Custom Theme JavaScript -->
    <script src="dist/js/sb-admin-2.js"></script>
	
	

</body>

</html>
