<?php
include('includes/config.php');
//print_r($_SESSION);
if(!isset($_SESSION['kp5user_id']) or $_SESSION['kp5user_id']=="")
{
	header("location:index.php?error=Please Login to Continue..");
	exit;
}
?>
<!DOCTYPE html>
<html lang="en">

<head>

    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="description" content="">
    <meta name="author" content="">

    <title>KRIOS Kitchens</title>

    <!-- Bootstrap Core CSS -->
    <link href="bower_components/bootstrap/dist/css/bootstrap.min.css" rel="stylesheet">

    <!-- MetisMenu CSS -->
    <link href="bower_components/metisMenu/dist/metisMenu.min.css" rel="stylesheet">

    <!-- Custom CSS -->
    <link href="dist/css/sb-admin-2.css" rel="stylesheet">

    <!-- Custom Fonts -->
    <link href="bower_components/font-awesome/css/font-awesome.min.css" rel="stylesheet" type="text/css">

    <!-- HTML5 Shim and Respond.js IE8 support of HTML5 elements and media queries -->
    <!-- WARNING: Respond.js doesn't work if you view the page via file:// -->
    <!--[if lt IE 9]>
        <script src="https://oss.maxcdn.com/libs/html5shiv/3.7.0/html5shiv.js"></script>
        <script src="https://oss.maxcdn.com/libs/respond.js/1.4.2/respond.min.js"></script>
    <![endif]-->

</head>

<body>

    <div id="wrapper">

        <!-- Navigation -->
        <nav class="navbar navbar-default navbar-static-top" role="navigation" style="margin-bottom: 0">
            <?php
			include('includes/header.php');
			?>

            <div class="navbar-default sidebar" role="navigation">
                <?php
				include('includes/navigation.php');
				?>
            </div>
            <!-- /.navbar-static-side -->
        </nav>

        <!-- Page Content -->
        <div id="page-wrapper">
            <div class="container-fluid">
                <div class="row">
                    <div class="col-lg-12">
                        <!--<h1 class="page-header">Blank</h1>-->
						&nbsp;
						<?php
						if(isset($_GET['success']))
						{
						?>
						<p class="alert-success"><?php echo $_GET['success'];?></p>
						<?php
						}
						?>
                    </div>
                    <!-- /.col-lg-12 -->
                </div>
                <!-- /.row -->
				
				<div class="row">
					<div class="col-lg-12">
						<div class="panel panel-default">
							<div class="panel-heading">
								<h2>Deadstock Report</h2>
							</div>
							<!-- /.panel-heading -->
							<div class="panel-body">
									<div class="dataTable_wrapper">
									<!--Content Area-->
									<?php
									$final_total_to_display=0;
									$final_total_to_display2=0;
									$final_total_to_display3=0;
									
									
									$first_last_date=date('Y-m-d');
									$first_start_date='2020-01-30';
									
									
									$first_last_date_1=date('Y-m-d',strtotime("-1 days"));
									$first_start_date_1=date("Y-m-d", strtotime("-30 days",strtotime($first_last_date_1)));
									
									$second_last_date_1=date("Y-m-d", strtotime("-1 days",strtotime($first_start_date_1)));
									$second_start_date_1=date("Y-m-d", strtotime("-30 days",strtotime($second_last_date_1)));

									$htmlToPrint='';
									$htmlToPrint.='<table>';
										$htmlToPrint.='<thead>';
											$htmlToPrint.='<tr>'; 
												$htmlToPrint.='<th style="border:1px solid black;">SKU</th>';
												$htmlToPrint.='<th style="border:1px solid black;">Classification</th>';
												$htmlToPrint.='<th style="border:1px solid black;">Pur. Price</th>';
												$htmlToPrint.='<th style="border:1px solid black;">Stock as on 25th Feb 2020</th>';
												$htmlToPrint.='<th style="border:1px solid black;">Stock Value as on 25th Feb 2020</th>';
												$htmlToPrint.='<th style="border:1px solid black;">WH In</th>';
												$htmlToPrint.='<th style="border:1px solid black;">WH Out</th>';
												$htmlToPrint.='<th style="border:1px solid black;">Net Movement</th>';
												$htmlToPrint.='<th style="border:1px solid black;">Net Movement Value</th>';
												$htmlToPrint.='<th style="border:1px solid black;">Current Stock (06)</th>';
												$htmlToPrint.='<th style="border:1px solid black;">Current Stock Value</th>';
											$htmlToPrint.='</tr>';
										$htmlToPrint.='</thead>';
										$htmlToPrint.='<tbody>'; 
									?>
                                    <table class="table table-striped table-bordered table-hover" id="dataTables-example">
                                    <thead>
                                        <tr>
											 <th>Image</th>
											 <th>SKU</th>
											 <th>Classification</th>
											 <th>Pur. Price</th>
											 <th>Stock as on 25th Feb 2020</th>
											 <th>Stock value 25th Feb 2020</th>
											 <th>WH In</th>
											 <th>WH Out</th>
											 <th>Net Movement</th>
											 <th>Net Movement Value</th>
											 <th>Current Stock (06)</th>
											 <th>Current Stock Value</th>
										  </tr>
                                    </thead>
                                    <tbody>
                                    	<?php
										$in_arrayWH=array();
										$out_arrayWH=array();
										$my_sku_string="";
										$total_stock_value_earlier=0;
										$total_stock_value_now=0;
										$itm_qry=mysql_query("select * from tbl_item_manager where item_class='Dead Stock'") or die(mysql_error());
										while($itm_data=mysql_fetch_array($itm_qry))
										{
											$my_sku_string.="'".$itm_data['item_sku']."',";
										}
										$my_sku_string=substr($my_sku_string, 0, -1);
										
										$stock_ldr_qry=mysql_query("select * from tbl_stock_register where date(stock_date)>='".$first_start_date."' and item_sku in (".$my_sku_string.")") or die(mysql_error());
										while($stock_ledger_data=mysql_fetch_array($stock_ldr_qry))
										{
											if($stock_ledger_data['stock_in_out']=="0")
											{
												if(isset($in_arrayWH[$stock_ledger_data['item_sku']]))
												{
													$in_arrayWH[$stock_ledger_data['item_sku']]+=$stock_ledger_data['item_qty'];
												}
												else
												{
													$in_arrayWH[$stock_ledger_data['item_sku']]=$stock_ledger_data['item_qty'];
												}
											}
											
											if($stock_ledger_data['stock_in_out']=="1")
											{
												if(isset($out_arrayWH[$stock_ledger_data['item_sku']]))
												{
													$out_arrayWH[$stock_ledger_data['item_sku']]+=$stock_ledger_data['item_qty'];
												}
												else
												{
													$out_arrayWH[$stock_ledger_data['item_sku']]=$stock_ledger_data['item_qty'];
												}
											}
										}
										$item_query=mysql_query("select * from tbl_item_manager where item_sku in (".$my_sku_string.")") or die(mysql_error());
										while($item_data=mysql_fetch_array($item_query))
										{
											$pp_aft_dis=$item_data['item_purchase_mrp']-($item_data['item_purchase_mrp']*$item_data['item_purchase_discount']/100);
											
										$html_to_print.='<tr>';
										$net_movement=0;
											
											$total_stock_value_earlier+=$item_data['item_stock_loc_06']*$pp_aft_dis;
											$total_stock_value_now+=$item_data['item_stock_loc_06']*$pp_aft_dis;
										?>
                                        <tr>
                                        	 <td><img src="https://www.kriosdirect.com/kitchenpricing_6/photos/<?php echo $item_data['item_sku'];?>.jpg" height="80" /></td>
											 <td><?php echo $item_data['item_sku']; $htmlToPrint.='<th style="border:1px solid black;">'.$item_data['item_sku'].'</th>';?></td>
											 <td><?php echo $item_data['item_class']; $htmlToPrint.='<th style="border:1px solid black;">'.$item_data['item_class'].'</th>';?></td>
											 <td><?php echo $pp_aft_dis; $htmlToPrint.='<th style="border:1px solid black;">'.$pp_aft_dis.'</th>';?></td>
											 <td><?php echo $item_data['item_stock_loc_06']; $htmlToPrint.='<th style="border:1px solid black;">'.$item_data['item_stock_loc_06'].'</th>';?></td>
											 <td><?php echo $pp_aft_dis*$item_data['item_stock_loc_06']; $htmlToPrint.='<th style="border:1px solid black;">'.($pp_aft_dis*$item_data['item_stock_loc_06']).'</th>';?></td>
											 <td><?php echo $in_arrayWH[$item_data['item_sku']]; $htmlToPrint.='<th style="border:1px solid black;">'.$in_arrayWH[$item_data['item_sku']].'</th>'; $net_movement-=$in_arrayWH[$item_data['item_sku']];?></td>
											 <td><?php echo $out_arrayWH[$item_data['item_sku']]; $htmlToPrint.='<th style="border:1px solid black;">'.$out_arrayWH[$item_data['item_sku']].'</th>'; $net_movement+=$out_arrayWH[$item_data['item_sku']];?></td>
											 
											 <td><?php echo $net_movement; $htmlToPrint.='<th style="border:1px solid black;">'.$net_movement.'</th>';?></td>
											 <td><?php echo $net_movement*$pp_aft_dis; $htmlToPrint.='<th style="border:1px solid black;">'.($net_movement*$pp_aft_dis).'</th>';?></td>
											 <td><?php echo $item_data['item_stock_loc_06']; $htmlToPrint.='<th style="border:1px solid black;">'.$item_data['item_stock_loc_06'].'</th>';?></td>
											 <td><?php echo $item_data['item_stock_loc_06']*$pp_aft_dis; $htmlToPrint.='<th style="border:1px solid black;">'.($item_data['item_stock_loc_06']*$pp_aft_dis).'</th>';?></td>
                                        </tr>
                                        <?php
										$html_to_print.='</tr>';
										}
										$html_to_print.='</table>';
										?>
                                    </tbody>
                                    </table>
									<p>Stock Value Earlier <?php echo $total_stock_value_earlier;?> Current Stock Value <?php echo $total_stock_value_earlier;?> </p>
									<form name="ex_frm" id="ex_frm" method="post" action="exceltest.php">
										<input type="hidden" name="data_to_post" value="<?php echo urlencode($html_to_print);?>">
										<input type="submit" value="export" class="btn btn-primary" name="submit">
									  </form>
                                    </div>
							</div>
						</div>
					</div>
				</div>
				
            </div>
            <!-- /.container-fluid -->
        </div>
        <!-- /#page-wrapper -->

    </div>
    <!-- /#wrapper -->

     <!-- jQuery -->
    <script src="bower_components/jquery/dist/jquery.min.js"></script>

    <!-- Bootstrap Core JavaScript -->
    <script src="bower_components/bootstrap/dist/js/bootstrap.min.js"></script>

    <!-- Metis Menu Plugin JavaScript -->
    <script src="bower_components/metisMenu/dist/metisMenu.min.js"></script>

    <!-- Custom Theme JavaScript -->
    <script src="dist/js/sb-admin-2.js"></script>
    
    <!-- DataTables JavaScript -->
    <script src="bower_components/datatables/media/js/jquery.dataTables.min.js"></script>
    <script src="bower_components/datatables-plugins/integration/bootstrap/3/dataTables.bootstrap.min.js"></script>
    
    <script>
    $(document).ready(function() {
        $('#dataTables-example').DataTable({
                responsive: true
        });
    });
    </script>

</body>

</html>
