<?php
include('includes/config.php');
if(!isset($_SESSION['kp5user_id']) or $_SESSION['kp5user_id']=="")
{
    header("location:index.php?error=Please Login to Continue..");
    exit;
}
$action="Insert";
$btn_name="NEXT";
?>
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="description" content="">
    <meta name="author" content="">
    <title>KRIOS Kitchens</title>
    <!-- Bootstrap Core CSS -->
    <link href="bower_components/bootstrap/dist/css/bootstrap.min.css" rel="stylesheet">
    <!-- MetisMenu CSS -->
    <link href="bower_components/metisMenu/dist/metisMenu.min.css" rel="stylesheet">
    <!-- Custom CSS -->
    <link href="dist/css/sb-admin-2.css" rel="stylesheet">
    <!-- Custom Fonts -->
    <link href="bower_components/font-awesome/css/font-awesome.min.css" rel="stylesheet" type="text/css">
    <script src="js/datetimepicker_css.js"></script>
    <!-- HTML5 Shim and Respond.js IE8 support of HTML5 elements and media queries -->
    <!-- WARNING: Respond.js doesn't work if you view the page via file:// -->
    <!--[if lt IE 9]>
    <script src="https://oss.maxcdn.com/libs/html5shiv/3.7.0/html5shiv.js"></script>
    <script src="https://oss.maxcdn.com/libs/respond.js/1.4.2/respond.min.js"></script>
    <![endif]-->
</head>
<body>
    <div id="wrapper">
        <!-- Navigation -->
        <nav class="navbar navbar-default navbar-static-top" role="navigation" style="margin-bottom: 0">
            <?php
            include('includes/header.php');
            ?>
            <div class="navbar-default sidebar" role="navigation">
                <?php
                include('includes/navigation.php');
                ?>
            </div>
            <!-- /.navbar-static-side -->
        </nav>
        <!-- Page Content -->
        <div id="page-wrapper">
            <div class="container-fluid">
                <div class="row">
                    <div class="col-lg-12">
                        <!--<h1 class="page-header">Blank</h1>-->
                        &nbsp;
                        <?php
                        if(isset($_GET['success']))
                        {
                            ?>
                            <p class="alert-success"><?php echo $_GET['success'];?></p>
                            <?php
                        }
                        ?>
                    </div>
                    <!-- /.col-lg-12 -->
                </div>
                <!-- /.row -->
                <div class="row">
                    <div class="col-lg-12">
                        <div class="panel panel-default">
                            <div class="panel-heading">
                                <h2>Deadstock Report</h2>
                            </div>
                            <!-- /.panel-heading -->
                            <div class="panel-body">
                                <!--Content Area-->
                                <div class="form-panel">
                                    <form class="form-horizontal style-form" action="dead_stock_report.php" method="post" name="item-form" id="item-form" enctype="multipart/form-data">
                                        
                                        <div class="form-group">
                                            <label class="col-sm-2 col-sm-2 control-label">Select Classification</label>
                                            <div class="col-sm-4">
												<select name="stock_report" id="stock_report" class="form-control">
													<option value="">Select</option>
													<option value="Dead Stock">Dead Stock</option>
													<option value="C Dead Stock">C Dead Stock</option>
												</select>
                                            </div>
											<label class="col-sm-2 col-sm-2 control-label">Select Date</label>
                                            <div class="col-sm-4">
												<select name="rpt_date" id="rpt_date" class="form-control">
								  					<option value="">Select</option>
								 				</select>
                                            </div>
                                        </div>
                                        <input type="hidden" name="action" value="<?php echo $action;?>">
                                        <input type="submit" name="submit" id="submit" value="<?php echo $btn_name;?>" class="btn btn-primary">
                                    </form>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <!-- /.container-fluid -->
        </div>
        <!-- /#page-wrapper -->
    </div>
    <!-- /#wrapper -->
    <!-- jQuery -->
    <script src="bower_components/jquery/dist/jquery.min.js"></script>
    <!-- Bootstrap Core JavaScript -->
    <script src="bower_components/bootstrap/dist/js/bootstrap.min.js"></script>
    <!-- Metis Menu Plugin JavaScript -->
    <script src="bower_components/metisMenu/dist/metisMenu.min.js"></script>
    <!-- Custom Theme JavaScript -->
    <script src="dist/js/sb-admin-2.js"></script>
</body>
</html>