<?php
include('includes/config.php');
include('PHPExcel.php');
if(!isset($_SESSION['kp5user_id']) or $_SESSION['kp5user_id']=="")
{
	header("location:index.php?error=Please Login to Continue..");
	exit;
}

$action="Insert";
$btn_name="Submit";
?>
<!DOCTYPE html>
<html lang="en">

<head>

    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="description" content="">
    <meta name="author" content="">

    <title>KRIOS Kitchens</title>

    <!-- Bootstrap Core CSS -->
    <link href="bower_components/bootstrap/dist/css/bootstrap.min.css" rel="stylesheet">

    <!-- MetisMenu CSS -->
    <link href="bower_components/metisMenu/dist/metisMenu.min.css" rel="stylesheet">

    <!-- Custom CSS -->
    <link href="dist/css/sb-admin-2.css" rel="stylesheet">

    <!-- Custom Fonts -->
    <link href="bower_components/font-awesome/css/font-awesome.min.css" rel="stylesheet" type="text/css">

    <!-- HTML5 Shim and Respond.js IE8 support of HTML5 elements and media queries -->
    <!-- WARNING: Respond.js doesn't work if you view the page via file:// -->
    <!--[if lt IE 9]>
        <script src="https://oss.maxcdn.com/libs/html5shiv/3.7.0/html5shiv.js"></script>
        <script src="https://oss.maxcdn.com/libs/respond.js/1.4.2/respond.min.js"></script>
    <![endif]-->
	<script src="js/datetimepicker_css.js"></script>
	
<script type="text/javascript">
function validForm()
{
	/*if(document.getElementById('batch_number').value=="")
	{
		alert("Please Enter Batch Number");
		return false;
	}*/
}

</script>
</head>

<body>

    <div id="wrapper">

        <!-- Navigation -->
        <nav class="navbar navbar-default navbar-static-top" role="navigation" style="margin-bottom: 0">
            <?php
			include('includes/header.php');
			?>

            <div class="navbar-default sidebar" role="navigation">
                <?php
				include('includes/navigation.php');
				?>
            </div>
            <!-- /.navbar-static-side -->
        </nav>

        <!-- Page Content -->
        <div id="page-wrapper">
            <div class="container-fluid">
                <div class="row">
                    <div class="col-lg-12">
                        <!--<h1 class="page-header">Blank</h1>-->
						&nbsp;
						<?php
						if(isset($_GET['success']))
						{
						?>
						<p class="alert-success"><?php echo $_GET['success'];?></p>
						<?php
						}
						?>
                        <?php
						if(isset($_GET['error']))
						{
						?>
						<p class="alert-danger"><?php echo $_GET['error'];?></p>
						<?php
						}
						?>
                    </div>
                    <!-- /.col-lg-12 -->
                </div>
                <!-- /.row -->
				
				<div class="row">
					<div class="col-lg-12">
						<div class="panel panel-default">
							<div class="panel-heading">
								<h2>Enter Actual Work (Direct)</h2>
							</div>
							<!-- /.panel-heading -->
							<div class="panel-body">
									<!--Content Area-->
                                    <div class="form-panel">
                                    <form role="form" name="lam_form" id="lam_form" method="get" action="enter_actual_work_detail_direct.php" onSubmit="return validForm();" enctype="multipart/form-data">
                                    	<table class="table table-bordered">
																					
                                        	<tr>
												<th width="10%">Work Area</th>
												<th width="25%">
												<!--<div class="input-group date">
                                                  <span class="input-group-btn">
                                                    <button class="btn btn-default" onClick="javascript:NewCssCal('fmp_date','ddmmyyyy')" type="button"><i class="glyphicon glyphicon-calendar"></i></button>
                                                   </span>
                                                   <input class="form-control" id="fmp_date" name="fmp_date" value="<?php //echo date('d-m-Y');?>" type="text">
                                                 </div>-->
												 <select name="work_area" id="work_area" class="form-control">
												    <option value="cutting">Cutting</option>
												 	<option value="edge_band">Edge Band</option>
													<option value="drilling">Drilling</option>
													<option value="cleaning">Cleaning</option>
													<option value="packing">Packing</option>
												 </select>
												 </th>
												
                                            </tr>
											<tr>
												<th width="10%">SKU</th>
												<th width="25%">
													<input type="text" name="fmp_sku" id="fmp_sku" class="form-control">
                                                </th>
											</tr>
											
                                        </table>
                                        
                                        <input type="hidden" name="action" value="<?php echo $action;?>">
                                        <input type="submit" class="btn btn-primary" name="submit" id="submit" value="<?php echo $btn_name;?>">
									</form>
                                    </div>
							</div>
						</div>
					</div>
				</div>
				
            </div>
            <!-- /.container-fluid -->
        </div>
        <!-- /#page-wrapper -->

    </div>
    <!-- /#wrapper -->

    <!-- jQuery -->
    <script src="bower_components/jquery/dist/jquery.min.js"></script>

    <!-- Bootstrap Core JavaScript -->
    <script src="bower_components/bootstrap/dist/js/bootstrap.min.js"></script>

    <!-- Metis Menu Plugin JavaScript -->
    <script src="bower_components/metisMenu/dist/metisMenu.min.js"></script>

    <!-- Custom Theme JavaScript -->
    <script src="dist/js/sb-admin-2.js"></script>
	
	

</body>

</html>
