<?php
include('includes/config.php');
if(!isset($_SESSION['kp5user_id']) or $_SESSION['kp5user_id']=="")
{
    header("location:index.php?error=Please Login to Continue..");
    exit;
}

?>
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="description" content="">
    <meta name="author" content="">
    <title>KRIOS Interiors</title>
    <!-- Bootstrap Core CSS -->
    <link href="bower_components/bootstrap/dist/css/bootstrap.min.css" rel="stylesheet">
    <!-- MetisMenu CSS -->
    <link href="bower_components/metisMenu/dist/metisMenu.min.css" rel="stylesheet">
    <!-- Custom CSS -->
    <link href="dist/css/sb-admin-2.css" rel="stylesheet">
    <!-- Custom Fonts -->   <link href="https://fonts.googleapis.com/css?family=Roboto:900" rel="stylesheet">
    <link href="bower_components/font-awesome/css/font-awesome.min.css" rel="stylesheet" type="text/css">
    <link href="https://cdnjs.cloudflare.com/ajax/libs/select2/4.0.3/css/select2.min.css" rel="stylesheet" />
    <!-- HTML5 Shim and Respond.js IE8 support of HTML5 elements and media queries -->
    <!-- WARNING: Respond.js doesn't work if you view the page via file:// -->
    <!--[if lt IE 9]>
    <script src="https://oss.maxcdn.com/libs/html5shiv/3.7.0/html5shiv.js"></script>
    <script src="https://oss.maxcdn.com/libs/respond.js/1.4.2/respond.min.js"></script>
    <![endif]-->
    <link href="dist/css/loader.css" rel="stylesheet" type="text/css">
    <style type="text/css"> body {font-family: 'Roboto', sans-serif;}
        .cssload-container{
            display: block;
        }
        .modal-dialog {
            width: 80% !important;
        }
        img.shape_img {
            border-radius: 7px;
            box-shadow: 5px 5px 8px -4px #ccc;
            width:100%;
        }
    </style>
    <!--<script type="text/javascript">
        document.onreadystatechange = function(){
            var state = document.readyState
            if (state == 'interactive'){
                document.getElementById('wrapper').style.visibility="hidden";
            }else if (state == 'complete'){
                setTimeout(function(){
                    document.getElementById('interactive');
                    document.getElementById('cssload-container').style.visibility="hidden";
                    document.getElementById('wrapper').style.visibility="visible";
                },1000);
            }
        }
    </script>-->
</head>
<body>
    <div id="wrapper">
     <!-- Navigation -->
     <nav class="navbar navbar-default navbar-static-top" role="navigation" style="margin-bottom: 0">
        <?php
        include('includes/header.php');
        ?>
        <div class="navbar-default sidebar" role="navigation">
            <?php
            include('includes/navigation.php');
            ?>
        </div>
        <!-- /.navbar-static-side -->
    </nav>
    <form name="kitchen_form" id="kitchen_form" method="post" action="home_interior_detail_new_1.php" class="form-horizontal">
        <!-- Page Content -->
        <div id="page-wrapper">
            <div class="container-fluid">

                <?php
                if(isset($_GET['success']))
                {
                    ?>
                    <p class="alert-success"><?php echo $_GET['success'];?></p>
                    <?php
                }
                ?>
                
                <!-- Accessories Calculation Start-->
                <div class="row">
                    <div class="col-lg-12">
                        <div class="panel panel-default">
                            <div class="panel-heading">
                                <h3>Select Items</h3>
                            </div>
                            <!-- /.panel-heading -->
                            <div class="panel-body">
                                <div class="dataTable_wrapper">
                                    <!--Content Area-->
                                    <div class="col-md-12" align="center">
                                        <a href="javascript:addItems();" class="btn btn-primary">Add Items</a>
                                    </div>
                                    <div class="col-md-12" align="center">
                                        <table id="items_table" class="table">
                                            <tr>
                                                <th>&nbsp;</th>
                                               
                                                <th>Item</th>
                                                <th>Width</th>
												<th>Depth</th>
												<th>Height</th>
                                            </tr>
                                        </tr>
                                    </table>
                                    <table class="table">
                                        <p><input type="checkbox" name="need_color" id="need_color" checked="checked" value="Yes" class="form-control"> Color</p>
										<p><input type="checkbox" name="need_pop" id="need_pop" checked="checked" value="Yes" class="form-control"> POP</p>
										<input class="form-control" type="hidden" id="items_total" name="items_total" value="0">
                                    </table>
                                </div>
                                <input type="hidden" id="items_counter" name="items_counter" value="0">
								<input type="submit" name="submit" id="submit" value="Submit" class="btn btn-primary">
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <!-- Accessories Calculation Ends -->
            
        </div>
        <!-- /#page-wrapper -->
    </div>
</form>
</div>
<!-- /#wrapper -->
<!-- Modal -->

<!--<div class="cssload-container" id="cssload-container">
    <div class="cssload-whirlpool"></div>
</div>-->
<!-- jQuery -->
<script src="bower_components/jquery/dist/jquery.min.js"></script>
<!-- Bootstrap Core JavaScript -->
<script src="bower_components/bootstrap/dist/js/bootstrap.min.js"></script>
<!-- Metis Menu Plugin JavaScript -->
<script src="bower_components/metisMenu/dist/metisMenu.min.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/select2/4.0.3/js/select2.min.js"></script>
<!-- Custom Theme JavaScript -->
<script src="dist/js/sb-admin-2.js"></script>
<script type="text/javascript">

function removeItems(counter)
{
    $("#items_"+counter).remove();
	var counter=document.getElementById('items_counter').value;
    document.getElementById('items_counter').value=eval(parseInt(counter)-1);

}

function addItems()
{
    var htmlToAppend;
    var counter=document.getElementById('items_counter').value;
    htmlToAppend+='<tr id="items_'+counter+'">';
    htmlToAppend+='<td><a class="btn btn-danger" href="javascript:removeItems('+counter+');">X</a></td>';
    

    htmlToAppend+='<td>';
    htmlToAppend+='<select name="item_category'+counter+'" id="item_category'+counter+'" class="form-control">';
    htmlToAppend+='<option value="">--Select--</option>';
    
        htmlToAppend+='<option value="bedroom">Bedroom</option>';
		htmlToAppend+='<option value="livingroom">Living Room</option>';
		htmlToAppend+='<option value="diningroom">Dining Room</option>';
		htmlToAppend+='<option value="bathroom">Bath Room</option>';
		htmlToAppend+='<option value="balcony">Balcony</option>';
		htmlToAppend+='<option value="poojaroom">Pooja Room</option>';
		htmlToAppend+='<option value="terrace">Terrace</option>';
		htmlToAppend+='<option value="foyer">Foyer</option>';
		htmlToAppend+='<option value="outdoor">Outdoor</option>';
		htmlToAppend+='<option value="walk_way">Walk Way</option>';

    htmlToAppend+='</select>';
    htmlToAppend+='</td>';
 
    htmlToAppend+='<td><input value="0" placeholder="Width" id="items_width'+counter+'" name="items_width'+counter+'" type="text" class="form-control"></td>';
	htmlToAppend+='<td><input value="0" placeholder="Depth" id="items_depth'+counter+'" name="items_depth'+counter+'" type="text" class="form-control"></td>';
	htmlToAppend+='<td><input value="0" placeholder="Height" id="items_height'+counter+'" name="items_height'+counter+'" type="text" class="form-control"></td>';
 
    htmlToAppend+='</tr>';
    
    document.getElementById('items_counter').value=eval(parseInt(counter)+1);
    $("#items_table").append(htmlToAppend);
}

</script>
</body>
</html>