<?php
include('includes/config.php');
include('PHPExcel.php');
if(!isset($_SESSION['kp5user_id']) or $_SESSION['kp5user_id']=="")
{
	header("location:index.php?error=Please Login to Continue..");
	exit;
}
$action="Insert";
$btn_name="Submit";
if(isset($_POST['action']) and $_POST['action']=="Insert" and $_POST['submit']=="Submit")
{
	$errors= array();
    $file_name = $_FILES['excel_file']['name'];
    $file_size =$_FILES['excel_file']['size'];
    $file_tmp =$_FILES['excel_file']['tmp_name'];
    $file_type=$_FILES['excel_file']['type'];
    //$file_ext=strtolower(end(explode('.',$_FILES['excel_file']['name'])));
	$file_ext_a=explode('.',$_FILES['excel_file']['name']);
	$file_ext=strtolower($file_ext_a[1]);
    $expensions= array("xlsx","xls","xlsm");

    if(in_array($file_ext,$expensions)=== false){
        $errors[]="extension not allowed, please choose a excel file.";
    }

    if($file_size > 2097152){
        $errors[]='File size must be excately 2 MB';
    }
    $pre_f = strtotime(date('d-m-Y H:i:s'));
    $inputFileName = "hardCostExcel/".$_SESSION['user_f_name']."_".$pre_f."_".$file_name;
    if(empty($errors)==true){
        move_uploaded_file($file_tmp,$inputFileName);
    }else{
        header('location:item_cost_summary_excel.php?error=The file you uploaded seems invalid...');
        exit;
    }

    $main_array = array();
    if(empty($errors)==true)
    {
        try {
            $inputFileType = PHPExcel_IOFactory::identify($inputFileName);
            $objReader = PHPExcel_IOFactory::createReader($inputFileType);
            $objPHPExcel = $objReader->load($inputFileName);
        } catch (Exception $e) {
            die('Error loading file "' . pathinfo($inputFileName, PATHINFO_BASENAME) . '": ' . 
                $e->getMessage());
        }
        $sheet = $objPHPExcel->getSheet(0);
        $highestRow = $sheet->getHighestRow();
        $highestColumn = $sheet->getHighestColumn();
        for ($row = 2; $row <= $highestRow; $row++)
        {
            $rowData = $sheet->rangeToArray('A' . $row . ':' . $highestColumn . $row, null, true, false);
            array_push($main_array, $rowData);
        }
    }
    $html_to_print='<table>';
	
	$html_to_print.='<tr>';
    $html_to_print.='<td style="background:#CCCCCC;border:1px solid #000000;">SKU</td>';
	$html_to_print.='<td style="background:#CCCCCC;border:1px solid #000000;">Name</td>';
	$html_to_print.='<td style="background:#CCCCCC;border:1px solid #000000;">Qty</td>';
	$html_to_print.='<td style="background:#CCCCCC;border:1px solid #000000;">Selling Price</td>';
	$html_to_print.='<td style="background:#CCCCCC;border:1px solid #000000;">SQFT</td>';
	$html_to_print.='<td style="background:#CCCCCC;border:1px solid #000000;">SQFT Info.</td>';
	$html_to_print.='<td style="background:#CCCCCC;border:1px solid #000000;">RM Cost</td>';
	$html_to_print.='<td style="background:#CCCCCC;border:1px solid #000000;">Total RM Cost</td>';
	$html_to_print.='<td style="background:#CCCCCC;border:1px solid #000000;">Misc Amount</td>';
	$html_to_print.='<td style="background:#CCCCCC;border:1px solid #000000;">Total Misc Amount</td>';
	$html_to_print.='<td style="background:#CCCCCC;border:1px solid #000000;">Powder Coating Amount</td>';
	$html_to_print.='<td style="background:#CCCCCC;border:1px solid #000000;">Total Powder Coating Amount</td>';
	
	$html_to_print.='<td style="background:#CCCCCC;border:1px solid #000000;">Box Amount</td>';
	$html_to_print.='<td style="background:#CCCCCC;border:1px solid #000000;">Total Box Amount</td>';
	
	$html_to_print.='<td style="background:#CCCCCC;border:1px solid #000000;">Other Packing Amount</td>';
	$html_to_print.='<td style="background:#CCCCCC;border:1px solid #000000;">Total Other Packing Amount</td>';
	$html_to_print.='<td style="background:#CCCCCC;border:1px solid #000000;">Solimo L+O Amount</td>';
	$html_to_print.='<td style="background:#CCCCCC;border:1px solid #000000;">Total Solimo L+O Amount</td>';
	$html_to_print.='<td style="background:#CCCCCC;border:1px solid #000000;">Klaxon L+O Amount</td>';
	$html_to_print.='<td style="background:#CCCCCC;border:1px solid #000000;">Total Klaxon L+O Amount</td>';
	$html_to_print.='<td style="background:#CCCCCC;border:1px solid #000000;">Final Cost Total</td>';
	$html_to_print.='<td style="background:#CCCCCC;border:1px solid #000000;">Selling Price Total</td>';
	$html_to_print.='<td style="background:#CCCCCC;border:1px solid #000000;">Profit</td>';
	$html_to_print.='</tr>';

	$box_array=array("G0236IT0382", "G0236IT0381", "G0236IT0396", "G0236IT0343", "G0236IT0385", "G0236IT0464", "G0236IT0359", "G0236IT0383", "G0236IT0395", "G0236IT0442", "G0236IT0434", "G0236IT0384", "G0236IT0444", "G0236IT0356", "G0236IT0449", "G0236IT0443", "G0236IT0380", "G0236IT0463", "G0236IT0408", "G0236IT0445", "G0236IT0437", "G0236IT0401", "G0236IT0446", "G0236IT0461", "G0236IT0441", "G0236IT0439", "G0236IT0357", "G0236IT0448", "G0236IT0393", "G0236IT0390", "G0236IT0358", "G0236IT0387", "G0236IT0327", "G0236IT0402", "G0236IT0403", "G0236IT0405", "G0236IT0435", "G0236IT0409", "G0236IT0392", "G0236IT0415", "G0236IT0450", "G0236IT0466", "G0236IT0389", "G0236IT0407", "G0236IT0447", "G0236IT0462", "G0236IT0328", "G0236IT0342", "G0236IT0465", "G0236IT0312", "G0236IT0326", "G0236IT0388", "G0236IT0391", "G0236IT0275", "G0236IT0314", "G0236IT0315", "G0236IT0361", "G0236IT0414", "G0236IT0386", "G0236IT0334", "G0236IT0440", "G0236IT0310", "G0236IT0332", "G0236IT0362", "G0236IT0363", "G0236IT0208", "G0236IT0333", "G0236IT0298", "G0236IT0364", "G0236IT0424", "G0236IT0280", "G0236IT0232", "G0236IT0300", "G0236IT0297", "G0236IT0418", "G0236IT0341", "G0236IT0131", "G0236IT0330", "G0236IT0256", "G0236IT0255", "G0236IT0410", "G0236IT0106", "G0236IT0296", "G0236IT0331", "G0236IT0339", "G0236IT0460", "G0236IT0113", "G0236IT0225", "G0236IT0274", "G0236IT0109", "G0236IT0215", "G0236IT0320", "G0236IT0353", "G0236IT0458", "G0236IT0459", "G0236IT0394", "G0236IT0354", "G0236IT0299", "G0236IT0257", "G0236IT0329", "G0236IT0258", "G0236IT0355", "G0236IT0194", "G0236IT0210", "G0236IT0214", "G0236IT0321", "G0236IT0313", "G0236IT0207", "G0236IT0417", "G0236IT0360", "G0236IT0212", "G0236IT0322", "G0236IT0311", "G0236IT0223", "G0236IT0323", "G0236IT0234", "G0236IT0226", "G0236IT0227", "G0236IT0224", "G0236IT0295", "G0236IT0228", "G0236IT0118", "G0236IT0195", "G0236IT0266", "G0236IT0268", "G0236IT0267", "G0236IT0423", "G0236IT0425", "G0236IT0427", "G0236IT0197", "G0236IT0188", "G0236IT0347", "G0236IT0502", "G0236IT0493", "G0236IT0518", "G0236IT0517", "G0236IT0509", "G0236IT0508", "G0236IT0506", "G0236IT0492", "G0236IT0519", "G0236IT0507", "G0236IT0512", "G0236IT0511", "G0236IT0510", "G0236IT0505", "G0236IT0513", "G0236IT0514", "G0236IT0503", "G0236IT0521", "G0236IT0411", "G0236IT0130", "G0236IT0416", "G0236IT0419", "G0236IT0481", "G0236IT0398", "G0236IT0399", "G0236IT0400", "G0236IT0420", "G0236IT0422", "G0236IT0426", "G0236IT0412", "G0236IT0413", "G0236IT0120", "G0236IT0494", "G0236IT0528", "G0236IT0529", "G0236IT0520", "G0236IT0531", "G0236IT0404", "G0236IT0533", "G0236IT0534", "G0236IT0532", "G0236IT0406", "G0236IT0516", "G0236IT0535", "G0236IT0522");
	

    foreach ($main_array as $key => $exdata)
    {
    	$ex = $exdata[0];

    	$item_qry=mysql_query("select * from tbl_item_manager where item_sku='".$ex[0]."'") or die(mysql_error());
		$item_data=mysql_fetch_array($item_qry);
		$html_to_print.='<tr>';
		$html_to_print.='<td style="border:1px solid #000000;">'.$item_data['item_sku'].'</td>';
		$html_to_print.='<td style="border:1px solid #000000;">'.$item_data['item_name'].'</td>';
		$html_to_print.='<td style="border:1px solid #000000;">'.$ex[1].'</td>';

    	$total_amount=0;
		
		$box_sum=0;
		$g0236_sum=0;
		
		$sqft_total=0;
		$sqft_info='';						
		$bom_qry=mysql_query("select * from tbl_bom_master2024 where fg_sku='".$ex[0]."'") or die(mysql_error());
		while($bom_data=mysql_fetch_array($bom_qry))
		{
			$bom_rates_qry=mysql_query("select * from tbl_rm_sku_rates2024 where rm_sku='".$bom_data['rm_sku']."'") or die(mysql_error());
			while($bom_rate_data=mysql_fetch_array($bom_rates_qry))
			{
				$total_amount+=$bom_data['rm_qty']*$bom_rate_data['rm_rate'];
				
				if(substr($bom_data['rm_sku'],0,5) == "G0236")
				{
					if (in_array($bom_data['rm_sku'], $box_array))
					{
						$box_sum+=$bom_data['rm_qty']*$bom_rate_data['rm_rate'];
					}
					else
					{
						$g0236_sum+=$bom_data['rm_qty']*$bom_rate_data['rm_rate'];
					}
				}
				if(substr($bom_data['rm_sku'],0,5) == "G1014")
				{
					if($bom_data['rm_sku']=="G1014IT0010" or $bom_data['rm_sku']=="G1014IT0015" or $bom_data['rm_sku']=="G1014IT0006-N" or $bom_data['rm_sku']=="G1014IT0014-N" or $bom_data['rm_sku']=="G1014IT0026" or $bom_data['rm_sku']=="G1014IT0016" or $bom_data['rm_sku']=="G1014IT0024" or $bom_data['rm_sku']=="G1014IT0048" or $bom_data['rm_sku']=="G1014IT0053" or $bom_data['rm_sku']=="G1014IT0071" or $bom_data['rm_sku']=="G1014IT0049" or $bom_data['rm_sku']=="G1014IT0058" or $bom_data['rm_sku']=="G1014IT0022" or $bom_data['rm_sku']=="G1014IT0035")
					{
					$sqft_total+=$bom_data['rm_qty'];
					}
					$sqft_info.=$bom_data['rm_sku'].'='.$bom_data['rm_qty']." | ";
				}
			}
		}

		$oth_qry=mysql_query("select * from tbl_bom_oth_calc_2024 where fg_sku='".$ex[0]."'") or die(mysql_error());
		$oth_data=mysql_fetch_array($oth_qry);
		$grand_total=0;
		$total_selling_price=0;
		
		$total_selling_price=round($oth_data['selling_price']*$ex[1],2);
		
		$html_to_print.='<td style="border:1px solid #000000;">'.$oth_data['selling_price'].'</td>';
		$html_to_print.='<td style="border:1px solid #000000;">'.$sqft_total.'</td>';
		$html_to_print.='<td style="border:1px solid #000000;">'.$sqft_info.'</td>';
		$html_to_print.='<td style="border:1px solid #000000;">'.round($total_amount,2).'</td>';
		$html_to_print.='<td style="border:1px solid #000000;">'.round($total_amount*$ex[1],2).'</td>';
		$grand_total+=round($total_amount*$ex[1],2);

		$html_to_print.='<td style="border:1px solid #000000;">'.$oth_data['misc_amt'].'</td>';
		$html_to_print.='<td style="border:1px solid #000000;">'.round($oth_data['misc_amt']*$ex[1],2).'</td>';
		$grand_total+=round($oth_data['misc_amt']*$ex[1],2);

		$html_to_print.='<td style="border:1px solid #000000;">'.$oth_data['pow_coat_lbr'].'</td>';
		$html_to_print.='<td style="border:1px solid #000000;">'.round($oth_data['pow_coat_lbr']*$ex[1],2).'</td>';
		$grand_total+=round($oth_data['pow_coat_lbr']*$ex[1],2);

		
		$html_to_print.='<td style="border:1px solid #000000;">'.$box_sum.'</td>';
		$html_to_print.='<td style="border:1px solid #000000;">'.round($box_sum*$ex[1],2).'</td>';
		
		//$pkg=($oth_data['packing_cost']-$g0236_sum);
		$pkg=$g0236_sum;
		
		

		$html_to_print.='<td style="border:1px solid #000000;">'.$pkg.'</td>';
		$html_to_print.='<td style="border:1px solid #000000;">'.round($pkg*$ex[1],2).'</td>';
		//$grand_total+=round($pkg*$ex[1],2);

		$html_to_print.='<td style="border:1px solid #000000;">'.$oth_data['solimo_lbr_n_oh'].'</td>';
		$html_to_print.='<td style="border:1px solid #000000;">'.round($oth_data['solimo_lbr_n_oh']*$ex[1],2).'</td>';
		$grand_total+=round($oth_data['solimo_lbr_n_oh']*$ex[1],2);

		$html_to_print.='<td style="border:1px solid #000000;">'.round($oth_data['klaxon_lbr_n_oh'],2).'</td>';
		$html_to_print.='<td style="border:1px solid #000000;">'.round($oth_data['klaxon_lbr_n_oh']*$ex[1],2).'</td>';
		$grand_total+=round($oth_data['klaxon_lbr_n_oh']*$ex[1],2);	

		//$oth_total=round($oth_data['misc_amt']+$oth_data['pow_coat_lbr']+$pkg+$oth_data['solimo_lbr_n_oh']+$oth_data['klaxon_lbr_n_oh']+$total_amount,2);

		$html_to_print.='<td style="border:1px solid #000000;">'.$grand_total.'</td>';
		$html_to_print.='<td style="border:1px solid #000000;">'.$total_selling_price.'</td>';
		$html_to_print.='<td style="border:1px solid #000000;">'.($total_selling_price-$grand_total).'</td>';

		$html_to_print.='</tr>';




    }
    $html_to_print.='<tr>';
    $html_to_print.='<td>&nbsp;</td>';
    $html_to_print.='</tr>';
    $html_to_print.='<tr>';
    $html_to_print.='<td style="background:#CCCCCC;border:1px solid #000000;">RM Cost Details</td>';
    $html_to_print.='</tr>';
    $html_to_print.='<tr>';
    $html_to_print.='<td>&nbsp;</td>';
    $html_to_print.='</tr>';
	
	$rm_cost_array = array();
	$rm_qty_array = array();
	
	

    $html_to_print.='<tr>';
    $html_to_print.='<td style="background:#CCCCCC;border:1px solid #000000;">PLB</td>';
    $html_to_print.='</tr>';
    foreach ($main_array as $key => $exdata)
    {
    	$ex = $exdata[0];

    	$item_qry=mysql_query("select * from tbl_item_manager where item_sku='".$ex[0]."'") or die(mysql_error());
		$item_data=mysql_fetch_array($item_qry);
		$html_to_print.='<tr>';
		$html_to_print.='<td style="border:1px solid #000000;">'.$item_data['item_sku'].'</td>';
		$html_to_print.='<td style="border:1px solid #000000;">'.$item_data['item_name'].'</td>';
		$html_to_print.='<td style="border:1px solid #000000;">'.$ex[1].'</td>';

    	$total_amount=0;
		$bom_qry=mysql_query("select * from tbl_bom_master2024 where fg_sku='".$ex[0]."' and rm_sku like 'G1014%'") or die(mysql_error());
		while($bom_data=mysql_fetch_array($bom_qry))
		{
			$bom_rates_qry=mysql_query("select * from tbl_rm_sku_rates2024 where rm_sku='".$bom_data['rm_sku']."'") or die(mysql_error());
			while($bom_rate_data=mysql_fetch_array($bom_rates_qry))
			{
				$total_amount+=$bom_data['rm_qty']*$bom_rate_data['rm_rate'];
				$html_to_print.='<td style="border:1px solid #000000;">RM SKU</td>';
				$html_to_print.='<td style="border:1px solid #000000;">RM QTY</td>';
				$html_to_print.='<td style="border:1px solid #000000;">RM RATE</td>';
				$html_to_print.='<td style="border:1px solid #000000;">RM AMOUNT</td>';
				$html_to_print.='<td style="border:1px solid #000000;">TOTAL RM AMOUNT</td>';
						
				
			}
		}

		$html_to_print.='<td style="border:1px solid #000000;">Final Amount</td>';

		$html_to_print.='</tr>';
		$html_to_print.='<tr>';
		$html_to_print.='<td style="border:1px solid #000000;">&nbsp;</td>';
		$html_to_print.='<td style="border:1px solid #000000;">&nbsp;</td>';
		$html_to_print.='<td style="border:1px solid #000000;">&nbsp;</td>';

    	
    	$final_amount=0;
		$bom_qry=mysql_query("select * from tbl_bom_master2024 where fg_sku='".$ex[0]."' and rm_sku like 'G1014%'") or die(mysql_error());
		while($bom_data=mysql_fetch_array($bom_qry))
		{
			$total_amount=0;
			$bom_rates_qry=mysql_query("select * from tbl_rm_sku_rates2024 where rm_sku='".$bom_data['rm_sku']."'") or die(mysql_error());
			while($bom_rate_data=mysql_fetch_array($bom_rates_qry))
			{
				$total_amount+=$bom_data['rm_qty']*$bom_rate_data['rm_rate'];
				$html_to_print.='<td style="border:1px solid #000000;">'.$bom_data['rm_sku'].'</td>';
				$html_to_print.='<td style="border:1px solid #000000;">'.$bom_data['rm_qty'].'</td>';
				$html_to_print.='<td style="border:1px solid #000000;">'.round($bom_rate_data['rm_rate'],2).'</td>';
				$html_to_print.='<td style="border:1px solid #000000;">'.round($total_amount,2).'</td>';
				$html_to_print.='<td style="border:1px solid #000000;">'.round($total_amount*$ex[1],2).'</td>';				
				$final_amount+=round($total_amount*$ex[1],2);
				
				if(isset($rm_cost_array[$ex[0]]))
				{
					$rm_cost_array[$ex[0]]+=$total_amount;
				}
				else
				{
					$rm_cost_array[$ex[0]]=$total_amount;
				}
				
				if(isset($rm_qty_array[$bom_data['rm_sku']]))
				{
					$rm_qty_array[$bom_data['rm_sku']]+=round($bom_data['rm_qty']*$ex[1],2);
				}
				else
				{
					$rm_qty_array[$bom_data['rm_sku']]=round($bom_data['rm_qty']*$ex[1],2);
				}
					
				
			}
		}

		$html_to_print.='<td style="border:1px solid #000000;">'.$final_amount.'</td>';

		$html_to_print.='</tr>';

    }

    $html_to_print.='<tr>';
    $html_to_print.='<td>&nbsp;</td>';
    $html_to_print.='</tr>';

    $html_to_print.='<tr>';
    $html_to_print.='<td style="background:#CCCCCC;border:1px solid #000000;">EDGEBAND</td>';
    $html_to_print.='</tr>';
    foreach ($main_array as $key => $exdata)
    {
    	$ex = $exdata[0];

    	$item_qry=mysql_query("select * from tbl_item_manager where item_sku='".$ex[0]."'") or die(mysql_error());
		$item_data=mysql_fetch_array($item_qry);
		$html_to_print.='<tr>';
		$html_to_print.='<td style="border:1px solid #000000;">'.$item_data['item_sku'].'</td>';
		$html_to_print.='<td style="border:1px solid #000000;">'.$item_data['item_name'].'</td>';
		$html_to_print.='<td style="border:1px solid #000000;">'.$ex[1].'</td>';

    	$total_amount=0;
		$bom_qry=mysql_query("select * from tbl_bom_master2024 where fg_sku='".$ex[0]."' and rm_sku like 'G1048%'") or die(mysql_error());
		while($bom_data=mysql_fetch_array($bom_qry))
		{
			$bom_rates_qry=mysql_query("select * from tbl_rm_sku_rates2024 where rm_sku='".$bom_data['rm_sku']."'") or die(mysql_error());
			while($bom_rate_data=mysql_fetch_array($bom_rates_qry))
			{
				$total_amount+=$bom_data['rm_qty']*$bom_rate_data['rm_rate'];
				$html_to_print.='<td style="border:1px solid #000000;">RM SKU</td>';
				$html_to_print.='<td style="border:1px solid #000000;">RM QTY</td>';
				$html_to_print.='<td style="border:1px solid #000000;">RM RATE</td>';
				$html_to_print.='<td style="border:1px solid #000000;">RM AMOUNT</td>';
				$html_to_print.='<td style="border:1px solid #000000;">TOTAL RM AMOUNT</td>';				
				
			}
		}

		$html_to_print.='<td style="border:1px solid #000000;">Final Amount</td>';

		$html_to_print.='</tr>';
		$html_to_print.='<tr>';
		$html_to_print.='<td style="border:1px solid #000000;">&nbsp;</td>';
		$html_to_print.='<td style="border:1px solid #000000;">&nbsp;</td>';
		$html_to_print.='<td style="border:1px solid #000000;">&nbsp;</td>';

    	
    	$final_amount=0;
		$bom_qry=mysql_query("select * from tbl_bom_master2024 where fg_sku='".$ex[0]."' and rm_sku like 'G1048%'") or die(mysql_error());
		while($bom_data=mysql_fetch_array($bom_qry))
		{
			$total_amount=0;
			$bom_rates_qry=mysql_query("select * from tbl_rm_sku_rates2024 where rm_sku='".$bom_data['rm_sku']."'") or die(mysql_error());
			while($bom_rate_data=mysql_fetch_array($bom_rates_qry))
			{
				$total_amount+=$bom_data['rm_qty']*$bom_rate_data['rm_rate'];
				$html_to_print.='<td style="border:1px solid #000000;">'.$bom_data['rm_sku'].'</td>';
				$html_to_print.='<td style="border:1px solid #000000;">'.$bom_data['rm_qty'].'</td>';
				$html_to_print.='<td style="border:1px solid #000000;">'.round($bom_rate_data['rm_rate'],2).'</td>';
				$html_to_print.='<td style="border:1px solid #000000;">'.round($total_amount,2).'</td>';
				$html_to_print.='<td style="border:1px solid #000000;">'.round($total_amount*$ex[1],2).'</td>';				
				$final_amount+=round($total_amount*$ex[1],2);
				
				if(isset($rm_cost_array[$ex[0]]))
				{
					$rm_cost_array[$ex[0]]+=$total_amount;
				}
				else
				{
					$rm_cost_array[$ex[0]]=$total_amount;
				}
				
				if(isset($rm_qty_array[$bom_data['rm_sku']]))
				{
					$rm_qty_array[$bom_data['rm_sku']]+=round($bom_data['rm_qty']*$ex[1],2);
				}
				else
				{
					$rm_qty_array[$bom_data['rm_sku']]=round($bom_data['rm_qty']*$ex[1],2);
				}
			}
		}

		$html_to_print.='<td style="border:1px solid #000000;">'.$final_amount.'</td>';

		$html_to_print.='</tr>';

    }

    $html_to_print.='<tr>';
    $html_to_print.='<td>&nbsp;</td>';
    $html_to_print.='</tr>';

    $html_to_print.='<tr>';
    $html_to_print.='<td style="background:#CCCCCC;border:1px solid #000000;">OTHER</td>';
    $html_to_print.='</tr>';
    foreach ($main_array as $key => $exdata)
    {
    	$ex = $exdata[0];

    	$item_qry=mysql_query("select * from tbl_item_manager where item_sku='".$ex[0]."'") or die(mysql_error());
		$item_data=mysql_fetch_array($item_qry);
		$html_to_print.='<tr>';
		$html_to_print.='<td style="border:1px solid #000000;">'.$item_data['item_sku'].'</td>';
		$html_to_print.='<td style="border:1px solid #000000;">'.$item_data['item_name'].'</td>';
		$html_to_print.='<td style="border:1px solid #000000;">'.$ex[1].'</td>';

    	$total_amount=0;
		$bom_qry=mysql_query("select * from tbl_bom_master2024 where fg_sku='".$ex[0]."' and (rm_sku not like 'G1014%' and rm_sku not like 'G1048%')") or die(mysql_error());
		while($bom_data=mysql_fetch_array($bom_qry))
		{
			$bom_rates_qry=mysql_query("select * from tbl_rm_sku_rates2024 where rm_sku='".$bom_data['rm_sku']."'") or die(mysql_error());
			while($bom_rate_data=mysql_fetch_array($bom_rates_qry))
			{
				$total_amount+=$bom_data['rm_qty']*$bom_rate_data['rm_rate'];
				$html_to_print.='<td style="border:1px solid #000000;">RM SKU</td>';
				$html_to_print.='<td style="border:1px solid #000000;">RM QTY</td>';
				$html_to_print.='<td style="border:1px solid #000000;">RM RATE</td>';
				$html_to_print.='<td style="border:1px solid #000000;">RM AMOUNT</td>';
				$html_to_print.='<td style="border:1px solid #000000;">TOTAL RM AMOUNT</td>';				
				
			}
		}

		$html_to_print.='<td style="border:1px solid #000000;">Final Amount</td>';

		$html_to_print.='</tr>';
		$html_to_print.='<tr>';
		$html_to_print.='<td style="border:1px solid #000000;">&nbsp;</td>';
		$html_to_print.='<td style="border:1px solid #000000;">&nbsp;</td>';
		$html_to_print.='<td style="border:1px solid #000000;">&nbsp;</td>';

    	
    	$final_amount=0;
		$bom_qry=mysql_query("select * from tbl_bom_master2024 where fg_sku='".$ex[0]."' and (rm_sku not like 'G1014%' and rm_sku not like 'G1048%')") or die(mysql_error());
		while($bom_data=mysql_fetch_array($bom_qry))
		{
			$total_amount=0;
			$bom_rates_qry=mysql_query("select * from tbl_rm_sku_rates2024 where rm_sku='".$bom_data['rm_sku']."'") or die(mysql_error());
			while($bom_rate_data=mysql_fetch_array($bom_rates_qry))
			{
				$total_amount+=$bom_data['rm_qty']*$bom_rate_data['rm_rate'];
				$html_to_print.='<td style="border:1px solid #000000;">'.$bom_data['rm_sku'].'</td>';
				$html_to_print.='<td style="border:1px solid #000000;">'.$bom_data['rm_qty'].'</td>';
				$html_to_print.='<td style="border:1px solid #000000;">'.round($bom_rate_data['rm_rate'],2).'</td>';
				$html_to_print.='<td style="border:1px solid #000000;">'.round($total_amount,2).'</td>';
				$html_to_print.='<td style="border:1px solid #000000;">'.round($total_amount*$ex[1],2).'</td>';				
				$final_amount+=round($total_amount*$ex[1],2);
				
				if(isset($rm_cost_array[$ex[0]]))
				{
					$rm_cost_array[$ex[0]]+=$total_amount;
				}
				else
				{
					$rm_cost_array[$ex[0]]=$total_amount;
				}
				
				if(isset($rm_qty_array[$bom_data['rm_sku']]))
				{
					$rm_qty_array[$bom_data['rm_sku']]+=round($bom_data['rm_qty']*$ex[1],2);
				}
				else
				{
					$rm_qty_array[$bom_data['rm_sku']]=round($bom_data['rm_qty']*$ex[1],2);
				}
			}
		}

		$html_to_print.='<td style="border:1px solid #000000;">'.$final_amount.'</td>';

		$html_to_print.='</tr>';

    }
	
	
	$html_to_print.='<tr>';
    $html_to_print.='<td>&nbsp;</td>';
    $html_to_print.='</tr>';
	
	$html_to_print.='<tr>';
    $html_to_print.='<td style="background:#CCCCCC;border:1px solid #000000;">RM CROSS CHECK</td>';
    $html_to_print.='</tr>';
	
	
	foreach($rm_cost_array as $key=>$val)
	{
		$html_to_print.='<tr>';
		$html_to_print.='<td style="border:1px solid #000000;">'.$key.'</td>';
		$html_to_print.='<td style="border:1px solid #000000;">'.round($val,2).'</td>';
		$html_to_print.='</tr>';
	}
	
	
	$html_to_print.='<tr>';
    $html_to_print.='<td>&nbsp;</td>';
    $html_to_print.='</tr>';
	
	$html_to_print.='<tr>';
    $html_to_print.='<td style="background:#CCCCCC;border:1px solid #000000;">RM Order</td>';
    $html_to_print.='</tr>';
	
	$html_to_print.='<tr>';
	$html_to_print.='<td style="border:1px solid #000000;">RM SKU</td>';
	$html_to_print.='<td style="border:1px solid #000000;">RM NAME</td>';
	$html_to_print.='<td style="border:1px solid #000000;">RM QTY</td>';
	$html_to_print.='<td style="border:1px solid #000000;">RM RATE</td>';
	$html_to_print.='<td style="border:1px solid #000000;">RM Amount</td>';
	$html_to_print.='</tr>';
	
	foreach($rm_qty_array as $key=>$val)
	{
		$item_qry=mysql_query("select * from tbl_item_manager where item_sku='".$key."'") or die(mysql_error());
		$item_data=mysql_fetch_array($item_qry);
		
		
		
		$bom_rates_qry=mysql_query("select * from tbl_rm_sku_rates2024 where rm_sku='".$key."'") or die(mysql_error());
		$bom_rate_data=mysql_fetch_array($bom_rates_qry);
		$html_to_print.='<tr>';
		$html_to_print.='<td style="border:1px solid #000000;">'.$key.'</td>';
		$html_to_print.='<td style="border:1px solid #000000;">'.$item_data['item_name'].'</td>';
		$html_to_print.='<td style="border:1px solid #000000;">'.round($val,2).'</td>';
		$rm_amount=round($val*$bom_rate_data['rm_rate'],2);
		$html_to_print.='<td style="border:1px solid #000000;">'.$bom_rate_data['rm_rate'].'</td>';
		$html_to_print.='<td style="border:1px solid #000000;">'.$rm_amount.'</td>';
		$html_to_print.='</tr>';
	}
	
    
    $html_to_print.='</table>';
	  $filename = "export.xls";
	  header("Content-Disposition: attachment; filename=\"$filename\"");
	  header("Content-Type: application/vnd.ms-excel");
	  echo $html_to_print;
	  exit;
}

?>
<!DOCTYPE html>
<html lang="en">

<head>

    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="description" content="">
    <meta name="author" content="">

    <title>KRIOS Kitchens</title>

    <!-- Bootstrap Core CSS -->
    <link href="bower_components/bootstrap/dist/css/bootstrap.min.css" rel="stylesheet">

    <!-- MetisMenu CSS -->
    <link href="bower_components/metisMenu/dist/metisMenu.min.css" rel="stylesheet">

    <!-- Custom CSS -->
    <link href="dist/css/sb-admin-2.css" rel="stylesheet">

    <!-- Custom Fonts -->
    <link href="bower_components/font-awesome/css/font-awesome.min.css" rel="stylesheet" type="text/css">

    <!-- HTML5 Shim and Respond.js IE8 support of HTML5 elements and media queries -->
    <!-- WARNING: Respond.js doesn't work if you view the page via file:// -->
    <!--[if lt IE 9]>
        <script src="https://oss.maxcdn.com/libs/html5shiv/3.7.0/html5shiv.js"></script>
        <script src="https://oss.maxcdn.com/libs/respond.js/1.4.2/respond.min.js"></script>
    <![endif]-->

</head>

<body>

    <div id="wrapper">

        <!-- Navigation -->
        <nav class="navbar navbar-default navbar-static-top" role="navigation" style="margin-bottom: 0">
            <?php
			include('includes/header.php');
			?>

            <div class="navbar-default sidebar" role="navigation">
                <?php
				include('includes/navigation.php');
				?>
            </div>
            <!-- /.navbar-static-side -->
        </nav>

        <!-- Page Content -->
        <div id="page-wrapper">
            <div class="container-fluid">
                <div class="row">
                    <div class="col-lg-12">
                        <!--<h1 class="page-header">Blank</h1>-->
						&nbsp;
						<?php
						if(isset($_GET['success']))
						{
						?>
						<p class="alert-success"><?php echo $_GET['success'];?></p>
						<?php
						}
						?>
						<?php
						if(isset($_GET['error']))
						{
						?>
						<p class="alert-danger"><?php echo $_GET['error'];?></p>
						<?php
						}
						?>
                    </div>
                    <!-- /.col-lg-12 -->
                </div>
                <!-- /.row -->
				
				<div class="row">
					<div class="col-lg-12">
						<div class="panel panel-default">
							<div class="panel-heading">
								<h2>Item Cost</h2>
							</div>
							<!-- /.panel-heading -->
							<div class="panel-body">
									<!--Content Area-->
                                    <div class="form-panel">
                                    <form role="form" name="lam_form" id="lam_form" method="post" action="" enctype="multipart/form-data">
                                    	<div class="col-lg-6">
                                        <div class="form-group">
                                        		<label>Upload File</label>
                                            	<input type="file" name="excel_file" id="excel_file" class="form-control" required="">
                                        </div>
                                        </div>
                                        <div class="col-lg-6">
                                        <div class="form-group">
                                            	<label>&nbsp;</label>
                                            	&nbsp;
                                        </div>
                                        </div>
                                        <input type="hidden" name="action" value="<?php echo $action;?>">
                                        <input type="submit" class="btn btn-primary" name="submit" id="submit" value="<?php echo $btn_name;?>">
									</form>
                                    </div>
							</div>
						</div>
					</div>
				</div>
				
				
				
				
				
            </div>
            <!-- /.container-fluid -->
        </div>
        <!-- /#page-wrapper -->

    </div>
    <!-- /#wrapper -->

    <!-- jQuery -->
    <script src="bower_components/jquery/dist/jquery.min.js"></script>

    <!-- Bootstrap Core JavaScript -->
    <script src="bower_components/bootstrap/dist/js/bootstrap.min.js"></script>

    <!-- Metis Menu Plugin JavaScript -->
    <script src="bower_components/metisMenu/dist/metisMenu.min.js"></script>

    <!-- Custom Theme JavaScript -->
    <script src="dist/js/sb-admin-2.js"></script>
	
    

</body>
</html>