<?php
include('includes/config.php');
include('class/Mics.php');
//print_r($_SESSION);
if(!isset($_SESSION['kp5user_id']) or $_SESSION['kp5user_id']=="")
{
	header("location:index.php?error=Please Login to Continue..");
	exit;
}
?>
<!DOCTYPE html>
<html lang="en">

<head>

    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="description" content="">
    <meta name="author" content="">

    <title>KRIOS Kitchens</title>

    <!-- Bootstrap Core CSS -->
    <link href="bower_components/bootstrap/dist/css/bootstrap.min.css" rel="stylesheet">

    <!-- MetisMenu CSS -->
    <link href="bower_components/metisMenu/dist/metisMenu.min.css" rel="stylesheet">

    <!-- Custom CSS -->
    <link href="dist/css/sb-admin-2.css" rel="stylesheet">

    <!-- Custom Fonts -->
    <link href="bower_components/font-awesome/css/font-awesome.min.css" rel="stylesheet" type="text/css">
    
    <!-- DataTables CSS -->
    <link href="bower_components/datatables-plugins/integration/bootstrap/3/dataTables.bootstrap.css" rel="stylesheet">

    <!-- DataTables Responsive CSS -->
    <link href="bower_components/datatables-responsive/css/dataTables.responsive.css" rel="stylesheet">
    <link href="https://cdn.datatables.net/fixedcolumns/3.2.2/css/fixedColumns.dataTables.min.css" rel="stylesheet">

    <!-- HTML5 Shim and Respond.js IE8 support of HTML5 elements and media queries -->
    <!-- WARNING: Respond.js doesn't work if you view the page via file:// -->
    <!--[if lt IE 9]>
        <script src="https://oss.maxcdn.com/libs/html5shiv/3.7.0/html5shiv.js"></script>
        <script src="https://oss.maxcdn.com/libs/respond.js/1.4.2/respond.min.js"></script>
    <![endif]-->
    <style type="text/css">
        .thumbnail img{
        border: 1px solid white;
        margin: 0 5px 5px 0;
        }
        
        .thumbnail:hover{
        background-color: transparent;
        }
        
        .thumbnail:hover img{
        border: 1px solid blue;
        }
        
        .thumbnail span{ /*CSS for enlarged image*/
        position: absolute;
        background-color: lightyellow;
        padding: 5px;
        left: -1000px;
        border: 1px dashed gray;
        visibility: hidden;
        color: black;
        text-decoration: none;
        margin-left: -120px;
        }
        
        .thumbnail span img{ /*CSS for enlarged image*/
        border-width: 0;
        padding: 2px;
        }
        
        .thumbnail:hover span{ /*CSS for enlarged image*/
        visibility: visible;
        top: 0;
        left: 00px; /*position where enlarged image should offset horizontally */
        z-index: 50;
        }

    </style>
</head>

<body>

    <div id="wrapper">

        <!-- Navigation -->
        <nav class="navbar navbar-default navbar-static-top" role="navigation" style="margin-bottom: 0">
            <?php
			include('includes/header.php');
			?>

            <div class="navbar-default sidebar" role="navigation">
                <?php
				include('includes/navigation.php');
				?>
            </div>
            <!-- /.navbar-static-side -->
        </nav>

        <!-- Page Content -->
        <div id="page-wrapper">
            <div class="container-fluid">
                <div class="row">
                    <div class="col-lg-12">
                        <!--<h1 class="page-header">Blank</h1>-->
						&nbsp;
						<?php
						if(isset($_GET['success']))
						{
						?>
						<p class="alert-success"><?php echo $_GET['success'];?></p>
						<?php
						}
						?>
                    </div>
                    <!-- /.col-lg-12 -->
                </div>
                <!-- /.row -->
				
				<div class="row">
					<div class="col-lg-12">
						<div class="panel panel-default">
							<div class="panel-heading">
								<h2>Lead Dashboard</h2>
							</div>
							<!-- /.panel-heading -->
							<div class="panel-body">
								<div class="dataTable_wrapper">
									<!--Content Area-->
                                    <table class="table table-striped table-bordered table-hover sticky-header" id="dataTables-example">
                                    <thead>
                                        <tr>
                                        	<!-- <td>&nbsp;</td> -->
                                            <th>Client Name</th>
                                            <th>Agent Name</th>
                                            <th>Designer Name</th>
                                            <!-- <th>Apporved Date</th> -->
                                            <th>Delivery Date</th>
                                            <th>Total Amount</th>
                                            <th>50% Adv Payment Rcvd</th>
                                            <th>Final Measurement</th>
                                            <th>Final Drawing</th>
                                            <th>Contract Signed</th>
                                            <th>Invoice Generated</th>
                                            <th>Drawing Given to Production</th>
                                            <th>BOM Received</th>
                                            <th>Stone Ordered</th>
                                            <th>Back Painted Glass ordered</th>
                                            <th>Carcase Prepared</th>
                                            <th>Carcase Deliver & Installation</th>
                                            <th>Shutter Prepared</th>
                                            <th>All Accessories Received</th>
                                            <th>Total Material Received</th>
                                            <th>40% Payment Received</th>
                                            <th>Delivered at Client Side</th>
                                            <th>Installation</th>
                                            <th>10% Payment Received</th>
                                            <th>Final Installation</th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                    	<?php
										$constant_qry=mysql_query("select * from tbl_dashboard_constants") or die(mysql_error());
										$constant_data=mysql_fetch_array($constant_qry);
										
										
										
										
										$lead_qry=mysql_query("select * from tbl_kitchen_progress a, tbl_kitchen_progress_dtl b where a.kp_id=b.kp_id order by a.kp_id") or die(mysql_error());
										while($lead_data=mysql_fetch_array($lead_qry))
										{
                                            $Mics = new Mics();
                                            $remarks = $Mics->getremarks($lead_data['kp_id']);

											$payment_received_50=date('Y-m-d', strtotime($lead_data['core_payment_received_50']));
                                            $final_measurement=date('Y-m-d', strtotime($lead_data['core_final_measurement_date']));
                                            $final_drawing=date('Y-m-d', strtotime($lead_data['core_final_measurement_date']. ' + '.$constant_data['final_drawing'].' days'));
                                            $contract_signed=date('Y-m-d', strtotime($lead_data['core_final_measurement_date']. ' + '.$constant_data['contract_signed'].' days'));
                                            $invoice_generated=date('Y-m-d', strtotime($lead_data['core_final_measurement_date']. ' + '.$constant_data['invoice_generated'].' days'));
                                            $drawing_to_production=date('Y-m-d', strtotime($lead_data['core_final_measurement_date']. ' + '.$constant_data['drawing_to_production'].' days'));

                                            $bom_received=date('Y-m-d', strtotime($lead_data['kitchen_delivery_date']. ' - '.$constant_data['bom_received'].' days'));
                                            $stone_ordered=date('Y-m-d', strtotime($lead_data['kitchen_delivery_date']. ' - '.$constant_data['stone_ordered'].' days'));
                                            $bpg_ordered=date('Y-m-d', strtotime($lead_data['kitchen_delivery_date']. ' - '.$constant_data['bpg_ordered'].' days'));
                                            $carcase_prepared=date('Y-m-d', strtotime($lead_data['kitchen_delivery_date']. ' - '.$constant_data['carcase_prepared'].' days'));
                                            $carcase_deliver=date('Y-m-d', strtotime($lead_data['kitchen_delivery_date']. ' - '.$constant_data['carcase_deliver'].' days'));
                                            $shutter_prepared=date('Y-m-d', strtotime($lead_data['kitchen_delivery_date']. ' - '.$constant_data['shutter_prepared'].' days'));
                                            $all_accs_received=date('Y-m-d', strtotime($lead_data['kitchen_delivery_date']. ' - '.$constant_data['all_accs_received'].' days'));
                                            $total_material_received=date('Y-m-d', strtotime($lead_data['kitchen_delivery_date']. ' - '.$constant_data['total_material_received'].' days'));
                                            $payment_received_40=date('Y-m-d', strtotime($lead_data['kitchen_delivery_date']. ' - '.$constant_data['payment_received_40'].' days'));
                                            $delivery_at_client_side=date('Y-m-d', strtotime($lead_data['kitchen_delivery_date']. ' - '.$constant_data['delivery_at_client_side'].' days'));
                                            $installation=date('Y-m-d', strtotime($lead_data['kitchen_delivery_date']. ' - '.$constant_data['installation'].' days'));
                                            $payment_received_10=date('Y-m-d', strtotime($lead_data['kitchen_delivery_date']. ' - '.$constant_data['payment_received_10'].' days'));
                                            $final_installation=date('Y-m-d', strtotime($lead_data['kitchen_delivery_date']. ' - '.$constant_data['final_installation'].' days'));
											
										?>
                                        <tr>
                                        	<!-- <td>Expected</td> -->
                                            <td><a href="kitchen_overview.php?view=<?php echo $lead_data['kp_id'];?>"><?php echo $lead_data['client_name'];?></a></td>
                                            <td><?php echo $lead_data['agent_name'];?></td>
                                            <td><?php echo $lead_data['designer_name'];?></td>
                                            <!-- <td><?php //echo date('d-m-Y',strtotime($lead_data['kitchen_approved_date']));?></td> -->
                                            <td><?php echo date('d-m-Y',strtotime($lead_data['kitchen_delivery_date']));?></td>
                                            <td><?php echo $lead_data['kitchen_amount'];?></td>
                                            <td>
                                            
                                            <?php 
                                                if(isset($remarks['payment_received_50']))
                                                {
                                                    echo '<a class="thumbnail" style="position:relative;" href="#">';
                                                    echo date('d-m-Y',strtotime($payment_received_50));
                                                    echo "<span>".$remarks['payment_received_50']."</span>";
                                                    echo "</a>";
                                                }
                                                else
                                                {
                                                    echo date('d-m-Y',strtotime($payment_received_50));
                                                }
                                            ?>
                                            </td>
                                            <td><?php //echo date('d-m-Y',strtotime($final_measurement));?>
                                                <?php 
                                                    if(isset($remarks['final_measurement']))
                                                    {
                                                        echo '<a class="thumbnail" style="position:relative;" href="#">';
                                                        echo date('d-m-Y',strtotime($final_measurement));
                                                        echo "<span>".$remarks['final_measurement']."</span>";
                                                        echo "</a>";
                                                    }
                                                    else
                                                    {
                                                        echo date('d-m-Y',strtotime($final_measurement));
                                                    }
                                                ?>
                                            </td>
                                            <td><?php //echo date('d-m-Y',strtotime($final_drawing));?>
                                                <?php 
                                                    if(isset($remarks['final_drawing']))
                                                    {
                                                        echo '<a class="thumbnail" style="position:relative;" href="#">';
                                                        echo date('d-m-Y',strtotime($final_drawing));
                                                        echo "<span>".$remarks['final_drawing']."</span>";
                                                        echo "</a>";
                                                    }
                                                    else
                                                    {
                                                        echo date('d-m-Y',strtotime($final_drawing));
                                                    }
                                                ?>
                                            </td>
                                            <td><?php //echo date('d-m-Y',strtotime($contract_signed));?>
                                                <?php 
                                                    if(isset($remarks['contract_signed']))
                                                    {
                                                        echo '<a class="thumbnail" style="position:relative;" href="#">';
                                                        echo date('d-m-Y',strtotime($contract_signed));
                                                        echo "<span>".$remarks['contract_signed']."</span>";
                                                        echo "</a>";
                                                    }
                                                    else
                                                    {
                                                        echo date('d-m-Y',strtotime($contract_signed));
                                                    }
                                                ?>
                                            </td>
                                            <td><?php //echo date('d-m-Y',strtotime($invoice_generated));?>
                                                <?php 
                                                    if(isset($remarks['invoice_generated']))
                                                    {
                                                        echo '<a class="thumbnail" style="position:relative;" href="#">';
                                                        echo date('d-m-Y',strtotime($invoice_generated));
                                                        echo "<span>".$remarks['invoice_generated']."</span>";
                                                        echo "</a>";
                                                    }
                                                    else
                                                    {
                                                        echo date('d-m-Y',strtotime($invoice_generated));
                                                    }
                                                ?>
                                            </td>
                                            <td><?php //echo date('d-m-Y',strtotime($drawing_to_production));?>
                                                <?php 
                                                    if(isset($remarks['drawing_given_to_production']))
                                                    {
                                                        echo '<a class="thumbnail" style="position:relative;" href="#">';
                                                        echo date('d-m-Y',strtotime($drawing_to_production));
                                                        echo "<span>".$remarks['drawing_given_to_production']."</span>";
                                                        echo "</a>";
                                                    }
                                                    else
                                                    {
                                                        echo date('d-m-Y',strtotime($drawing_to_production));
                                                    }
                                                ?>
                                            </td>
                                            <td><?php //echo date('d-m-Y',strtotime($bom_received));?>
                                                <?php 
                                                    if(isset($remarks['bom_received']))
                                                    {
                                                        echo '<a class="thumbnail" style="position:relative;" href="#">';
                                                        echo date('d-m-Y',strtotime($bom_received));
                                                        echo "<span>".$remarks['bom_received']."</span>";
                                                        echo "</a>";
                                                    }
                                                    else
                                                    {
                                                        echo date('d-m-Y',strtotime($bom_received));
                                                    }
                                                ?>
                                            </td>
                                            <td><?php 
                                            if($lead_data['contains_stone']=='Yes')
                                            {
                                                //echo date('d-m-Y',strtotime($stone_ordered));
                                                if(isset($remarks['stone_ordered']))
                                                {
                                                    echo '<a class="thumbnail" style="position:relative;" href="#">';
                                                    echo date('d-m-Y',strtotime($stone_ordered));
                                                    echo "<span>".$remarks['stone_ordered']."</span>";
                                                    echo "</a>";
                                                }
                                                else
                                                {
                                                    echo date('d-m-Y',strtotime($stone_ordered));
                                                }
                                            }
                                            else
                                            {
                                                echo "N/A";
                                            }
                                            ?></td>
                                            <td><?php
                                            if($lead_data['contains_bpg'] == "Yes")
                                            {
                                                //echo date('d-m-Y',strtotime($bpg_ordered));
                                                if(isset($remarks['bpg_ordered']))
                                                {
                                                    echo '<a class="thumbnail" style="position:relative;" href="#">';
                                                    echo date('d-m-Y',strtotime($bpg_ordered));
                                                    echo "<span>".$remarks['bpg_ordered']."</span>";
                                                    echo "</a>";
                                                }
                                                else
                                                {
                                                    echo date('d-m-Y',strtotime($bpg_ordered));
                                                }
                                            }
                                            else
                                            {
                                                echo "N/A";
                                            }
                                            ?></td>
                                            <td><?php //echo date('d-m-Y',strtotime($carcase_prepared));?>
                                                <?php 
                                                    if(isset($remarks['carcase_prepared']))
                                                    {
                                                        echo '<a class="thumbnail" style="position:relative;" href="#">';
                                                        echo date('d-m-Y',strtotime($carcase_prepared));
                                                        echo "<span>".$remarks['carcase_prepared']."</span>";
                                                        echo "</a>";
                                                    }
                                                    else
                                                    {
                                                        echo date('d-m-Y',strtotime($carcase_prepared));
                                                    }
                                                ?>
                                            </td>
                                            <td><?php //echo date('d-m-Y',strtotime($carcase_deliver)); ?>
                                                <?php 
                                                    if(isset($remarks['carcase_deliver']))
                                                    {
                                                        echo '<a class="thumbnail" style="position:relative;" href="#">';
                                                        echo date('d-m-Y',strtotime($carcase_deliver));
                                                        echo "<span>".$remarks['carcase_deliver']."</span>";
                                                        echo "</a>";
                                                    }
                                                    else
                                                    {
                                                        echo date('d-m-Y',strtotime($carcase_deliver));
                                                    }
                                                ?>
                                            </td>
                                            <td><?php //echo date('d-m-Y',strtotime($shutter_prepared));?>
                                                <?php 
                                                    if(isset($remarks['shutter_prepared']))
                                                    {
                                                        echo '<a class="thumbnail" style="position:relative;" href="#">';
                                                        echo date('d-m-Y',strtotime($shutter_prepared));
                                                        echo "<span>".$remarks['shutter_prepared']."</span>";
                                                        echo "</a>";
                                                    }
                                                    else
                                                    {
                                                        echo date('d-m-Y',strtotime($shutter_prepared));
                                                    }
                                                ?>
                                            </td>
                                            <td><?php //echo date('d-m-Y',strtotime($all_accs_received));?>
                                                <?php 
                                                    if(isset($remarks['all_accs_received']))
                                                    {
                                                        echo '<a class="thumbnail" style="position:relative;" href="#">';
                                                        echo date('d-m-Y',strtotime($all_accs_received));
                                                        echo "<span>".$remarks['all_accs_received']."</span>";
                                                        echo "</a>";
                                                    }
                                                    else
                                                    {
                                                        echo date('d-m-Y',strtotime($all_accs_received));
                                                    }
                                                ?>
                                            </td>
                                            <td><?php //echo date('d-m-Y',strtotime($total_material_received));?>
                                                <?php 
                                                    if(isset($remarks['total_material_received']))
                                                    {
                                                        echo '<a class="thumbnail" style="position:relative;" href="#">';
                                                        echo date('d-m-Y',strtotime($total_material_received));
                                                        echo "<span>".$remarks['total_material_received']."</span>";
                                                        echo "</a>";
                                                    }
                                                    else
                                                    {
                                                        echo date('d-m-Y',strtotime($total_material_received));
                                                    }
                                                ?>
                                            </td>
                                            <td><?php //echo date('d-m-Y',strtotime($payment_received_40));?>
                                                <?php 
                                                    if(isset($remarks['payment_received_40']))
                                                    {
                                                        echo '<a class="thumbnail" style="position:relative;" href="#">';
                                                        echo date('d-m-Y',strtotime($payment_received_40));
                                                        echo "<span>".$remarks['payment_received_40']."</span>";
                                                        echo "</a>";
                                                    }
                                                    else
                                                    {
                                                        echo date('d-m-Y',strtotime($payment_received_40));
                                                    }
                                                ?>
                                            </td>
                                            <td><?php //echo date('d-m-Y',strtotime($delivery_at_client_side));?>
                                                <?php 
                                                    if(isset($remarks['delivered_at_client_side']))
                                                    {
                                                        echo '<a class="thumbnail" style="position:relative;" href="#">';
                                                        echo date('d-m-Y',strtotime($delivery_at_client_side));
                                                        echo "<span>".$remarks['delivered_at_client_side']."</span>";
                                                        echo "</a>";
                                                    }
                                                    else
                                                    {
                                                        echo date('d-m-Y',strtotime($delivery_at_client_side));
                                                    }
                                                ?>
                                            </td>
                                            <td><?php //echo date('d-m-Y',strtotime($installation));?>
                                                <?php 
                                                    if(isset($remarks['installation']))
                                                    {
                                                        echo '<a class="thumbnail" style="position:relative;" href="#">';
                                                        echo date('d-m-Y',strtotime($installation));
                                                        echo "<span>".$remarks['installation']."</span>";
                                                        echo "</a>";
                                                    }
                                                    else
                                                    {
                                                        echo date('d-m-Y',strtotime($installation));
                                                    }
                                                ?>
                                            </td>
                                            <td><?php //echo date('d-m-Y',strtotime($payment_received_10));?>
                                                <?php 
                                                    if(isset($remarks['payment_received_10']))
                                                    {
                                                        echo '<a class="thumbnail" style="position:relative;" href="#">';
                                                        echo date('d-m-Y',strtotime($payment_received_10));
                                                        echo "<span>".$remarks['payment_received_10']."</span>";
                                                        echo "</a>";
                                                    }
                                                    else
                                                    {
                                                        echo date('d-m-Y',strtotime($payment_received_10));
                                                    }
                                                ?>
                                            </td>
                                            <td><?php //echo date('d-m-Y',strtotime($final_installation));?>
                                                <?php 
                                                    if(isset($remarks['final_installation']))
                                                    {
                                                        echo '<a class="thumbnail" style="position:relative;" href="#">';
                                                        echo date('d-m-Y',strtotime($final_installation));
                                                        echo "<span>".$remarks['final_installation']."</span>";
                                                        echo "</a>";
                                                    }
                                                    else
                                                    {
                                                        echo date('d-m-Y',strtotime($final_installation));
                                                    }
                                                ?>
                                            </td>
                                        </tr>
                                        <tr>
                                        	<!-- <td>Actual</td> -->
                                            <td>&nbsp;</td>
                                        	<td>&nbsp;</td>
                                            <td>&nbsp;</td>
                                            <td>&nbsp;</td>
                                            <td>&nbsp;</td>
                                            <?php
                                            $date1 = new DateTime(date('Y-m-d',strtotime($payment_received_50)));
                                            if($lead_data['payment_received_50_date'] != '0000-00-00')
                                            {
                                                $date2 = new DateTime(date('Y-m-d',strtotime($lead_data['payment_received_50_date'])));
                                            }
                                            else
                                            {
                                                $date2 = new DateTime(date('Y-m-d'));

                                            }
                                            $getdata = mysql_query("select * from tbl_payments where kp_id='".$lead_data['kp_id']."' && amount_percentage='50'")
                                            ?>
                                            <td <?php //if($date1 < $date2 && empty($lead_data['payment_received_50'])){ echo 'style="background: #f18686;"'; } ?> >
                                            <?php
                                            $first = 1;
                                                while($data=mysql_fetch_array($getdata))
                                                {
                                                    if ($first == 1)
                                                    {
                                                        echo '['.$data['amount'].'-'.date('d-m-Y',strtotime($data['date'])).']';
                                                        $first = 0;
                                                    }
                                                    else
                                                    {
                                                        echo ',<br>['.$data['amount'].'-'.date('d-m-Y',strtotime($data['date'])).']';
                                                    }
                                                }
                                            ?>
											<?php //echo $lead_data['payment_received_50'];?> <?php //if(isset($lead_data['payment_received_50_date']) and $lead_data['payment_received_50_date']!='0000-00-00') { echo date('d-m-Y',strtotime($lead_data['payment_received_50_date'])); }?>
                                            </td>
                                            <?php
                                            $date1 = new DateTime(date('Y-m-d',strtotime($final_measurement)));
                                            if($lead_data['final_measurement_date'] != '0000-00-00')
                                            {
                                                $date2 = new DateTime(date('Y-m-d',strtotime($lead_data['final_measurement_date'])));
                                            }
                                            else
                                            {
                                                $date2 = new DateTime(date('Y-m-d'));

                                            }
                                            ?>
                                            <td <?php if($date1 < $date2 && empty($lead_data['final_measurement'])){ echo 'style="background: #f18686;"'; } ?> >
                                            <?php echo $lead_data['final_measurement'];?> - <?php if(isset($lead_data['final_measurement_date']) and $lead_data['final_measurement_date']!='0000-00-00') { echo date('d-m-Y',strtotime($lead_data['final_measurement_date'])); }?>
                                            </td>
                                            <?php
                                            $date1 = new DateTime(date('Y-m-d',strtotime($final_drawing)));
                                            if($lead_data['final_drawing_date'] != '0000-00-00')
                                            {
                                                $date2 = new DateTime(date('Y-m-d',strtotime($lead_data['final_drawing_date'])));
                                            }
                                            else
                                            {
                                                $date2 = new DateTime(date('Y-m-d'));

                                            }
                                            ?>
                                            <td <?php if($date1 < $date2 && empty($lead_data['final_drawing'])){ echo 'style="background: #f18686;"'; } ?> >
                                            <?php echo $lead_data['final_drawing'];?> - <?php if(isset($lead_data['final_drawing_date']) and $lead_data['final_drawing_date']!='0000-00-00') { echo date('d-m-Y',strtotime($lead_data['final_drawing_date'])); }?>
                                            </td>
                                            <?php
                                            $date1 = new DateTime(date('Y-m-d',strtotime($contract_signed)));
                                            if($lead_data['contract_signed_date'] != '0000-00-00')
                                            {
                                                $date2 = new DateTime(date('Y-m-d',strtotime($lead_data['contract_signed_date'])));
                                            }
                                            else
                                            {
                                                $date2 = new DateTime(date('Y-m-d'));

                                            }
                                            ?>
                                            <td <?php if($date1 < $date2 && empty($lead_data['contract_signed'])){ echo 'style="background: #f18686;"'; } ?> >
                                            <?php echo $lead_data['contract_signed'];?> - <?php if(isset($lead_data['contract_signed_date']) and $lead_data['contract_signed_date']!='0000-00-00') { echo date('d-m-Y',strtotime($lead_data['contract_signed_date'])); }?>
                                            </td>
                                            <?php
                                            $date1 = new DateTime(date('Y-m-d',strtotime($invoice_generated)));
                                            if($lead_data['invoice_generated_date'] != '0000-00-00')
                                            {
                                                $date2 = new DateTime(date('Y-m-d',strtotime($lead_data['invoice_generated_date'])));
                                            }
                                            else
                                            {
                                                $date2 = new DateTime(date('Y-m-d'));

                                            }
                                            ?>
                                            <td <?php if($date1 < $date2 && empty($lead_data['invoice_generated'])){ echo 'style="background: #f18686;"'; } ?> >
                                            <?php echo $lead_data['invoice_generated'];?> - <?php if(isset($lead_data['invoice_generated_date']) and $lead_data['invoice_generated_date']!='0000-00-00') { echo date('d-m-Y',strtotime($lead_data['invoice_generated_date'])); }?>
                                            </td>
                                            <?php
                                            $date1 = new DateTime(date('Y-m-d',strtotime($drawing_to_production)));
                                            if($lead_data['drawing_given_to_production_date'] != '0000-00-00')
                                            {
                                                $date2 = new DateTime(date('Y-m-d',strtotime($lead_data['drawing_given_to_production_date'])));
                                            }
                                            else
                                            {
                                                $date2 = new DateTime(date('Y-m-d'));

                                            }
                                            ?>
                                            <td <?php if($date1 < $date2 && empty($lead_data['drawing_given_to_production'])){ echo 'style="background: #f18686;"'; } ?> >
                                            <?php echo $lead_data['drawing_given_to_production'];?> - <?php if(isset($lead_data['drawing_given_to_production_date']) and $lead_data['drawing_given_to_production_date']!='0000-00-00') { echo date('d-m-Y',strtotime($lead_data['drawing_given_to_production_date'])); }?>
                                            </td>
                                            <?php
                                            $date1 = new DateTime(date('Y-m-d',strtotime($bom_received)));
                                            if($lead_data['bom_received_date'] != '0000-00-00')
                                            {
                                                $date2 = new DateTime(date('Y-m-d',strtotime($lead_data['bom_received_date'])));
                                            }
                                            else
                                            {
                                                $date2 = new DateTime(date('Y-m-d'));

                                            }
                                            ?>
                                            <td <?php if($date1 < $date2 && empty(
                                            $lead_data['bom_received'])){ echo 'style="background: #f18686;"'; } ?> >
                                            <?php echo $lead_data['bom_received'];?> - <?php if(isset($lead_data['bom_received_date']) and $lead_data['bom_received_date']!='0000-00-00') { echo date('d-m-Y',strtotime($lead_data['bom_received_date'])); }?>
                                            </td>
                                            <?php
                                            $date1 = new DateTime(date('Y-m-d',strtotime($stone_ordered)));
                                            if($lead_data['stone_ordered_date'] != '0000-00-00')
                                            {
                                                $date2 = new DateTime(date('Y-m-d',strtotime($lead_data['stone_ordered_date'])));
                                            }
                                            else
                                            {
                                                $date2 = new DateTime(date('Y-m-d'));

                                            }
                                            ?>
                                            <td <?php if($date1 < $date2 && $lead_data['contains_stone']=='Yes' && empty($lead_data['stone_ordered'])){ echo 'style="background: #f18686;"'; } ?> >
											<?php echo $lead_data['stone_ordered'];?> - <?php if(isset($lead_data['stone_ordered_date']) and $lead_data['stone_ordered_date']!='0000-00-00') { echo date('d-m-Y',strtotime($lead_data['stone_ordered_date'])); }?>
                                            </td>
                                            <?php
                                            $date1 = new DateTime(date('Y-m-d',strtotime($bpg_ordered)));
                                            if($lead_data['bpg_ordered_date'] != '0000-00-00')
                                            {
                                                $date2 = new DateTime(date('Y-m-d',strtotime($lead_data['bpg_ordered_date'])));
                                            }
                                            else
                                            {
                                                $date2 = new DateTime(date('Y-m-d'));

                                            }
                                            ?>
                                            <td <?php if($date1 < $date2 && $lead_data['contains_bpg'] == "Yes" && empty($lead_data['bpg_ordered'])){ echo 'style="background: #f18686;"'; } ?> >
                                            <?php echo $lead_data['bpg_ordered'];?> - <?php if(isset($lead_data['bpg_ordered_date']) and $lead_data['bpg_ordered_date']!='0000-00-00') { echo date('d-m-Y',strtotime($lead_data['bpg_ordered_date'])); }?>
                                            </td>
                                            <?php
                                            $date1 = new DateTime(date('Y-m-d',strtotime($carcase_prepared)));
                                            if($lead_data['carcase_prepared_date'] != '0000-00-00')
                                            {
                                                $date2 = new DateTime(date('Y-m-d',strtotime($lead_data['carcase_prepared_date'])));
                                            }
                                            else
                                            {
                                                $date2 = new DateTime(date('Y-m-d'));

                                            }
                                            ?>
                                            <td <?php if($date1 < $date2 && empty($lead_data['carcase_prepared'])){ echo 'style="background: #f18686;"'; } ?> >
                                            <?php echo $lead_data['carcase_prepared'];?> - <?php if(isset($lead_data['carcase_prepared_date']) and $lead_data['carcase_prepared_date']!='0000-00-00') { echo date('d-m-Y',strtotime($lead_data['carcase_prepared_date'])); }?>
                                            </td>
                                            
                                            <?php
                                            $date1 = new DateTime(date('Y-m-d',strtotime($carcase_deliver)));
                                            if($lead_data['carcase_deliver_date'] != '0000-00-00')
                                            {
                                                $date2 = new DateTime(date('Y-m-d',strtotime($lead_data['carcase_deliver_date'])));
                                            }
                                            else
                                            {
                                                $date2 = new DateTime(date('Y-m-d'));

                                            }
                                            ?>
                                            <td <?php if($date1 < $date2 && empty($lead_data['carcase_deliver'])){ echo 'style="background: #f18686;"'; } ?> >
                                            <?php echo $lead_data['carcase_deliver'];?> - <?php if(isset($lead_data['carcase_deliver_date']) and $lead_data['carcase_deliver_date']!='0000-00-00') { echo date('d-m-Y',strtotime($lead_data['carcase_deliver_date'])); }?>
                                            </td>
                                            <?php
                                            $date1 = new DateTime(date('Y-m-d',strtotime($shutter_prepared)));
                                            if($lead_data['shutter_prepared_date'] != '0000-00-00')
                                            {
                                                $date2 = new DateTime(date('Y-m-d',strtotime($lead_data['shutter_prepared_date'])));
                                            }
                                            else
                                            {
                                                $date2 = new DateTime(date('Y-m-d'));

                                            }
                                            ?>
                                            <td <?php if($date1 < $date2 && empty($lead_data['shutter_prepared'])){ echo 'style="background: #f18686;"'; } ?> >
                                            <?php echo $lead_data['shutter_prepared'];?> - <?php if(isset($lead_data['shutter_prepared_date']) and $lead_data['shutter_prepared_date']!='0000-00-00') { echo date('d-m-Y',strtotime($lead_data['shutter_prepared_date'])); }?>
                                            </td>
                                            <?php
                                            $date1 = new DateTime(date('Y-m-d',strtotime($all_accs_received)));
                                            if($lead_data['all_accs_received_date'] != '0000-00-00')
                                            {
                                                $date2 = new DateTime(date('Y-m-d',strtotime($lead_data['all_accs_received_date'])));
                                            }
                                            else
                                            {
                                                $date2 = new DateTime(date('Y-m-d'));

                                            }
                                            ?>
                                            <td <?php if($date1 < $date2 && empty($lead_data['all_accs_received'])){ echo 'style="background: #f18686;"'; } ?> >
                                            <?php echo $lead_data['all_accs_received'];?> - <?php if(isset($lead_data['all_accs_received_date']) and $lead_data['all_accs_received_date']!='0000-00-00') { echo date('d-m-Y',strtotime($lead_data['all_accs_received_date'])); }?>
                                            </td>
                                            <?php
                                            $date1 = new DateTime(date('Y-m-d',strtotime($total_material_received)));
                                            if($lead_data['total_material_received_date'] != '0000-00-00')
                                            {
                                                $date2 = new DateTime(date('Y-m-d',strtotime($lead_data['total_material_received_date'])));
                                            }
                                            else
                                            {
                                                $date2 = new DateTime(date('Y-m-d'));

                                            }
                                            ?>
                                            <td <?php if($date1 < $date2 && empty($lead_data['total_material_received'])){ echo 'style="background: #f18686;"'; } ?> >
                                            <?php echo $lead_data['total_material_received'];?> - <?php if(isset($lead_data['total_material_received_date']) and $lead_data['total_material_received_date']!='0000-00-00') { echo date('d-m-Y',strtotime($lead_data['total_material_received_date'])); }?>
                                            </td>
                                            <?php
                                            $date1 = new DateTime(date('Y-m-d',strtotime($payment_received_40)));
                                            if($lead_data['payment_received_40_date'] != '0000-00-00')
                                            {
                                                $date2 = new DateTime(date('Y-m-d',strtotime($lead_data['payment_received_40_date'])));
                                            }
                                            else
                                            {
                                                $date2 = new DateTime(date('Y-m-d'));

                                            }
                                            $getdata = mysql_query("select * from tbl_payments where kp_id='".$lead_data['kp_id']."' && amount_percentage='40'")
                                            ?>
                                            <td <?php //if($date1 < $date2 && empty($lead_data['payment_received_40'])){ echo 'style="background: #f18686;"'; } ?> >
                                            <?php
                                            $first = 1;
                                                while($data=mysql_fetch_array($getdata))
                                                {
                                                    if ($first == 1)
                                                    {
                                                        echo '['.$data['amount'].'-'.date('d-m-Y',strtotime($data['date'])).']';
                                                        $first = 0;
                                                    }
                                                    else
                                                    {
                                                        echo ',<br>['.$data['amount'].'-'.date('d-m-Y',strtotime($data['date'])).']';
                                                    }
                                                }
                                            ?>
                                            <?php //echo $lead_data['payment_received_40'];?>  <?php //if(isset($lead_data['payment_received_40_date']) and $lead_data['payment_received_40_date']!='0000-00-00') { echo date('d-m-Y',strtotime($lead_data['payment_received_40_date'])); }?>
                                            </td>
                                            <?php
                                            $date1 = new DateTime(date('Y-m-d',strtotime($delivery_at_client_side)));
                                            if($lead_data['delivered_at_client_side_date'] != '0000-00-00')
                                            {
                                                $date2 = new DateTime(date('Y-m-d',strtotime($lead_data['delivered_at_client_side_date'])));
                                            }
                                            else
                                            {
                                                $date2 = new DateTime(date('Y-m-d'));

                                            }
                                            ?>
                                            <td <?php if($date1 < $date2 && empty($lead_data['delivered_at_client_side'])){ echo 'style="background: #f18686;"'; } ?> >
                                            <?php echo $lead_data['delivered_at_client_side'];?> - <?php if(isset($lead_data['delivered_at_client_side_date']) and $lead_data['delivered_at_client_side_date']!='0000-00-00') { echo date('d-m-Y',strtotime($lead_data['delivered_at_client_side_date'])); }?>
                                            </td>
                                            <?php
                                            $date1 = new DateTime(date('Y-m-d',strtotime($installation)));
                                            if($lead_data['installation_date'] != '0000-00-00')
                                            {
                                                $date2 = new DateTime(date('Y-m-d',strtotime($lead_data['installation_date'])));
                                            }
                                            else
                                            {
                                                $date2 = new DateTime(date('Y-m-d'));

                                            }
                                            ?>
                                            <td <?php if($date1 < $date2 && empty($lead_data['installation'])){ echo 'style="background: #f18686;"'; } ?> >
                                            <?php echo $lead_data['installation'];?> - <?php if(isset($lead_data['installation_date']) and $lead_data['installation_date']!='0000-00-00') { echo date('d-m-Y',strtotime($lead_data['installation_date'])); }?>
                                            </td>
                                            <?php
                                            $date1 = new DateTime(date('Y-m-d',strtotime($payment_received_10)));
                                            if($lead_data['payment_received_10_date'] != '0000-00-00')
                                            {
                                                $date2 = new DateTime(date('Y-m-d',strtotime($lead_data['payment_received_10_date'])));
                                            }
                                            else
                                            {
                                                $date2 = new DateTime(date('Y-m-d'));

                                            }
                                                $getdata = mysql_query("select * from tbl_payments where kp_id='".$lead_data['kp_id']."' && amount_percentage='10'");
                                            ?>
                                            <td <?php //if($date1 < $date2 && empty($lead_data['payment_received_10'])){ echo 'style="background: #f18686;"'; } ?> >
                                            <?php
                                            $first = 1;
                                                while($data=mysql_fetch_array($getdata))
                                                {
                                                    if ($first == 1)
                                                    {
                                                        echo '['.$data['amount'].'-'.date('d-m-Y',strtotime($data['date'])).']';
                                                        $first = 0;
                                                    }
                                                    else
                                                    {
                                                        echo ',<br>['.$data['amount'].'-'.date('d-m-Y',strtotime($data['date'])).']';
                                                    }
                                                }
                                            ?>
                                            <?php //echo $lead_data['payment_received_10'];?>  <?php //if(isset($lead_data['payment_received_10_date']) and $lead_data['payment_received_10_date']!='0000-00-00') { echo $lead_data['payment_received_10_date']; }?>
                                            </td>
                                            <?php
                                            $date1 = new DateTime(date('Y-m-d',strtotime($final_installation)));
                                            if($lead_data['final_installation_date'] != '0000-00-00')
                                            {
                                                $date2 = new DateTime(date('Y-m-d',strtotime($lead_data['final_installation_date'])));
                                            }
                                            else
                                            {
                                                $date2 = new DateTime(date('Y-m-d'));

                                            }
                                            ?>
                                            <td <?php if($date1 < $date2 && empty($lead_data['final_installation'])){ echo 'style="background: #f18686;"'; } ?> >
                                            <?php echo $lead_data['final_installation'];?> - <?php if(isset($lead_data['final_installation_date']) and $lead_data['final_installation_date']!='0000-00-00') { echo date('d-m-Y',strtotime($lead_data['final_installation_date'])); }?>
                                            </td>
                                        </tr>
                                        <?php
										}
										?>
                                     </tbody>
                                     </table>
                                    
								</div>
							</div>
						</div>
					</div>
				</div>
				
            </div>
            <!-- /.container-fluid -->
        </div>
        <!-- /#page-wrapper -->

    </div>
    <!-- /#wrapper -->

    <!-- jQuery -->
    <script src="bower_components/jquery/dist/jquery.min.js"></script>

    <!-- Bootstrap Core JavaScript -->
    <script src="bower_components/bootstrap/dist/js/bootstrap.min.js"></script>

    <!-- Metis Menu Plugin JavaScript -->
    <script src="bower_components/metisMenu/dist/metisMenu.min.js"></script>

    <!-- Custom Theme JavaScript -->
    <script src="dist/js/sb-admin-2.js"></script>
    
    <!-- DataTables JavaScript -->
    <script src="bower_components/datatables/media/js/jquery.dataTables.min.js"></script>
    <script src="bower_components/datatables-plugins/integration/bootstrap/3/dataTables.bootstrap.min.js"></script>
    <script src="https://cdn.datatables.net/fixedcolumns/3.2.2/js/dataTables.fixedColumns.min.js"></script>
    
    <script type="text/javascript">
        $(document).ready(function(){
            var table = $('#dataTables-example').DataTable( {
                scrollY:        "500px",
                scrollX:        true,
                scrollCollapse: true,
                paging:         false,
                fixedColumns:   {
                    leftColumns: 1
                },
                "ordering": false
            } );
        });
    </script>
    
</body>

</html>
