<?php
include('includes/config.php');
if(!isset($_SESSION['kp5user_id']) or $_SESSION['kp5user_id']=="")
{
	header("location:index.php?error=Please Login to Continue..");
	exit;
}
?>
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="description" content="">
    <meta name="author" content="">
    <title>KRIOS Kitchens</title>
    <!-- Bootstrap Core CSS -->
    <link href="bower_components/bootstrap/dist/css/bootstrap.min.css" rel="stylesheet">
    <!-- MetisMenu CSS -->
    <link href="bower_components/metisMenu/dist/metisMenu.min.css" rel="stylesheet">
    <!-- Custom CSS -->
    <link href="dist/css/sb-admin-2.css" rel="stylesheet">
    <!-- Custom Fonts -->
    <link href="bower_components/font-awesome/css/font-awesome.min.css" rel="stylesheet" type="text/css">
    <!-- DataTables CSS -->
    <link href="bower_components/datatables-plugins/integration/bootstrap/3/dataTables.bootstrap.css" rel="stylesheet">
    <!-- DataTables Responsive CSS -->
    <link href="bower_components/datatables-responsive/css/dataTables.responsive.css" rel="stylesheet">
    <!-- HTML5 Shim and Respond.js IE8 support of HTML5 elements and media queries -->
    <!-- WARNING: Respond.js doesn't work if you view the page via file:// -->
    <!--[if lt IE 9]>
    <script src="https://oss.maxcdn.com/libs/html5shiv/3.7.0/html5shiv.js"></script>
    <script src="https://oss.maxcdn.com/libs/respond.js/1.4.2/respond.min.js"></script>
    <![endif]-->
    <script type="text/javascript">
        function deleteKitchen(saved_id)
        {
            var temp=confirm('Are you sure you want to delete this kitchen?');
            if(temp)
            {
                window.location.href="mykitchens.php?saved_id="+saved_id+"&action=delete";
            }
        }
        function approveKitchen(saved_id)
        {
            var temp=confirm('Are you sure you want to approve this kitchen?');
            if(temp)
            {
                window.location.href="mykitchens.php?saved_id="+saved_id+"&action=approve";
            }
        }
    </script>
</head>
<body>
    <div id="wrapper">
        <!-- Navigation -->
        <nav class="navbar navbar-default navbar-static-top" role="navigation" style="margin-bottom: 0">
            <?php
            include('includes/header.php');
            ?>
            <div class="navbar-default sidebar" role="navigation">
                <?php
                include('includes/navigation.php');
                ?>
            </div>
            <!-- /.navbar-static-side -->
        </nav>
        <!-- Page Content -->
        <div id="page-wrapper">
            <div class="container-fluid">
                <div class="row">
                    <div class="col-lg-12">
                        <!--<h1 class="page-header">Blank</h1>-->
                        &nbsp;
                        <?php
                        if(isset($_GET['success']))
                        {
                            ?>
                            <p class="alert-success"><?php echo $_GET['success'];?></p>
                            <?php
                        }
                        ?>
                    </div>
                    <!-- /.col-lg-12 -->
                </div>
                <!-- /.row -->
                <div class="row">
                    <div class="col-lg-12">
                        <div class="panel panel-default">
                            <div class="panel-heading">
                                <h2>My Saved Orders</h2>
                            </div>
                            <!-- /.panel-heading -->
                            <div class="panel-body">
                                <div class="dataTable_wrapper">
                                    <!--Content Area-->
                                    <table class="table table-striped table-bordered table-hover" id="dataTables-example">
                                        <thead>
                                            <tr>
                                                <th>Kitchen Name</th>
                                                <?php
                                                if($_SESSION['kp5user_role']=="SUPER")
                                                {
                                                    ?>
                                                    <th>User</th>
                                                    <?php
                                                }
                                                ?>
                                                <th>Action</th>
                                            </tr>
                                        </thead>
                                        <tbody>
                                            <?php
                                            $get_sv = mysql_query("select t1.saved_id, t1.total, coalesce(t2.cnt, 0) as cnt FROM (SELECT `saved_id`,count(`id`) AS total FROM `tbl_order_book` GROUP BY `saved_id`) t1 LEFT JOIN (SELECT `saved_id`,COUNT(`id`) AS cnt FROM `tbl_order_book` WHERE `qty`=`transferred` GROUP BY `saved_id`) t2 ON t1.saved_id = t2.saved_id WHERE total=cnt") or die(mysql_error());
                                            $sv_count = mysql_num_rows($get_sv);
                                            $sv_ids = array();
                                            while($row = mysql_fetch_array($get_sv))
                                            {
                                                array_push($sv_ids, $row['saved_id']);
                                            }
                                            if(!empty($sv_ids))
                                            {
                                                $con_query=mysql_query("SELECT sp . * , COUNT( ob.id ) FROM tbl_saved_prices AS sp JOIN tbl_order_book AS ob ON sp.saved_id = ob.saved_id WHERE sp.saved_id IN ".$sv_ids." GROUP BY ob.saved_id ORDER BY sp.saved_id DESC ") or die(mysql_error());
    										
                                                while($con_data=mysql_fetch_array($con_query))
                                                {
                                                    ?>
                                                    <tr class="odd gradeX">
                                                        <td><?php echo $con_data['saved_name'];?></td>
                                                        <?php
                                                        if($_SESSION['kp5user_role']=="SUPER")
                                                        {
                                                            $user_query=mysql_query("select * from tbluser where user_id='".$con_data['user_id']."'") or die(mysql_error());
                                                            $user_data=mysql_fetch_array($user_query);
                                                            ?>
                                                            <td class="center"><?php echo $user_data['user_f_name']." ".$user_data['user_l_name'];?></td>
                                                            <?php
                                                        }
                                                        ?>
                                                        <td class="center">
                                                            <a href="order_book_transfer_print.php?saved_id=<?php echo $con_data['saved_id'];?>" target='_blank' class="btn btn-primary">Print</a>
                                                        </td>
                                                    </tr>
                                                    <?php
                                                }
                                            }
                                            ?>
                                        </tbody>
                                    </table>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <!-- /.container-fluid -->
        </div>
        <!-- /#page-wrapper -->
    </div>
    <!-- /#wrapper -->
    <!-- jQuery -->
    <script src="bower_components/jquery/dist/jquery.min.js"></script>
    <!-- Bootstrap Core JavaScript -->
    <script src="bower_components/bootstrap/dist/js/bootstrap.min.js"></script>
    <!-- Metis Menu Plugin JavaScript -->
    <script src="bower_components/metisMenu/dist/metisMenu.min.js"></script>
    <!-- Custom Theme JavaScript -->
    <script src="dist/js/sb-admin-2.js"></script>
    <!-- DataTables JavaScript -->
    <script src="bower_components/datatables/media/js/jquery.dataTables.min.js"></script>
    <script src="bower_components/datatables-plugins/integration/bootstrap/3/dataTables.bootstrap.min.js"></script>
    <script>
        $(document).ready(function() {
            $('#dataTables-example').DataTable({
                responsive: true
            });
        });
    </script>
</body>
</html>
