<?php
include('includes/config.php');
if(!isset($_SESSION['kp5user_id']) or $_SESSION['kp5user_id']=="")
{
    header("location:index.php?error=Please Login to Continue..");
    exit;
}

$action="Insert";
$btn_name="Search";
?>
<!DOCTYPE html>
<html lang="en">

<head>

    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="description" content="">
    <meta name="author" content="">

    <title>KRIOS Kitchens</title>

    <!-- Bootstrap Core CSS -->
    <link href="bower_components/bootstrap/dist/css/bootstrap.min.css" rel="stylesheet">

    <!-- MetisMenu CSS -->
    <link href="bower_components/metisMenu/dist/metisMenu.min.css" rel="stylesheet">

    <!-- Custom CSS -->
    <link href="dist/css/sb-admin-2.css" rel="stylesheet">

    <!-- Custom Fonts -->
    <link href="bower_components/font-awesome/css/font-awesome.min.css" rel="stylesheet" type="text/css">

    <!-- DataTables CSS -->
    <link href="bower_components/datatables-plugins/integration/bootstrap/3/dataTables.bootstrap.css" rel="stylesheet">

    <!-- DataTables Responsive CSS -->
    <link href="bower_components/datatables-responsive/css/dataTables.responsive.css" rel="stylesheet">

    <!-- HTML5 Shim and Respond.js IE8 support of HTML5 elements and media queries -->
    <!-- WARNING: Respond.js doesn't work if you view the page via file:// -->
    <!--[if lt IE 9]>
        <script src="https://oss.maxcdn.com/libs/html5shiv/3.7.0/html5shiv.js"></script>
        <script src="https://oss.maxcdn.com/libs/respond.js/1.4.2/respond.min.js"></script>
        <![endif]-->
        
    </head>
    <body>
        <div id="wrapper">
            <!-- Navigation -->
            <nav class="navbar navbar-default navbar-static-top" role="navigation" style="margin-bottom: 0">
                <?php
                include('includes/header.php');
                ?>
                <div class="navbar-default sidebar" role="navigation">
                    <?php
                    include('includes/navigation.php');
                    ?>
                </div>
                <!-- /.navbar-static-side -->
            </nav>
            <!-- Page Content -->
            <div id="page-wrapper">
                <div class="container-fluid">
                    <div class="row">
                        <div class="col-lg-12">
                            <!--<h1 class="page-header">Blank</h1>-->
                            &nbsp;
                            <?php
                            if(isset($_GET['success']))
                            {
                                ?>
                                <p class="alert-success"><?php echo $_GET['success'];?></p>
                                <?php
                            }
                            ?>
                        </div>
                        <!-- /.col-lg-12 -->
                    </div>
                    <!-- /.row -->
                    <div class="row">
                        <div class="col-lg-12">
                            <div class="panel panel-default">
                                <div class="panel-heading">
                                    <h2>Search PO</h2>
                                </div>
                                <!-- /.panel-heading -->
                                <div class="panel-body">
                                    <!--Content Area-->
                                    <div class="form-panel">
                                        <form role="form" name="lam_form" id="lam_form" method="get" action="" onSubmit="return validForm();">
                                            <div class="col-lg-6">
                                                <div class="form-group">
                                                    <label>Enter PO</label>
                                                    <input type="text" name="po_number" id="po_number" class="form-control" required="" value="<?php if(isset($_GET['po_number'])){ echo $_GET['po_number']; } ?>">
                                                </div>
                                            </div>
                                            <div class="col-lg-6">
                                                <br>
                                                <input type="hidden" name="action" value="<?php echo $action;?>">
                                                <input type="submit" class="btn btn-primary" name="submit" id="submit" value="<?php echo $btn_name;?>">
                                            </div>
                                        </form>
                                    </div>
                                </div>
                            </div>
                            <div class="panel panel-default">
                                <div class="panel-heading">
                                    <h2>PO Number</h2>
                                </div>
                                <!-- /.panel-heading -->
                                <div class="panel-body">
                                    <table class="table table-striped table-bordered table-hover">
                                        <?php
                                        if(isset($_GET['po_number']) && !empty($_GET['po_number']))
                                        {
                                            $po_query = mysql_query("SELECT *
                                                FROM `tbl_po_main` AS pm
                                                LEFT JOIN `tbl_vendor_master` AS vm ON pm.`vend_id`=vm.`vend_id`
                                                LEFT JOIN `tbl_customer_master` AS cm ON pm.`cust_id`=cm.`cust_id`
                                                WHERE pm.`po_number` = '".$_GET['po_number']."'") or die(mysql_error());
                                            $po_det = mysql_fetch_array($po_query);
                                            $sts = "<label class='label label-success'>Approved</label>";
                                            if($po_det['created_at']>='2017-05-04' && $po_det['is_approved'] == '0')
                                            {
                                                $sts = "<label class='label label-warning'>Approval pending</label>";
                                            }
                                            ?>
                                            <tr>
                                                <th>PO Number</th><td><?php echo $po_det['po_number']; ?></td><th>PO Date</th><td><?php echo date('d-m-Y',strtotime($po_det['po_date'])); ?></td>
                                            </tr>
                                            <tr>
                                                <th>Customer Name</th><td><?php echo $po_det['cust_name']; ?></td><th>Vendor Name</th><td><?php echo $po_det['vend_name']; ?></td>
                                            </tr>
                                            <tr>
                                            <th>Status</th><td><?php echo $sts; ?></td><th>Comment</th><td><pre><?php echo $po_det['comment']; ?></pre></td>
                                            </tr>
                                            <?php
                                        }
                                        ?>
                                    </table>
                                    <table id="dataTable" class="table table-striped table-bordered table-hover">
                                        <thead>
                                            <tr>
                                                <th>#</th>
                                                <th>Item SKU</th>
                                                <th>Item Name</th>
                                                <th>Item Qty</th>
                                                <th>Purchase Price</th>
                                                <th>Amount</th>
                                            </tr>
                                        </thead>
                                        <tbody>
                                            <?php
                                            if(isset($_GET['po_number']) && !empty($_GET['po_number']))
                                            {
                                                $po_1 = mysql_query("SELECT *
                                                    FROM `tbl_po_main` AS pm
                                                    LEFT JOIN `tbl_po_detail` AS pd ON pm.`po_number`=pd.`po_number`
                                                    LEFT JOIN `tbl_item_manager` AS im ON pd.`item_sku`=im.`item_sku`
                                                    WHERE pm.`po_number` = '".$_GET['po_number']."'") or die(mysql_error());
                                                $cnt = 1;
                                                while($po = mysql_fetch_array($po_1))
                                                {
                                                    echo "<tr>";
                                                    echo "<td>$cnt</td>";
                                                    echo '<td>'.$po['item_sku'].'</td>';
                                                    echo '<td>'.$po['item_name'].'</td>';
                                                    echo '<td>'.$po['item_qty'].'</td>';
                                                    echo '<td>'.$po['item_purchase_price'].'</td>';
                                                    echo '<td>'.$po['item_amount'].'</td>';
                                                    echo "</tr>";
                                                    $cnt++;
                                                }
                                            }
                                            ?>
                                        </tbody>
                                    </table>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <!-- /.container-fluid -->
            </div>
            <!-- /#page-wrapper -->
        </div>
        <!-- /#wrapper -->
        <!-- jQuery -->
        <script src="bower_components/jquery/dist/jquery.min.js"></script>

        <!-- Bootstrap Core JavaScript -->
        <script src="bower_components/bootstrap/dist/js/bootstrap.min.js"></script>

        <!-- Metis Menu Plugin JavaScript -->
        <script src="bower_components/metisMenu/dist/metisMenu.min.js"></script>

        <!-- Custom Theme JavaScript -->
        <script src="dist/js/sb-admin-2.js"></script>

        <!-- DataTables JavaScript -->
        <script src="bower_components/datatables/media/js/jquery.dataTables.min.js"></script>
        <script src="bower_components/datatables-plugins/integration/bootstrap/3/dataTables.bootstrap.min.js"></script>

        <script type="text/javascript">
            $(document).ready(function(){
                $('#dataTable').DataTable({
                    responsive: true
                });
            });
        </script>
    </body>
    </html>
