<?php
include('includes/config.php');
if(!isset($_SESSION['kp5user_id']) or $_SESSION['kp5user_id']=="")
{
    header("location:index.php?error=Please Login to Continue..");
    exit;
}
?>
<!DOCTYPE html>
<html lang="en">

<head>

    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="description" content="">
    <meta name="author" content="">

    <title>KRIOS Kitchens</title>

    <!-- Bootstrap Core CSS -->
    <link href="bower_components/bootstrap/dist/css/bootstrap.min.css" rel="stylesheet">

    <!-- MetisMenu CSS -->
    <link href="bower_components/metisMenu/dist/metisMenu.min.css" rel="stylesheet">

    <!-- Custom CSS -->
    <link href="dist/css/sb-admin-2.css" rel="stylesheet">

    <!-- Custom Fonts -->
    <link href="bower_components/font-awesome/css/font-awesome.min.css" rel="stylesheet" type="text/css">

    <!-- DataTables CSS -->
    <link href="bower_components/datatables-plugins/integration/bootstrap/3/dataTables.bootstrap.css" rel="stylesheet">

    <!-- DataTables Responsive CSS -->
    <link href="bower_components/datatables-responsive/css/dataTables.responsive.css" rel="stylesheet">
    <link href="https://cdn.datatables.net/fixedcolumns/3.2.2/css/fixedColumns.dataTables.min.css" rel="stylesheet">

    <!-- HTML5 Shim and Respond.js IE8 support of HTML5 elements and media queries -->
    <!-- WARNING: Respond.js doesn't work if you view the page via file:// -->
    <!--[if lt IE 9]>
        <script src="https://oss.maxcdn.com/libs/html5shiv/3.7.0/html5shiv.js"></script>
        <script src="https://oss.maxcdn.com/libs/respond.js/1.4.2/respond.min.js"></script>
        <![endif]-->
        <script src="js/datetimepicker_css.js"></script>
        <style type="text/css">
            .modal-dialog {
                width: 80% !important;
            }
        </style>
    </head>
    <body>
        <div id="wrapper">
         <!-- Navigation -->
         <nav class="navbar navbar-default navbar-static-top" role="navigation" style="margin-bottom: 0">
            <?php
            include('includes/header.php');
            ?>

            <div class="navbar-default sidebar" role="navigation">
                <?php
                include('includes/navigation.php');
                ?>
            </div>
            <!-- /.navbar-static-side -->
        </nav>
        <!-- Page Content -->
        <div id="page-wrapper">
            <div class="container-fluid">

                <?php
                if(isset($_GET['success']))
                {
                    ?>
                    <p class="alert-success"><?php echo $_GET['success'];?></p>
                    <?php
                }
                ?>

                <div class="row">
                    <div class="col-lg-12">
                        <div class="panel panel-default">
                            <div class="panel-heading">
                                <h3>Search Return Invoice</h3>
                            </div>
                            <!-- /.panel-heading -->
                            <div class="panel-body">
                                <div class="dataTable_wrapper">
                                    <!--Content Area-->
                                    <div class="col-md-12" align="">
                                        <form name="invoice_form" id="invoice_form" method="post" action="">
                                            <div class="col-lg-6">
                                                <div class="form-group">
                                                    <label>From Date</label>
                                                    <div class="input-group date">
                                                        <span class="input-group-btn">
                                                            <button class="btn btn-default" onClick="javascript:NewCssCal('to_date','ddmmyyyy')" type="button"><i class="glyphicon glyphicon-calendar"></i></button>
                                                        </span>
                                                        <input placeholder="dd-mm-yyyy" class="form-control" id="to_date" name="to_date" type="text" required="">
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="col-lg-6">
                                                <div class="form-group">
                                                    <label>To Date</label>
                                                    <div class="input-group date">
                                                        <span class="input-group-btn">
                                                            <button class="btn btn-default" onClick="javascript:NewCssCal('from_date','ddmmyyyy')" type="button"><i class="glyphicon glyphicon-calendar"></i></button>
                                                        </span>
                                                        <input placeholder="dd-mm-yyyy" class="form-control" id="from_date" name="from_date" type="text" required="">
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="col-lg-6">
                                                <div class="form-group">
                                                    <label>Select Vendor</label>
                                                    <select name="vendor" id="vendor" class="form-control">
                                                    <option value="All">All Vendor</option>
                                                        <?php
                                                        $con_query=mysql_query("select * from tbl_vendor_master order by vend_name") or die(mysql_error());
                                                        while($con_data=mysql_fetch_array($con_query))
                                                        {
                                                            echo '<option value="'.$con_data['vend_id'].'">'.$con_data['vend_name'].'</option>';
                                                        }
                                                        ?>
                                                    </select>
                                                </div>
                                            </div>

                                            <div class="col-md-12" align="left">
                                                <input type="submit" value="Submit" id="submit" name="submit" class="btn btn-primary">
                                            </div>
                                        </form>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="panel panel-default">
                            <div class="panel-heading">
                                <h3>Invoice List</h3>
                            </div>
                            <div class="panel-body">
                                <div class="dataTable_wrapper">
                                    <table class="table" id="dataTables">
                                        <thead>
                                            <tr>
                                                <th>#</th>
                                                <th>Invoice No.</th>
                                                <th>Vendor Name</th>
                                                <th>Bill Amount</th>
                                                <th>Action</th>
                                            </tr>
                                        </thead>
                                        <tbody>
                                            <?php
                                            if(isset($_POST['submit']) && !empty($_POST['to_date']) && !empty($_POST['from_date']))
                                            {
                                                $to_date = date('Y-m-d', strtotime($_POST['to_date']));
                                                $from_date = date('Y-m-d', strtotime($_POST['from_date'].'+1 days'));

                                                if(isset($_POST['vendor']) && !empty($_POST['vendor']) && $_POST['vendor'] != 'All')
                                                {
                                                    $Invoice_q = mysql_query("select * from tbl_invoice_master where cust_code='".$_POST['vendor']."' and bill_type2 = '11' and enter_date between '".$to_date."' and '".$from_date."' ") or die(mysql_error());
                                                }
                                                else
                                                {
                                                    $Invoice_q = mysql_query("select * from tbl_invoice_master where bill_type2 = '11' and enter_date between '".$to_date."' and '".$from_date."' ") or die(mysql_error());
                                                }
                                                $cnt = 1;
                                                while($invoice = mysql_fetch_array($Invoice_q))
                                                {
                                                    echo "<tr>";
                                                    echo "<td>".$cnt."</td>";
                                                    echo "<td>".$invoice['bill_no']."</td>";
                                                    echo "<td>".$invoice['cust_name']."</td>";
                                                    echo "<td>".$invoice['bill_amt']."</td>";
                                                    echo "<td><a href='print_return_invoice.php?inv_id=".$invoice['inv_id']."' target='_blanck'>Print</a></td>";
                                                    echo "</tr>";
                                                }
                                            }
                                            ?>
                                        </tbody>
                                    </table>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <!-- /.container-fluid -->
        </div>
        <!-- /#page-wrapper -->
    </div>
    <!-- /#wrapper -->
    <!-- jQuery -->
    <script src="bower_components/jquery/dist/jquery.min.js"></script>

    <!-- Bootstrap Core JavaScript -->
    <script src="bower_components/bootstrap/dist/js/bootstrap.min.js"></script>

    <!-- Metis Menu Plugin JavaScript -->
    <script src="bower_components/metisMenu/dist/metisMenu.min.js"></script>

    <!-- DataTables JavaScript -->
    <script src="bower_components/datatables/media/js/jquery.dataTables.min.js"></script>
    <script src="bower_components/datatables-plugins/integration/bootstrap/3/dataTables.bootstrap.min.js"></script>
    <script src="https://cdn.datatables.net/fixedcolumns/3.2.2/js/dataTables.fixedColumns.min.js"></script>

    <!-- Custom Theme JavaScript -->
    <script src="dist/js/sb-admin-2.js"></script>

    <script type="text/javascript">
        $(document).ready(function(){
            var table = $('#dataTables').DataTable();
        });
    </script>
</body>

</html>
