<?php
include('includes/config.php');
//print_r($_SESSION);
if(!isset($_SESSION['kp5user_id']) or $_SESSION['kp5user_id']=="")
{
	header("location:index.php?error=Please Login to Continue..");
	exit;
}

?>
<!DOCTYPE html>
<html lang="en">

<head>

    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="description" content="">
    <meta name="author" content="">

    <title>KRIOS Kitchens</title>

    <!-- Bootstrap Core CSS -->
    <link href="bower_components/bootstrap/dist/css/bootstrap.min.css" rel="stylesheet">

    <!-- MetisMenu CSS -->
    <link href="bower_components/metisMenu/dist/metisMenu.min.css" rel="stylesheet">

    <!-- Custom CSS -->
    <link href="dist/css/sb-admin-2.css" rel="stylesheet">

    <!-- Custom Fonts -->
    <link href="bower_components/font-awesome/css/font-awesome.min.css" rel="stylesheet" type="text/css">

    <!-- HTML5 Shim and Respond.js IE8 support of HTML5 elements and media queries -->
    <!-- WARNING: Respond.js doesn't work if you view the page via file:// -->
    <!--[if lt IE 9]>
        <script src="https://oss.maxcdn.com/libs/html5shiv/3.7.0/html5shiv.js"></script>
        <script src="https://oss.maxcdn.com/libs/respond.js/1.4.2/respond.min.js"></script>
    <![endif]-->
	<script src="js/datetimepicker_css.js"></script>
</head>

<body>

    <div id="wrapper">

        <!-- Navigation -->
        <nav class="navbar navbar-default navbar-static-top" role="navigation" style="margin-bottom: 0">
            <?php
			include('includes/header.php');
			?>

            <div class="navbar-default sidebar" role="navigation">
                <?php
				include('includes/navigation.php');
				?>
            </div>
            <!-- /.navbar-static-side -->
        </nav>

        <!-- Page Content -->
        <div id="page-wrapper">
            <div class="container-fluid">
                <div class="row">
                    <div class="col-lg-12">
                        <!--<h1 class="page-header">Blank</h1>-->
						&nbsp;
						<?php
						if(isset($_GET['success']))
						{
						?>
						<p class="alert-success"><?php echo $_GET['success'];?></p>
						<?php
						}
						?>
                    </div>
                    <!-- /.col-lg-12 -->
                </div>
                <!-- /.row -->
				
				<div class="row">
					<div class="col-lg-12">
						<div class="panel panel-default">
							<div class="panel-heading">
								<h2>Report: GRN Export</h2>
							</div>
							<!-- /.panel-heading -->
							<div class="panel-body">
									<!--Content Area-->
                                    <div class="form-panel">
                                    <form role="form" name="stock_form" id="stock_form" method="post" action="rpt_grn_detail.php">
                                    	<div class="col-lg-6">
                                        <div class="form-group">
                                        		<label>From Date</label>
                                            	<div class="input-group date">
                                                  <span class="input-group-btn">
                                                    <button class="btn btn-default" onClick="javascript:NewCssCal('from_date','ddmmyyyy')" type="button"><i class="glyphicon glyphicon-calendar"></i></button>
                                                   </span>
                                                   <input class="form-control" id="from_date" name="from_date" value="" type="text">
                                                 </div>
                                        </div>
                                        </div>
                                        <div class="col-lg-6">
                                        <div class="form-group">
                                        		<label>To Date</label>
                                            	<div class="input-group date">
                                                  <span class="input-group-btn">
                                                    <button class="btn btn-default" onClick="javascript:NewCssCal('to_date','ddmmyyyy')" type="button"><i class="glyphicon glyphicon-calendar"></i></button>
                                                   </span>
                                                   <input class="form-control" id="to_date" name="to_date" value="" type="text">
                                                 </div>
                                        </div>
                                        </div>
										<h2>OR</h2>
                                        <div class="col-lg-6">
                                        <div class="form-group">
                                        		<label>GRN Number:</label>
                                                <input type="text" name="grn_number" id="grn_number" value="" class="form-control">
                                        </div>
                                        </div>
                                        <div class="col-lg-6">
                                        <div class="form-group">
                                        		<label>&nbsp;</label>
                                                &nbsp;
                                        </div>
                                        </div>
                                        <p>&nbsp;</p>
                                        
                                        <input type="submit" class="btn btn-primary" name="submit" id="submit" value="Next">
                                        <input type="hidden" name="item_group_id" value="<?php if(isset($edit_data['item_group_id'])) echo $edit_data['item_group_id'];?>">
									</form>
                                    </div>
							</div>
						</div>
					</div>
				</div>
				
            </div>
            <!-- /.container-fluid -->
        </div>
        <!-- /#page-wrapper -->

    </div>
    <!-- /#wrapper -->

    <!-- jQuery -->
    <script src="bower_components/jquery/dist/jquery.min.js"></script>

    <!-- Bootstrap Core JavaScript -->
    <script src="bower_components/bootstrap/dist/js/bootstrap.min.js"></script>

    <!-- Metis Menu Plugin JavaScript -->
    <script src="bower_components/metisMenu/dist/metisMenu.min.js"></script>

    <!-- Custom Theme JavaScript -->
    <script src="dist/js/sb-admin-2.js"></script>

</body>

</html>
