<?php
include('includes/config.php');
if(!isset($_SESSION['kp5user_id']) or $_SESSION['kp5user_id']=="")
{
    header("location:index.php?error=Please Login to Continue..");
    exit;
}
?>
<!DOCTYPE html>
<html lang="en">

<head>

    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="description" content="">
    <meta name="author" content="">

    <title>KRIOS Kitchens</title>

    <!-- Bootstrap Core CSS -->
    <link href="bower_components/bootstrap/dist/css/bootstrap.min.css" rel="stylesheet">

    <!-- MetisMenu CSS -->
    <link href="bower_components/metisMenu/dist/metisMenu.min.css" rel="stylesheet">

    <!-- Custom CSS -->
    <link href="dist/css/sb-admin-2.css" rel="stylesheet">

    <!-- Custom Fonts -->
    <link href="bower_components/font-awesome/css/font-awesome.min.css" rel="stylesheet" type="text/css">

    <!-- DataTables CSS -->
    <link href="bower_components/datatables-plugins/integration/bootstrap/3/dataTables.bootstrap.css" rel="stylesheet">

    <!-- DataTables Responsive CSS -->
    <link href="bower_components/datatables-responsive/css/dataTables.responsive.css" rel="stylesheet">
    <link href="https://cdn.datatables.net/fixedcolumns/3.2.2/css/fixedColumns.dataTables.min.css" rel="stylesheet">

    <!-- HTML5 Shim and Respond.js IE8 support of HTML5 elements and media queries -->
    <!-- WARNING: Respond.js doesn't work if you view the page via file:// -->
    <!--[if lt IE 9]>
        <script src="https://oss.maxcdn.com/libs/html5shiv/3.7.0/html5shiv.js"></script>
        <script src="https://oss.maxcdn.com/libs/respond.js/1.4.2/respond.min.js"></script>
        <![endif]-->
        <script src="js/datetimepicker_css.js"></script>
        <style type="text/css">
            .modal-dialog {
                width: 80% !important;
            }
        </style>
    </head>
    <body>
        <div id="wrapper">
         <!-- Navigation -->
         <nav class="navbar navbar-default navbar-static-top" role="navigation" style="margin-bottom: 0">
            <?php
            include('includes/header.php');
            ?>

            <div class="navbar-default sidebar" role="navigation">
                <?php
                include('includes/navigation.php');
                ?>
            </div>
            <!-- /.navbar-static-side -->
        </nav>
        <!-- Page Content -->
        <div id="page-wrapper">
            <div class="container-fluid">

                <?php
                if(isset($_GET['success']))
                {
                    ?>
                    <p class="alert-success"><?php echo $_GET['success'];?></p>
                    <?php
                }
                ?>

                <div class="row">
                    <div class="col-lg-12">
                        <div class="panel panel-default">
                            <div class="panel-heading">
                                <h3>Report: Purchase Register</h3>
                            </div>
                            <!-- /.panel-heading -->
                            <div class="panel-body">
                                <div class="dataTable_wrapper">
                                    <!--Content Area-->
                                    <div class="col-md-12" align="">
                                        <form name="invoice_form" id="invoice_form" method="post" action="">
                                            <div class="col-lg-6">
                                                <div class="form-group">
                                                    <label>From Date</label>
                                                    <div class="input-group date">
                                                        <span class="input-group-btn">
                                                            <button class="btn btn-default" onClick="javascript:NewCssCal('from_date','ddmmyyyy')" type="button"><i class="glyphicon glyphicon-calendar"></i></button>
                                                        </span>
                                                        <input placeholder="dd-mm-yyyy" class="form-control" id="from_date" name="from_date" type="text" required="">
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="col-lg-6">
                                                <div class="form-group">
                                                    <label>To Date</label>
                                                    <div class="input-group date">
                                                        <span class="input-group-btn">
                                                            <button class="btn btn-default" onClick="javascript:NewCssCal('to_date','ddmmyyyy')" type="button"><i class="glyphicon glyphicon-calendar"></i></button>
                                                        </span>
                                                        <input placeholder="dd-mm-yyyy" class="form-control" id="to_date" name="to_date" type="text" required="">
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="col-md-12" align="left">
                                                <input type="submit" value="Submit" id="submit" name="submit" class="btn btn-primary">
                                            </div>
                                        </form>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="panel panel-default">
                            <div class="panel-heading">
                                <h3>Purchase Register</h3>
                            </div>
                            <div class="panel-body">
                                <div class="dataTable_wrapper">
                                    <?php
                                    if(isset($_POST) && !empty($_POST['from_date']) && !empty($_POST['to_date']))
                                    {
                                        $from_date="";
                                        $to_date="";
                                        if(isset($_POST['from_date']) and $_POST['from_date']!='')
                                        {
                                            $from_date=date('Y-m-d', strtotime($_POST['from_date']));
                                        }
                                        if(isset($_POST['to_date']) and $_POST['to_date']!='')
                                        {
                                            $to_date=date('Y-m-d', strtotime($_POST['to_date']));
                                        }
                                        ?>
                                        <table class="table table-striped table-advance table-hover" id="dataTables">
                                            <thead>
                                                <tr>
                                                    <th>Document No</th>
                                                    <th>VendorBill No</th>
                                                    <th>Date</th>
                                                    <th>Party</th>
                                                    <th>GST NO.</th>
                                                    <th>CST NO.</th>
                                                    <th>Ass. Value</th>
                                                    <th>Vat/CST(%)</th>
                                                    <th>VAT/CST Amt.</th>
                                                    <th>Tax(%)</th>
                                                    <th>Add. Vat Amt</th>
                                                    <th>Pkg.Charge(+)</th>
                                                    <th>Ins. Charge(+)</th>
                                                    <th>Discount(-)</th>
                                                    <th>RoundingOff</th>
                                                    <th>Amount</th>
                                                </tr>
                                            </thead>
                                            <tbody>
                                                <?php
                                                $htmlToPrint='';

                                                $htmlToPrint.='<table>
                                                <thead>
                                                    <tr>
                                                        <th style="border:1px solid #000;">Document No</th>
                                                        <th style="border:1px solid #000;">VendorBill No</th>
                                                        <th style="border:1px solid #000;">Date</th>
                                                        <th style="border:1px solid #000;">Party</th>
                                                        <th style="border:1px solid #000;">GST NO.</th>
                                                        <th style="border:1px solid #000;">CST NO.</th>
                                                        <th style="border:1px solid #000;">Ass. Value</th>
                                                        <th style="border:1px solid #000;">Vat/CST(%)</th>
                                                        <th style="border:1px solid #000;">VAT/CST Amt.</th>
                                                        <th style="border:1px solid #000;">Tax(%)</th>
                                                        <th style="border:1px solid #000;">Add. Vat Amt</th>
                                                        <th style="border:1px solid #000;">Pkg.Charge(+)</th>
                                                        <th style="border:1px solid #000;">Ins. Charge(+)</th>
                                                        <th style="border:1px solid #000;">Discount(-)</th>
                                                        <th style="border:1px solid #000;">RoundingOff</th>
                                                        <th style="border:1px solid #000;">Amount</th>
                                                    </tr>
                                                </thead>
                                                <tbody>';
                                                    $bill_type2="'11','12'";
                                                    $inv_sales_query=mysql_query("select a.bill_type2, a.bgndt, a.ref_no, a.cust_code, a.due_date, a.bill_no, sum(b.net_amt) as net_amt, sum(b.net_price) as net_price, a.schg01 as pkg_chrg, a.schg02 as insu_charge, b.discount, a.schg04 as hamali, a.round_off_amt as round_off, a.schg05 as freight, a.schg07 as schg07, b.schg01, b.schg02 from tbl_invoice_master a, tbl_inovice_details b where a.bill_no=b.bill_no and a.bill_type2 in (".$bill_type2.") and a.bgndt>='".$from_date."' and a.bgndt<='".$to_date."' group by a.bill_no, b.schg01") or die(mysql_error());
                                                    while($inv_sales_data=mysql_fetch_array($inv_sales_query))
                                                    {
                                                        $cust_query=mysql_query("select * from tbl_vendor_master where vend_id='".$inv_sales_data['cust_code']."'") or die(mysql_error());
                                                        $cust_data=mysql_fetch_array($cust_query);

                                                        $sub_data_count_qry=mysql_query("select * from tbl_inovice_details where bill_no='".$inv_sales_data['bill_no']."' group by schg01") or die(mysql_error());
                                                        $sub_data_count=mysql_num_rows($sub_data_count_qry);

                                                        $myNetAmt=0;

                                                        $sign='';
                                                        if($inv_sales_data['bill_type2']==11)
                                                        {
                                                            $sign='-';
                                                        }
                                                        ?>
                                                        <tr>
                                                            <td><?php $htmlToPrint.='<td style="border:1px solid #ccc;">'.$inv_sales_data['bill_no'].'</td>'; echo $inv_sales_data['bill_no'];?></td>
                                                            <td><?php $htmlToPrint.='<td style="border:1px solid #ccc;">'.$inv_sales_data['ref_no'].'</td>'; echo $inv_sales_data['ref_no'];?></td>
                                                            <td><?php $htmlToPrint.='<td style="border:1px solid #ccc;">'.date('d-m-Y',strtotime($inv_sales_data['bgndt'])).'</td>'; echo date('d-m-Y',strtotime($inv_sales_data['bgndt']));?></td>
                                                            <td><?php $htmlToPrint.='<td style="border:1px solid #ccc;">'.$cust_data['vend_name'].'</td>'; echo $cust_data['vend_name'];?></td>
                                                            <td><?php $htmlToPrint.='<td style="border:1px solid #ccc;"> - </td>'; echo ' - ';?></td>
                                                            <td><?php $htmlToPrint.='<td style="border:1px solid #ccc;">'.$cust_data['vend_cst_no'].'</td>'; echo $cust_data['vend_cst_no'];?></td>

                                                            <td><?php $myNetAmt+=round($inv_sales_data['net_price'],2); $htmlToPrint.='<td style="border:1px solid #ccc;">'.$sign.round($inv_sales_data['net_price'],2).'</td>'; echo $sign.round($inv_sales_data['net_price'],2);?></td>
                                                            <td><?php $htmlToPrint.='<td style="border:1px solid #ccc;">'.round($inv_sales_data['schg01'],2).'</td>'; echo round($inv_sales_data['schg01'],2);?></td>
                                                            <td><?php $myNetAmt+=round($inv_sales_data['net_price']*$inv_sales_data['schg01']/100,2); $htmlToPrint.='<td style="border:1px solid #ccc;">'.$sign.round($inv_sales_data['net_price']*$inv_sales_data['schg01']/100,2).'</td>'; echo $sign.round($inv_sales_data['net_price']*$inv_sales_data['schg01']/100,2);?></td>
                                                            <td><?php $htmlToPrint.='<td style="border:1px solid #ccc;">'.round($inv_sales_data['schg02'],2).'</td>'; echo round($inv_sales_data['schg02'],2);?></td>
                                                            <td><?php $myNetAmt+=round($inv_sales_data['net_price']*$inv_sales_data['schg02']/100,2); $htmlToPrint.='<td style="border:1px solid #ccc;">'.$sign.round($inv_sales_data['net_price']*$inv_sales_data['schg02']/100,2).'</td>'; echo $sign.round($inv_sales_data['net_price']*$inv_sales_data['schg02']/100,2);?></td>
                                                            <td><?php $myNetAmt+=round($inv_sales_data['pkg_chrg']/$sub_data_count,2); $htmlToPrint.='<td style="border:1px solid #ccc;">'.$sign.round($inv_sales_data['pkg_chrg']/$sub_data_count,2).'</td>'; echo $sign.round($inv_sales_data['pkg_chrg']/$sub_data_count,2);?></td>
                                                            <td><?php $myNetAmt+=round($inv_sales_data['insu_charge']/$sub_data_count,2); $htmlToPrint.='<td style="border:1px solid #ccc;">'.$sign.round($inv_sales_data['insu_charge']/$sub_data_count,2).'</td>'; echo $sign.round($inv_sales_data['insu_charge']/$sub_data_count,2);?></td>
                                                            <td><?php $htmlToPrint.='<td style="border:1px solid #ccc;">0</td>'; echo '0';?></td>
                                                            <td>
                                                                <?php 
                                                                if(isset($inv_sales_data['schg07']) and $inv_sales_data['schg07']!='' and $inv_sales_data['schg07']!=0)
                                                                {
                                                                    $myNetAmt+=round($inv_sales_data['schg07']/$sub_data_count,2); $htmlToPrint.='<td style="border:1px solid #ccc;">'.$sign.round($inv_sales_data['schg07']/$sub_data_count,2).'</td>'; echo $sign.round($inv_sales_data['schg07']/$sub_data_count,2);
                                                                }
                                                                else
                                                                {
                                                                    $myNetAmt+=round($inv_sales_data['round_off']/$sub_data_count,2); $htmlToPrint.='<td style="border:1px solid #ccc;">'.$sign.round($inv_sales_data['round_off']/$sub_data_count,2).'</td>'; echo $sign.round($inv_sales_data['round_off']/$sub_data_count,2);
                                                                }
                                                                ?>
                                                            </td>
                                                            <td><?php 
                                                                if($inv_sales_data['bill_type2']=='11')
                                                                {
                                                                    $myNetAmt="-".$myNetAmt;
                                                                }
                                                                $htmlToPrint.='<td style="border:1px solid #ccc;">'.round($myNetAmt,2).'</td>'; echo round($myNetAmt,2);
                                                                ?>
                                                                
                                                            </td>
                                                        </tr>
                                                        <?php
                                                        $htmlToPrint.='</tr>';
                                                    }
                                                    $htmlToPrint.='</tbody></table>';
                                                    ?>
                                                </tbody>
                                            </table>
                                            <form name="ex_frm" id="ex_frm" method="post" action="exceltest.php">
                                                <input type="hidden" name="data_to_post" value="<?php echo urlencode($htmlToPrint);?>">
                                                <input type="submit" value="export" name="submit" class="btn btn-primary">
                                            </form>
                                            <?php
                                        }
                                        ?>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <!-- /.container-fluid -->
            </div>
            <!-- /#page-wrapper -->
        </div>
        <!-- /#wrapper -->
        <!-- jQuery -->
        <script src="bower_components/jquery/dist/jquery.min.js"></script>

        <!-- Bootstrap Core JavaScript -->
        <script src="bower_components/bootstrap/dist/js/bootstrap.min.js"></script>

        <!-- Metis Menu Plugin JavaScript -->
        <script src="bower_components/metisMenu/dist/metisMenu.min.js"></script>

        <!-- DataTables JavaScript -->
        <script src="bower_components/datatables/media/js/jquery.dataTables.min.js"></script>
        <script src="bower_components/datatables-plugins/integration/bootstrap/3/dataTables.bootstrap.min.js"></script>
        <script src="https://cdn.datatables.net/fixedcolumns/3.2.2/js/dataTables.fixedColumns.min.js"></script>

        <!-- Custom Theme JavaScript -->
        <script src="dist/js/sb-admin-2.js"></script>
        <script type="text/javascript">
            $(document).ready(function(){
                var table = $('#dataTables').DataTable( {
                    scrollY:        "500px",
                    scrollX:        true,
                    scrollCollapse: true,
                    paging:         false,
                    fixedColumns:   {
                        leftColumns: 1
                    },
                    "ordering": false
                } );
            });
        </script>
    </body>

    </html>
