<?php
include('includes/config.php');
//print_r($_SESSION);
if(!isset($_SESSION['kp5user_id']) or $_SESSION['kp5user_id']=="")
{
	header("location:index.php?error=Please Login to Continue..");
	exit;
}
?>
<!DOCTYPE html>
<html lang="en">

<head>

    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="description" content="">
    <meta name="author" content="">

    <title>KRIOS Kitchens</title>

    <!-- Bootstrap Core CSS -->
    <link href="bower_components/bootstrap/dist/css/bootstrap.min.css" rel="stylesheet">

    <!-- MetisMenu CSS -->
    <link href="bower_components/metisMenu/dist/metisMenu.min.css" rel="stylesheet">

    <!-- Custom CSS -->
    <link href="dist/css/sb-admin-2.css" rel="stylesheet">

    <!-- Custom Fonts -->
    <link href="bower_components/font-awesome/css/font-awesome.min.css" rel="stylesheet" type="text/css">
    
    <!-- DataTables CSS -->
    <link href="bower_components/datatables-plugins/integration/bootstrap/3/dataTables.bootstrap.css" rel="stylesheet">

    <!-- DataTables Responsive CSS -->
    <link href="bower_components/datatables-responsive/css/dataTables.responsive.css" rel="stylesheet">

    <!-- HTML5 Shim and Respond.js IE8 support of HTML5 elements and media queries -->
    <!-- WARNING: Respond.js doesn't work if you view the page via file:// -->
    <!--[if lt IE 9]>
        <script src="https://oss.maxcdn.com/libs/html5shiv/3.7.0/html5shiv.js"></script>
        <script src="https://oss.maxcdn.com/libs/respond.js/1.4.2/respond.min.js"></script>
    <![endif]-->
	<style type="text/css">
	#float {
        position: fixed;
        top: 3em;
        right: 2em;
        z-index: 100;
    }

	.gallerycontainer{
	position: relative;
	/*Add a height attribute and set to largest image's height to prevent overlaying*/
	}
	
	.thumbnail img{
	border: 1px solid white;
	margin: 0 5px 5px 0;
	}
	
	.thumbnail:hover{
	background-color: transparent;
	}
	
	.thumbnail:hover img{
	border: 1px solid blue;
	}
	
	.thumbnail span{ /*CSS for enlarged image*/
	position: absolute;
	background-color: lightyellow;
	padding: 5px;
	left: -1000px;
	border: 1px dashed gray;
	visibility: hidden;
	color: black;
	text-decoration: none;
	}
	
	.thumbnail span img{ /*CSS for enlarged image*/
	border-width: 0;
	padding: 2px;
	}
	
	.thumbnail:hover span{ /*CSS for enlarged image*/
	visibility: visible;
	top: 0;
	left: 200px; /*position where enlarged image should offset horizontally */
	z-index: 50;
	}
	
	</style>
</head>

<body>

    <div id="wrapper">

        <!-- Navigation -->
        <nav class="navbar navbar-default navbar-static-top" role="navigation" style="margin-bottom: 0">
            <?php
			include('includes/header.php');
			?>

            <div class="navbar-default sidebar" role="navigation">
                <?php
				include('includes/navigation.php');
				?>
            </div>
            <!-- /.navbar-static-side -->
        </nav>

        <!-- Page Content -->
        <div id="page-wrapper">
            <div class="container-fluid">
                <div class="row">
                    <div class="col-lg-12">
                        <!--<h1 class="page-header">Blank</h1>-->
						&nbsp;
						<?php
						if(isset($_GET['success']))
						{
						?>
						<p class="alert-success"><?php echo $_GET['success'];?></p>
						<?php
						}
						?>
                    </div>
                    <!-- /.col-lg-12 -->
                </div>
                <!-- /.row -->
				
				<div class="row">
					<div class="col-lg-12">
						<div class="panel panel-default">
							<div class="panel-heading">
								<h2>Packing Department</h2>
							</div>
							<!-- /.panel-heading -->
							<div class="panel-body">
								<div class="dataTable_wrapper">
									<!--Content Area-->
                                    <table class="table table-striped table-bordered table-hover" id="dataTables-example">
                                    <thead>
                                        <tr>
                                            <th>SKU</th>
                                        	<th>Name</th>
											<th>Total Qty</th>
                                        </tr>
                                    </thead>
									
                                    <tbody>
										<?php
									$today=date('Y-m-d');
									$req_qry=mysql_query("select * from tbl_furniture_pkg") or die(mysql_error());
									while($req_data=mysql_fetch_array($req_qry))
									{
										$item_qry=mysql_query("select * from tbl_item_manager where item_sku='".$req_data['fp_sku']."'") or die(mysql_error());
										$item_data=mysql_fetch_array($item_qry);
										
									?>
									<tr>
										<td>
											<?php //echo $item_data['item_sku'];?>
											<a href="javascript:void()" class="thumbnail" style="position:relative;">
											<?php echo $item_data['item_sku'];?>
											<span><img height="250" src="http://www.kriosdirect.com/productphotos/<?php echo $item_data['item_sku'];?>.jpg" /><br /><?php echo $item_data['item_sku'];?></span>
											</a>
										</td>
										
										<td><?php echo $item_data['item_name'];?></td>
										
										
										<td><?php echo $req_data['fp_qty'];?></td>
									</tr>
									<?php
									//exit;
									}
									?>
                                     </tbody>
                                     </table>
                                    
								</div>
							</div>
						</div>
					</div>
				</div>
				
            </div>
            <!-- /.container-fluid -->
        </div>
        <!-- /#page-wrapper -->

    </div>
    <!-- /#wrapper -->

    <!-- jQuery -->
    <script src="bower_components/jquery/dist/jquery.min.js"></script>

    <!-- Bootstrap Core JavaScript -->
    <script src="bower_components/bootstrap/dist/js/bootstrap.min.js"></script>

    <!-- Metis Menu Plugin JavaScript -->
    <script src="bower_components/metisMenu/dist/metisMenu.min.js"></script>

    <!-- Custom Theme JavaScript -->
    <script src="dist/js/sb-admin-2.js"></script>
    
    <!-- DataTables JavaScript -->
    <script src="bower_components/datatables/media/js/jquery.dataTables.min.js"></script>
    <script src="bower_components/datatables-plugins/integration/bootstrap/3/dataTables.bootstrap.min.js"></script>
    
    <script>
    $(document).ready(function() {
       var table = $('#dataTables-example').DataTable( {
            	//scrollY:        "900px",
               // scrollX:        true,
               // scrollCollapse: true,
               // paging:         true,
              //  iDisplayLength: 100,
              //  fixedColumns:   {
              //      leftColumns: 2
              //  },
				"footerCallback": function ( row, data, start, end, display ) {
					var api = this.api(), data;
		 
					// Remove the formatting to get integer data for summation
					var intVal = function ( i ) {
						return typeof i === 'string' ?
							i.replace(/[\$,]/g, '')*1 :
							typeof i === 'number' ?
								i : 0;
					};
		 
		 			// Total over all pages
					total = api
						.column( 7 )
						.data()
						.reduce( function (a, b) {
							return intVal(a) + intVal(b);
						}, 0 );
		 
					// Total over this page
					pageTotal = api
						.column( 7, { page: 'current'} )
						.data()
						.reduce( function (a, b) {
							return intVal(a) + intVal(b);
						}, 0 );
		 
					// Update footer
					$( api.column( 7 ).footer() ).html(
						''+pageTotal.toFixed(0)+' ( '+total.toFixed(0)+' total)'
					);
					
					
					total = api
						.column( 9 )
						.data()
						.reduce( function (a, b) {
							return intVal(a) + intVal(b);
						}, 0 );
		 
					// Total over this page
					pageTotal = api
						.column( 9, { page: 'current'} )
						.data()
						.reduce( function (a, b) {
							return intVal(a) + intVal(b);
						}, 0 );
		 
					// Update footer
					$( api.column( 9 ).footer() ).html(
						''+pageTotal.toFixed(0)+' ( '+total.toFixed(0)+' total)'
					);
					
					
					
					
				}
                
            } );
    });
    </script>

</body>

</html>
